2011-03-15  Petr Mladek  <pmladek@suse.cz>  [0d68257ee6f3b8cfccc03e63e1e65083a7e08855]

Version 3.3.2.2, tag libreoffice-3.3.2.2 (3.3.2-rc2)


2011-03-08  Petr Mladek  <pmladek@suse.cz>  [3e5a490f6cabfc50e9c50797b63577131ab87cd5]

Branch libreoffice-3-3-2

This is 'libreoffice-3-3-2' - the stable branch for the 3.3.2 release.
Only very safe changes, reviewed by three people are allowed.

If you want to commit more complicated fix for the next 3.3.x release,
please use the 'libreoffice-3-3' branch.

If you want to build something cool, unstable, and risky, use master.

2011-03-08  Petr Mladek  <pmladek@suse.cz>  [f6b918cb27f78afb22eb8759775bdea400d98f22]

Version 3.3.2.1, tag libreoffice-3.3.2.1 (3.3.2-rc1)


2011-03-07  Christian Lohmaier  <lohmaier+LibreOffice@googlemail.com>  [5c2ed6488e7619cb2fd2a1e996c46a81760822a9]

fdo#34699 some pythonsamples not visible on Mac OS X

node.expr is a Node of type "Tuple", not a builtin tuple datatype, thus
python 2.3 did fail with TypeError: iteration over non-sequence
(cherry picked from commit bef88b2ebf98faacedd911944ba20fe963498396)

Signed-off-by: Caolán McNamara <caolanm@redhat.com>

2011-03-07  Caolán McNamara  <caolanm@redhat.com>  [ee1530a61d62054e98dda4be619d780d20aa7efb]

valgrind: don't leave an evil thread running after main is completed


2011-03-05  Petr Mladek  <pmladek@suse.cz>  [6cf25e3d1b7eb823e2193befc816adcbb682a13b]

fix custom-tool-panel build dependencies

Signed-off-by: Kohei Yoshida <kyoshida@novell.com>

2011-03-03  Andras Timar  <timar@fsf.hu>  [6153334a2bb4008541345917eec86236eaf27e3f]

l10n: 'fold' from coreutils does not work well for some languages


2011-02-15  Radek Doulik  <rodo@novell.com>  [220ca4436d36d4ef4b40b13f38c3863603bbae2d]

restrict metafile decomposition (fixes n#650049)

 - do not use metafile decomposition on metafiles which need
   canvas renderer (right now, these containing EMF+)

2011-02-15  Cédric Bosdonnat  <cedricbosdo@openoffice.org>  [27119e72dd2ee8125492957aebaa18521327c587]

fdo#34226: Fixed BorderLine(2) convertion to SvxBorderLine

Signed-off-by: Michael Meeks <michael.meeks@novell.com>
Signed-off-by: Caolán McNamara <caolanm@redhat.com>
Signed-off-by: David Tardon <dtardon@redhat.com>

2011-02-15  Petr Mladek  <pmladek@suse.cz>  [15fd374b68552cab7bf0c9fac581bb03d52e5f5b]

crashing oosplash and malformed picture (bnc#652562)

it was visible only on screens that did not use 32bpp

Signed-off-by: Thorsten Behrens <thb@documentfoundation.org>
Signed-off-by: Michael Meeks <michael.meeks@novell.com>
Signed-off-by: Jan Holesovsky <kendy@suse.cz>

2011-02-15  Noel Power  <noel.power@novell.com>  [6f0888190f4d1ce0a101eaf9f9642e61c0376999]

ported fix from DEV300m98 ( fixes i#115716 & fdo#33964 )

based off commit id db2c7179427e113d6decc3be5dc8a2f3cac3da17

Signed-off-by: Michael Meeks <michael.meeks@novell.com>

2011-02-11  Noel Power  <noel.power@novell.com>  [eab0ecbbd9237f274da64612b76767e3f17abefb]

oops, correct commit fa8cfcd45225d55d567e5ad05900c36700549d5d

bah, I applied the wrong copy of the patch to the tree I use for committing. Minor tweak to logic

Signed-off-by: 	Michael Meeks <michael.meeks@novell.com>

2011-02-11  Noel Power  <noel.power@novell.com>  [aa19c0ba41fbfdf9d3d031c7e0ba16e99a43eff9]

companion ( or even part 2 ) of a fix for fdo#30879

tweak oosplash arg handling to not clobber some special url protocols, '.uno', '.slot' etc.

Signed-off-by: 	Michael Meeks <michael.meeks@novell.com>

2011-02-08  bjoern.michaelsen@canonical.com  <Bjoern Michaelsen>  [d18c9a17f33c100fa38e65209f4353cad63ba0af]

lp#696527: enable human icon theme in LibreOffice

Signed-off-by: bjoern.michaelsen@canonical.com <Bjoern Michaelsen>
(cherry picked from commit f6a16194d1348cb1c679acec5cd9e014ca3f3104)

Signed-off-by: Thorsten Behrens <tbehrens@novell.com>

2011-02-08  David Tardon  <dtardon@redhat.com>  [27a82c54cbd78486ca876e0e8668d4943852967f]

handle css::table::BorderLine in addition to css::table::BorderLine2

That means that table cell properties are correctly set on OpenXML
import again, whoo!

Signed-off-by: Cédric Bosdonnat <cedricbosdo@openoffice.org>

2011-02-07  Jan Holesovsky  <kendy@suse.cz>  [73474b4bae74c3f6f6aac146db198ca958cef70c]

wikihelp: Improve the check for existence of the localized help, fdo#33258.

This fixes commit 44eaa36c4ce25a7c861455e9dbe6c2c959adecb4 that introduced an
infinite recursion.

Signed-off-by: Petr Mladek <pmladek@suse.cz>

2011-02-07  Cédric Bosdonnat  <cedricbosdo@openoffice.org>  [ed87a79ebafce971f91017ffb3adff55d9f34b42]

fdo#33994: Fixed several crashes around config UNO API

cherry picked from 21427f17e1f6901ac9a7148d5d8ac13e0aad958e

Signed-off-by: Noel Power <noel.power@novell.com>

2011-02-07  Noel Power  <noel.power@novell.com>  [ac044cb591a40e688e61bea24db63258e826cd78]

fix for #30879

cherry picked from 6eb4e55b0a61f793f635a8038895cb2e452dc280

Signed-off-by: Muthu Subramanian K <sumuthu@novell.com>

2011-02-07  Tor Lillqvist  <tlillqvist@novell.com>  [4c00e2b2d1f4c1b9aaa049ee3bd99bab99d5b3e5]

We don't need ddraw.lib which doesn't even exist in the current DX SDK

(cherry picked from commit 7bc42b864b22fd8e0b159dfec212abaf989ff9aa)

Signed-off-by: Noel Power <nopower@novell.com>

2011-02-05  Thorsten Behrens  <tbehrens@novell.com>  [59c15b76481894696127b547294ffe24407b22f5]

New mimetype icons for LibreOffice

Update from design team, source svg is
http://wiki.documentfoundation.org/cgi_img_auth.php/d/d4/LibreOffice_Initial_Icons-pre_final.svg

2011-02-04  Cédric Bosdonnat  <cedricbosdo@openoffice.org>  [b65fa5f769aea6673ea41fdc329df2fd00fb06e8]

fdo#32872: Implementation names weren't matching with xcu.

Signed-off-by: Jan Holesovsky <kendy@suse.cz>

2011-02-03  Caolán McNamara  <caolanm@redhat.com>  [a0f63a4c3a5430b6b81318f2dc380ca8975d4d65]

don't pushback and process a corrupt extension

Signed-off-by: David Tardon <dtardon@redhat.com>

2011-02-03  Caolán McNamara  <caolanm@redhat.com>  [76681cbb779c60cdfc2a4df3a6dd0ff2f874f6cb]

Related: rhbz#610103 more woes on rpm upgrade vs rpm erase

Signed-off-by: David Tardon <dtardon@redhat.com>

2011-02-02  Jan Holesovsky  <kendy@suse.cz>  [44eaa36c4ce25a7c861455e9dbe6c2c959adecb4]

wikihelp: Do not check for existence of the localized help.

In case we do not have the help installed, it is up to the online service to
decide the fallback in case a language version is not available.

Signed-off-by: Thorsten Behrens <tbehrens@novell.com>

2011-02-01  Andras Timar  <timar@fsf.hu>  [7922cf1235dac54df4c15533aaa01973e27c0652]

s/su urpmi/sudo urpmi/ in Mandriva section of README


2011-02-01  Andras Timar  <timar@fsf.hu>  [4972faf4bb4cbb15d4ff0408f38ff020a26a4c42]

readme formatting - fdo#32741

* using CRLF instead of LF on WIN platform
* word wrap at column 75 for better readability

2011-01-26  Luboš Luňák  <l.lunak@suse.cz>  [d06c295137b3d787d2d930dc10ef98f984ced72a]

fix KDE3 library search order (fdo#32797)

Use LINKFLAGS instead of STDLIBS, as the latter comes way too late
in the link command and may result in some stray -L/usr/lib getting
before -L$KDEDIR/lib. Since KDE4 libs often tend to be installed
under /usr while KDE3 libs are often somewhere else such as /opt/kde3/lib,
this could cause using wrong libraries.
(cherry picked from commit b13f9e3374f8f605e6bf6f7be8819142060c37e9)

Signed-off-by: Thorsten Behrens <tbehrens@novell.com>

2011-01-24  Kalman Szalai - KAMI  <kami911@gmail.com>  [9e6b1553e04ed17d9f1481364c672f609a9b12e3]

Start using technical.dic instead of oracle.dic (fdo#31798)

Signed-off-by: Petr Mladek <pmladek@suse.cz>

2011-01-18  Philipp Lohmann [pl]  <Philipp.Lohmann@Oracle.COM>  [cb7d7138b943042f11eec3211d7a913c9b85908c]

calc65: #i116371# fix backgrounds for polypolygons in metafile

Signed-off-by: Thorsten Behrens <tbehrens@novell.com>

2011-01-17  Andras Timar  <timar@fsf.hu>  [36a8e6738169e678d7539aba6d8dde962dae9d78]

Sun Microsystems -> The Document Foundation in desktop file fdo#31191


2011-01-14  Petr Mladek  <pmladek@suse.cz>  [2c2774f3a20f35f9f5320efa9e7d1f37bb860266]

unopkg crasher on SLED11-SP1 (bnc#655912)

activateExtension call broke memory if dp_misc::getIdentifier and xNewExtension
were called inline; the problem was visible only with gcc-4.3.4 and did not
appear with older or newer gcc versions

valgrind got happy and unopkg stopped crashing after the values were passed via
the extra variables

it looks like a miscompilation; IMHO, it does not make sense to report it
because it does not happen with last gcc version

this code is not critical for the performance, so the workaround with
extra variables is fine; they might even be optimized out by the compiler

Signed off by Michael, Noel, Tor

2011-01-14  Michael Meeks  <michael.meeks@novell.com>  [8539854f9af2c423d69ab9a89c79d3dbb8c6abd3]

fix FMR crasher bug#33099


2011-01-14  Tor Lillqvist  <tlillqvist@novell.com>  [4f81b94b7cee00c88e31612dc26800199c570ba6]

Be slightly more paranoid defensive

(cherry picked from commit f8bfab1f464d0f26accb6d28b31b4749306bbfda)

Signed-off-by: Thorsten Behrens <thb@documentfoundation.org>

2011-01-14  Tor Lillqvist  <tlillqvist@novell.com>  [c13ec5fbad1bbdc5a40a70b3d0b4ca86c01708fb]

Fix buffer size problem that broke MSI installer localization

(cherry picked from commit 5b7719a49fd57a9f446201fabc02bf1787dbbeee)

Signed-off-by: Thorsten Behrens <thb@documentfoundation.org>

2011-01-11  Petr Mladek  <pmladek@suse.cz>  [accd51f069a80bfe944d1c83f0d4320a223b5113]

Please, ignore the previous message; it was for the libreoffice-3-3-0 branch

This is 'libreoffice-3-3' - the stable branch for the 3.3.x releases.
Only safe changes, reviewed by anoter person are allowed.

If you want to build something cool, unstable, and risky, use master.

2011-01-11  Petr Mladek  <pmladek@suse.cz>  [d1c7535dbe2839c9435ec9bd944ca353aa40dc6b]

Branch libreoffice-3-3-0

This is 'libreoffice-3-3-0' - the stable branch for the 3.3.0 release.
Only very safe changes, reviewed by three people are allowed.

If you want to commit more complicated fix for the next 3.3.x release,
please use the 'libreoffice-3-3' branch.

If you want to build something cool, unstable, and risky, use master.

2011-01-11  Caolán McNamara  <caolanm@redhat.com>  [fe9114f836076dbbda2143d57af5dc585677292e]

Resolves: fdo#32953 add preferred Malayalam fonts (cherry picked from commit 2f70074be979ca4a58e653a561a45d8d75b52f19)


2011-01-10  Petr Mladek  <pmladek@suse.cz>  [8317a0b3e54cfe4517b2774a39ab856d8beff26d]

Version 3.3.0.3, tag libreoffice-3.3.0.3 (3.3-rc3)


2011-01-10  Petr Mladek  <pmladek@suse.cz>  [6be22fb369059e694361b3e33f396f2f677d6d76]

Really set BrOffice in the linux desktop files

* dekstop files need "pt_BR" instead of "pt-BR" (undescore vs. dash)
* "%PRODUCTNAME_BR" was wrongly substitured to
  "${PRODUCTNAME} ${PRODUCTVERSION}_BR"; it should be
  "${PRODUCTNAME_BR} ${PRODUCTVERSION}"

Signed off by Michael Meeks

2011-01-07  Petr Mladek  <pmladek@suse.cz>  [3ded548895003d242e6afcabeb5b1532d1b2665c]

Fix distro specific about intro hadling

oosplash does not longer support multiple intro pictures; it is enough
to replace intro.png and about.png with the pictures passed via

Signed off by KAMI.
--with-intro-bitmap and --with-about-bitmap configure options

2011-01-07  Sebastian Spaeth  <Sebastian@SSpaeth.de>  [d1d1325f4428869f77b7ebd95c3c8deacb18a727]

Update CREDITS.odt

mmeeks gave OK to push without review, he will have a look at it.

Signed-off-by: Sebastian Spaeth <Sebastian@SSpaeth.de>

2011-01-06  Michael Meeks  <michael.meeks@novell.com>  [35bd6b7fb6a8599fb364886be32f7459066c2c76]

remove english license pre-amble; fixing bug 32563


2011-01-06  Michael Meeks  <michael.meeks@novell.com>  [d4028665b8d04a812f45718608e9111c0891ce19]

add BrOffice translations for pt-BR to .desktop files, from Rene.

Signed-off-by: Michael Meeks <michael.meeks@novell.com>

2011-01-06  David Tardon  <dtardon@redhat.com>  [e607b710a65e723466c3c37780a4b4f6e0258a87]

Related: fdo#32840 update help line for unopkg --supress-license


2011-01-06  Cédric Bosdonnat  <cedricbosdo@openoffice.org>  [6acbb75aeb55f288675f86abc5790e8f52123fd3]

fdo#32840: make unopkg --suppress-license skip license in all cases


2011-01-06  Jan Holesovsky  <kendy@suse.cz>  [a2b5536328c2723a8145689b4cb3b36df9c4abc2]

Show the license information in a separate, localizable dialog; fdo#32563.


2011-01-04  AWASHIRO Ikuya  <ikuya@fruitsbasket.info>  [2022ee49a2efa90bb33224de91dad5fb8398b8bd]

Better font selection in Japanese locale.

Signed-off-by: Kohei Yoshida <kyoshida@novell.com>

2010-12-30  Jan Holesovsky  <kendy@suse.cz>  [e88835014fe5475cd019c0512a784cad8c3a4c25]

Do not block when launching firefox, fdo#32427.


2010-12-29  Caolán McNamara  <caolanm@redhat.com>  [1d5ea739d48df24c475a70292d17170e71140ea6]

Resolves: rhbz#666216 survive missing window (cherry picked from commit e9438320b50e647f6c5bf052148bcd501b7b55d4)


2010-12-18  Petr Mladek  <pmladek@suse.cz>  [b4533051a5b364470be0a2f0ee461f45419a836d]

Version 3.3.0.2, tag libreoffice-3.3.0.2 (3.3-rc2)


2010-12-18  Thorsten Behrens  <tbehrens@novell.com>  [57662199c719e0efde3aefce9e06f19429bce344]

Correct credits url to website conventions


2010-12-16  Jan Holesovsky  <kendy@suse.cz>  [55abe868d44218c0af7e55fb83a11d07ecb01894]

wikihelp: Use the right Help ID URL, fdo#32338.

The offline help has a fallback mechanism that (for non-existing Help IDs)
tries to traverse the parent windows to find at least something.  This is not
desired in the case of on-line help, because there we can easily define new
redirects, without recompiling LibreOffice.

Signed-off-by: David Tardon <dtardon@redhat.com>

2010-12-15  Luboš Luňák  <l.lunak@suse.cz>  [042933bbfb3ff69a34a0df12105e084cc95961e0]

convert from the KDE pattern|description format if needed, just in case


2010-12-15  Luboš Luňák  <l.lunak@suse.cz>  [65dc25b5ee9431d2fc7354d7871c5db3494db3f8]

save with the proper .doc variant (fdo#32219)

KFileDialog::currentFilter() returns only the pattern and not
the full filter text, so *.doc alone is ambiguous.

Signed-off-by: Jan Holesovsky <kendy@suse.cz>

2010-12-15  Noel Power  <noel.power@novell.com>  [d2d5e0d1e55ee692632aa547f17f6a48179af2b7]

Merge commit 'ooo/OOO330_m18' into libreoffice-3-3


2010-12-14  David Tardon  <dtardon@redhat.com>  [fae626b938106e00d8f4dfb5c4ca8e9294b37c30]

fdo#31716 the help text is not used for anything -- do not set it

Signed-off-by: Petr Mladek <pmladek@suse.cz>

2010-12-14  Petr Mladek  <pmladek@suse.cz>  [d873fc5f1226f4689936b736704b2f3d9156bbe5]

use BrOffice also in the help content when enabled (fdo#31770)

use ::utl::ConfigManager::GetDirectConfigProperty to get
the product name; it returns BrOffice in pt_BR locales
when BrOffice branding enabled

Signed off by Michael Meeks <michael.meeks@novell.com>

2010-12-14  Petr Mladek  <pmladek@suse.cz>  [45b2e791e0ef33c7665cf6047a6dcb88c2862799]

fix broffice branding packages (fdo#32229)

- rename the packages from broffice.org to broffice
- add /opt/broffice compat symlink

2010-12-14  Caolán McNamara  <caolanm@redhat.com>  [39f5301bdfa200b092da69718c84d19acaac0791]

Resolves: rhbz#661809 ne_simple_propfind can touch gcrypt as well

Signed-off-by: David Tardon <dtardon@redhat.com>

2010-12-13  Michael Meeks  <michael.meeks@novell.com>  [d565aa114b1c8533bb267d5635a6af19e6536ffa]

cleanup deliver syntax


2010-12-13  Michael Meeks  <michael.meeks@novell.com>  [cc504fa0699657ac4123c3d4c0ba40db7e9d26de]

further simplification of license build / installation


2010-12-13  Michael Meeks  <michael.meeks@novell.com>  [50db6d730f388a77b6e341afbac7502a30b0259a]

get the rule names right, and cleanup delivery


2010-12-13  Michael Meeks  <michael.meeks@novell.com>  [17744748fa68f55c0133b34330d572f799e4f5a9]

Simplify, remove lang suffix, remove html and rtf licenses, to use odt.

Conflicts:

	readlicense_oo/odt/makefile.mk

2010-12-13  Michael Meeks  <michael.meeks@novell.com>  [fd153a7095b450af76679b9c7b8b6416abc3b3df]

make impress templates language neutral to save space


2010-12-13  obo  <obo@openoffice.org>  [760601cdbae7c063f13902e66ed76c022018d848]

CWS-TOOLING: integrate CWS dba33m


2010-12-11  Andras Timar  <timar@fsf.hu>  [4ef945c6856b806039052e47c86aa070ebe77265]

typo fix s/The are/They are/


2010-12-10  Thorsten Behrens  <tbehrens@novell.com>  [1c6f3060091fd78fa2394ac5446275df27afa688]

l10n-fix: added id to one more readme line


2010-12-10  Takeshi Abe  <tabe@fixedpoint.jp>  [1b851a56ff8b7dd121b3ce437a5420a7eabcb916]

colon needed for LD_LIBRARY_PATH set but empty (cherry picked from commit b3820037d60d8d510708fe2b205711e0d228e351)


2010-12-10  Caolán McNamara  <caolanm@redhat.com>  [467236f4d26859add73c87b02e61354d76b6a12d]

colon needed for LD_LIBRARY_PATH set but empty (cherry picked from commit 1875423c19bafda991f9b40b42e945b46a00b62b)


2010-12-10  Thorsten Behrens  <tbehrens@novell.com>  [fd3314d42d1ed9a322b4d165eae53085198aef2d]

Removed dupe para ids introduced by copy n paste


2010-12-10  Ocke Janssen [oj]  <Ocke.Janssen@oracle.com>  [b962a1629955cf00b1cc959f86731e724d6c8e60]

dba33m: #i115436# only cast handled


2010-12-09  Cédric Bosdonnat  <cedricbosdo@openoffice.org>  [b9c1c17ec740394ab75107edff2aacba2583b25c]

fdo#32172: backward import compatibility for old go-oo enhanced fields names


2010-12-09  Ocke Janssen [oj]  <Ocke.Janssen@oracle.com>  [b8493f6d67c3669c417f54ee937ee55519b1f2dc]

dba33m: #i115436# do not insert a space infront of ( and after )


2010-12-09  obo  <obo@openoffice.org>  [563edff28af92a0051c4451d34f3e274cdd3ae0e]

CWS-TOOLING: integrate CWS impress205


2010-12-07  Andras Timar  <timar@fsf.hu>  [46ed76e533114ae5237918c74789b2db5bcf073a]

replaced http://www.openoffice.org


2010-12-07  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [487c969bc355c277a1393ce5a02238dca6ecefa7]

Fix an over-keen copy and replacement by regex


2010-12-06  Kohei Yoshida  <kyoshida@novell.com>  [ef2919c42d6dc641b1d8aa5203a4e20b7d89de23]

Use ASCII double-quotes.


2010-12-06  Kohei Yoshida  <kyoshida@novell.com>  [ee5d4bde75670a69fa2158644a54f8c4b2e77112]

Added xml:lang="en-US" to several paragraphs.


2010-12-06  Kohei Yoshida  <kyoshida@novell.com>  [e51fb74b16cae8b1353e2a7e22cc5d306c5d66cd]

Removed incorrect xml fragment.


2010-12-04  Caolán McNamara  <caolanm@redhat.com>  [6446447603daa51620bfc04be5cd0de5781c6aa7]

Resolves: rhbz#659947 make this more robust (cherry picked from commit 82ef4d5f0bfd009bb28392b50ce109936f879a36)


2010-12-03  Kohei Yoshida  <kyoshida@novell.com>  [969cac7c1792f3a22f589db1baff3919a90820d5]

Fix failed popup launches on Windows.

These two popup windows failed to grab focus when launched, which
would cause them to immediately quit after launch.  The old code
passed a BOOL argument where a popup launch flag was expected.
This looks like an existing bug to me. (fdo#31308)

2010-12-03  Thorsten Behrens  <tbehrens@novell.com>  [f2de7d08669eafe30ba9c1def0e84c3d453dd853]

Remove mis-placed splashscreen img from CREDITS file

Reviewed by Petr Mladek <pmladek@suse.cz>

2010-12-02  sj  <sj@openoffice.org>  [1f09e2bcaa385df81987af5048bfcb58a69aad8f]

impress205: #i115825# fixed metatextarray issues


2010-12-02  Thorsten Behrens  <tbehrens@novell.com>  [32c8a3c2b543b9e0ab047c386b74860dabd38d7f]

Better installation help for Linux in readme

Content from fdo#31956

2010-12-01  Petr Mladek  <pmladek@suse.cz>  [5f2b792c3c5bed821295e8ac53433ec3619b4584]

Version 3.3.0.1, tag LIBREOFFICE_3_3_0_1 (3.3-rc1)


2010-12-01  Caolán McNamara  <caolanm@redhat.com>  [facf89d98e403d9a4657c5156d54670e07e9fb76]

fdo#32007# Only register EvolutionLocal when evolution support is enabled (cherry picked from commit fdd1df3de3e902df73e389d045054d86807df84a)


2010-11-30  Thorsten Behrens  <tbehrens@novell.com>  [70a379fc3d0be4549891a3db693de4424b93453d]

Further readme polish according to fdo#31956


2010-11-30  Thorsten Behrens  <tbehrens@novell.com>  [646055238331768ad400abec1ba616182dbccf7a]

Partial README update according to fdo#31956


2010-11-30  Mikhail Voytenko  <mav@openoffice.org>  [9d564aaca1fe51e0436d8bf60bb2661edf946887]

Backported fix for i#114850


2010-11-30  Jan Holesovsky  <kendy@suse.cz>  [f239d1c0c9c54987a04a7c467425ed12ab619d02]

wikihelp: Check for the built-in help availability after creating URL.

This is to have the full help URL even for stuff like .uno:Something, when we
use the on-line help instead of the built-in one.

2010-11-30  Miklos Vajna  <vmiklos@frugalware.org>  [7b96ed91bf380a4c6c502e8422a58a81b7ac6015]

RTF: port last changes from CWS


2010-11-29  Kohei Yoshida  <kyoshida@novell.com>  [14cb46ed91afc02dd28c32385f00c22173306864]

Changed command name to avoid confusion.

The command associated with Calc's delete key is now renamed to "Clear
Contents" from the previous "Delete Contents", to resolve naming clash.
Two UNO commands .uno:ClearContents and .uno:Delete both had the label
"Delete Contents", which was confusing when modifying their key bindings
from the UI. (fdo#31817)

2010-11-29  Jan Holesovsky  <kendy@suse.cz>  [db6092bda62b2db7ae1971f01024e5f548336a25]

wikihelp: Forward the request for help to help.libreoffice.org.

Based on Muthu's patch.  If the help is not installed, this will forward the
request to help.libreoffice.org; unfortunately the service is not running
there yet, but better to have the code in already ;-)

2010-11-27  Caolán McNamara  <caolanm@redhat.com>  [34766f8183bd35849fcbeb752dc4baec87aa7b71]

Resolves: rhbz#610103 exit quickstarter if physically deleted (cherry picked from commit 6cce245a2c4993828be54f3b415efb8bc8748f2c)


2010-11-27  Caolán McNamara  <caolanm@redhat.com>  [5ce0c6a44121e037cd0505e5b2e00c051a43d600]

start quickstarter on every launch if configured to use it (cherry picked from commit f3c0854fc93928772e7a3fba92402441ec51e312)


2010-11-27  Caolán McNamara  <caolanm@redhat.com>  [2c74c04a7167ef1dee0be558c4929776348d7887]

Only start the quick-starter on restart, don't install it forever (cherry picked from commit eab21a84137e010ae46b0b77c44c80d377964071)


2010-11-26  Rene Engelhard  <rene@debian.org>  [84a939e443d0d90eefffa75921d3c921e0bf9c42]

Merge commit 'ooo/OOO330_m17' into libreoffice-3-3


2010-11-26  Michael Meeks  <michael.meeks@novell.com>  [6e077925721c5d8e78f7eee2e09ed68647a03652]

disable multiple migrations via MIGRATED stamp file

If we fail to auto-migrate, this can cause lots of pain - since people
are unaware of where the migration occurs from. Thus - before we start
migrating, we create a 'MIGRATED' stamp file in the source of that, and
if this is present next migration, we simply don't migrate - fixed for
Mechtilde.

2010-11-26  Michael Meeks  <michael.meeks@novell.com>  [448d3cfe248fe733dfcb1d857f016db7780d90a9]

fix crash in exiting via disabling lone quick-starter, terminate at idle


2010-11-26  Cédric Bosdonnat  <cedricbosdo@openoffice.org>  [83d985d952229d5cd9c8c9be572f4b7b05530caa]

When saving a docx file to doc, the used filter is docx.


2010-11-25  Thorsten Behrens  <tbehrens@novell.com>  [90c8ee558f5dc1680e1201d24687b065b3f8e7e2]

Put show credits entry into all app ui configs

* fix cmd url typo in GenericCommands.xcu
* build & deliver credits.odt
* avoid duplicate slot id for ShowCredits menu item

2010-11-25  Caolán McNamara  <caolanm@redhat.com>  [f10c27040a40cbc9e0b97258c1a0edc5f721d37f]

Resolves: fdo#31494# get ownership right

Ensure that the mutex lives as long as all its consumers. And
avoid launching threads if they have no work to do.
(cherry picked from commit e34373935bff7f1ed8e8bfd06b54383917b1177a)

2010-11-25  Jan Holesovsky  <kendy@suse.cz>  [5402dad2397bed9d87ff2e348e28a99b4f6e06c1]

Merge commit 'ooo/OOO330_m16' into libreoffice-3-3


2010-11-25  obo  <obo@openoffice.org>  [2a0abc9acfea536ef68ab2083e6f57aaa9e860d0]

masterfix OOO330: #i115774# crash in FR version when typing / as first character


2010-11-25  Thorsten Behrens  <tbehrens@novell.com>  [124c46e959a895a2008937a2ed71a9ffd25759e4]

Switch toolbar icon size to 'auto-detect'

This semantically reverts commit
b05860f43e4943bfdee59b0e44ad7bfa7f52c202, in favour of a dynamic
solution in the native widgets code.

2010-11-23  Kohei Yoshida  <kyoshida@novell.com>  [5e2fc23bbd05cc3f1a1a8aa90118c8d6012ba371]

Temporarily disable the extra ACL check.

The fix for i#102464 no longer seems necessary.  In fact, leaving
that "fix" would interfere with documents saved in samba shere;
when a 2nd user tries to open a document in a samba share that's
already opened by someone else, it would silently open in read-only
mode, but the correct behavior is to launch the "Document in Use"
dialog telling the 2nd user which user has it open.

If disabling this checks causes no regressions, we can remove this.

2010-11-24  Thorsten Behrens  <tbehrens@novell.com>  [6d716265f4871dfcb899d5a0fae971f99e36c3e8]

One more readme change: no support subdomain


2010-11-24  Thorsten Behrens  <tbehrens@novell.com>  [c60a7a9fe9a6ac0897af92fcc812a38ce10da046]

Adapted readme according to list feedback

* unified links to be directory-style
* renamed all sites to libreoffice (except central infrastructure)
* removed obsolete info (gnome session manager etc)
* added hint for gfx perf on linux
* better mac system requirements

2010-11-23  Kurt Zenker  <kz@openoffice.org>  [79df60d709cade49cbd73550ea08d33a07395e99]

CWS-TOOLING: integrate CWS os145


2010-11-23  David Tardon  <dtardon@redhat.com>  [4c645168924f7115a3dd8c9fdaac6a1a6167a0a7]

Related: rhbz#650170 don't crash when quickstarter is exited by user


2010-11-22  sj  <sj@openoffice.org>  [3c0fad2e49ba3de613eb1ad70dd6144dcda859aa]

os145: #b7001888# fixing small svm problem


2010-11-22  David Tardon  <dtardon@redhat.com>  [a695cce9540178845ac294083a7f0c94c3f73542]

rhbz#650170# shutdown quickstarter at end of desktop session


2010-11-22  Cédric Bosdonnat  <cedricbosdo@openoffice.org>  [f7df6cf55618d2dcb6778666990e38816b6c5c22]

Fix for i#115681

Some missing condition before actually draggging the border.

2010-11-21  sb  <sb@openoffice.org>  [07117ad2a4c7cf9b09bc6d7636df81ad10c0bed0]

sb136: #i115386# prefer en[-US] over empty xml:lang value, to accomodate existing extensions with bad .xcu content


2010-11-21  sb  <sb@openoffice.org>  [f5fca8ffd0bf39198ed424240fa83556c568b7dd]

sb132: #i114155# use "en" as additional fallback locale after "en-US" (transplanted from 630d6876c61cd1e0d42b8aa18bfc2ab22079a20f)


2010-11-18  obo  <obo@openoffice.org>  [74112b4eb8953e419446aece91e2a99c1774e147]

CWS-TOOLING: integrate CWS sb136


2010-11-17  sb  <sb@openoffice.org>  [a17c5f4ba0c14b5774a956e8de41bfc5f041f636]

sb136: #i115386# prefer en[-US] over empty xml:lang value, to accomodate existing extensions with bad .xcu content


2010-11-17  Thorsten Behrens  <tbehrens@novell.com>  [cce6be23d70e5d8911fc54dfc4c04a07097caf14]

Fix crash during toolpanel re-docking

The fix for i#112795 introduced a crash when re-docking the Impress
toolpanel (in that case, the splitwin had zero dockwins, thus
inserting the new one one-past-the end)
(cherry picked from commit d3648ec90cc99f4c3be1e18ef636e1c0d9f6d76b)

2010-11-16  Jan Holesovsky  <kendy@suse.cz>  [a2f9c7dfc33f98a321abb00257f3194c737c4c12]

Merge commit 'ooo/OOO330_m15' into libreoffice-3-3


2010-11-15  Mattias Johnsson  <m.t.johnsson@gmail.com>  [ee7f1356c717a44463169f4a469f78eb1e38ed6b]

Fix typo in slide transition names

This fixes i#102212.
(cherry picked from commit c622a087157f43d3cb83eaae8a76ed59e081a699)

2010-11-15  Thorsten Behrens  <tbehrens@novell.com>  [c5a77502343dd823b4ab29d415f4f3a153491a57]

Adapted readme files to renamed product

Changed names and links in readme file, to read LibreOffice now -
and properly link to the resources on our website.
(cherry picked from commit 4b771948d43bc751fb8f0e5939420b8a5e86a8f8)

2010-11-15  Thorsten Behrens  <tbehrens@novell.com>  [2860c8b37ec0e9183d55509ee57d3cc9d65dcd4d]

Adding LibreOffice credits as an odt document (cherry picked from commit 6424ec7e80e08ecca4be409e8b18a095f6d3a0d3)


2010-11-15  Thorsten Behrens  <tbehrens@novell.com>  [59ec1650fa284f74e641e9a0eb2db3162b1f4f58]

Removed unused string var (cherry picked from commit 62123778018c33cd02eb71a94ac52ec46854e2d4)


2010-11-15  Robert Nagy  <robert@openbsd.org>  [d057fa480802acf86485b4c5e36a4dc0676b2439]

Set LD_LIBRARY_PATH+JAVA_HOME on OpenBSD.

OpenBSD does not support $ORIGIN so we have to set LD_LIBRARY_PATH
in order to find the shared libs of libreoffice.
We also set JAVA_HOME here because it's path is outside of the
default ones.
NetBSD can probably use this too.

2010-11-12  Caolán McNamara  <caolanm@redhat.com>  [2ec330de0b0bffe24a1908ef2a5005582fa4cdf8]

Resolves: rhbz#647392# Ensure autocorrect doesn't crash


2010-11-12  Caolán McNamara  <caolanm@redhat.com>  [49d87cb2e57b19ecbb111a29b79b8df42d1f93f0]

RTL_CONSTASCII_USTRINGPARAM used with nonarray


2010-11-12  Caolán McNamara  <caolanm@redhat.com>  [7fa27749f8babf5f5ecb1dd845adf31dae6faf62]

RTL_CONSTASCII_USTRINGPARAM used with nonarray


2010-11-12  Caolán McNamara  <caolanm@redhat.com>  [95c27c717e22c51a90861bef568dc4642df0b11e]

RTL_CONSTASCII_USTRINGPARAM used with nonarray


2010-11-12  Caolán McNamara  <caolanm@redhat.com>  [4efef13e468e969feaf0cc145d2bc183eee8c9a2]

RTL_CONSTASCII_USTRINGPARAM used with nonarray


2010-11-12  obo  <obo@openoffice.org>  [87423806b51ed7df5d1575bcb4007e428d896219]

CWS-TOOLING: integrate CWS sw33bf12


2010-11-11  Jan Holesovsky  <kendy@suse.cz>  [9724fefd3e4fbc392e6759e8907c1628b2b9e114]

Merge commit 'ooo/OOO330_m14' into libreoffice-3-3


2010-11-11  Petr Mladek  <pmladek@suse.cz>  [9b3fedce84fe20704c238e070ba64d60ad87b945]

Version 3.2.99.3, tag LIBREOFFICE_3_2_99_3 (3.3-beta3)


2010-11-10  Oliver-Rainer Wittmann  <od@openoffice.org>  [b67b147d7838f41b4d64b4e690f515b85d713635]

sw33bf12: #i115492# method <SdXMLConnectorShapeContext::startElement(..)> - ignore svg:d attribute for text documents from OOo version before OOo 3.3


2010-11-10  Noel Power  <noel.power@novell.com>  [a2f34f3ea54fdf2f7f3b62d627c4ec50648564f9]

fix testtool not boostrapping libreoffice instance


2010-11-10  Muthu Subramanian K  <sumuthu@novell.com>  [46caf63224a8d3fa79383d1209503376b0918da8]

i#112411: Fixed Gnome filepicker filter selection


2010-11-08  Takeshi Abe  <tabe@fixedpoint.jp>  [b405519824364b87584584cd047fd0f631821714]

Fixed a typo: SIMBOLS -> SYMBOLS.


2010-11-08  Jan Holesovsky  <kendy@suse.cz>  [6a22ca2888a3e9f2dc82a2203cf6279498f39f24]

Restart soffice.bin when necessary.

In some cases, like when the migration is in progress, or when new extensions
are registered, soffice.bin dies with a 'restart' me status.  This implements
the correct handling of this state in oosplash.bin.

2010-11-08  Petr Mladek  <pmladek@suse.cz>  [800366e804ad6b78fcd6a2fb5d23f16d7f5330f6]

more space for copyright text in the about dialog

It added the scroll bar on SLED10 and looked ugly.

2010-11-08  John LeMoyne Castle  <jlc@mail2lee.com>  [20a850ec9bb51dd708d51b2cdbef90ae49246947]

OO Basic Million-to-One bug (#i76852#) fixed

Adds '=' to edge test in sbxscan.cxx ImpCvtNum so exponent prints and 1 million is 1e+6 instead of just 1 for singles.
Same one char change does similar fix for OO Basic doubles and 1e+14.

2010-11-08  Robert Nagy  <robert@openbsd.org>  [12631e574aa2dd56f886317cdc4abe47111db17b]

add platform definitions for openbsd


2010-11-08  Robert Nagy  <robert@openbsd.org>  [1d140604fe7d4c80f32b65f2e6dda314f45c5546]

no -ldl on OpenBSD


2010-11-06  Kurt Zenker  <kz@openoffice.org>  [2773f980e6c90d23a9c73b13e8dcba3dc3327559]

CWS-TOOLING: integrate CWS tl88


2010-11-06  Tor Lillqvist  <tlillqvist@novell.com>  [b97e3edc82714529b1259786f8caff7af3c6e1f7]

Fix breakage in dbgutil-enabled build


2010-11-06  Tor Lillqvist  <tlillqvist@novell.com>  [2153a4301df9cc6f42942490f62993e901554404]

Fix typo that breaks a debug build


2010-11-05  Caolán McNamara  <caolanm@redhat.com>  [900bbe83a024665f0f2862616c1bf21065d2829f]

rhbz#649824# this key name is wrong (cherry picked from commit fa42616b7c5e03ff9967afd826a2da5e95e855c9)


2010-11-05  Kurt Zenker  <kz@openoffice.org>  [b6ca2bf057b394e06620ea4d1b54b2b154b5d2e5]

CWS-TOOLING: integrate CWS jsc331


2010-11-05  Thorsten Behrens  <tbehrens@novell.com>  [b8ff3cec54df8358e6ee7ff77c8bfc260ca5c938]

Have Info.plist use LibO instead of OOo2 as creator

This fixed fdo#30569. There were several places where mac-specific
platform files had 'OOo2' hardcoded. Changed this to LibO.
(cherry picked from commit 5e0f68b58ba958dedf2ead621c9632b806155ee1)

2010-11-05  Thorsten Behrens  <tbehrens@novell.com>  [00d6d03478bc8ddb3ebd07ff47f54c9668c242d9]

Adds extra credits item to help menu

As agreed on yesterday, we want a dedicated credits document
displayed from the help menu. This is the UI/code change for that,
actual credits doc still missing.

2010-11-05  Thorsten Behrens  <tbehrens@novell.com>  [5a2063c425aabd3090b839bd7fa8c64eec902cfd]

Use org.libreoffice.script for Mac preferences

This fixes fdo#30568
(cherry picked from commit 3399d6d1d2b9803c4a0300e7a49ea352fe2cacef)

2010-11-04  Dwayne Bailey  <dwayne@translate.org.za>  [0c51c3e44f291bc50f0f56e0a038cfe53042bf30]

#i113803# Add label specification for Tower manufacturer (cherry picked from commit f38ee905dec951b6ec03706bafb80d7d0cd0f000)


2010-11-04  Dirk Voelzke  <dv@openoffice.org>  [8a8ad9dc540246fa1b8531e929668ef80184798c]

tl88:#i100744# Better exception handling while retrieving information from packages


2010-11-03  Kohei Yoshida  <kyoshida@novell.com>  [a5127496cb0f627dec136d63ef97f69800d7e457]

Replace "DataForm..." to "Form..." in the menu item.


2010-11-03  Thorsten Behrens  <tbehrens@novell.com>  [c492d5ae91660ebc23ca50fe5c565400f8614147]

Changing a few more strings to read "LibreOffice" (cherry picked from commit 6f7dcc750c4d9c075190c412cea7bfaf744129ab)


2010-11-03  Thorsten Behrens  <tbehrens@novell.com>  [e7d4f805f91f6d91904a72e07eeb53a80179f2ce]

Changing a few more strings to read "LibreOffice" (cherry picked from commit f398a7b5ff69169925cdee745f8c023a3ae8d90c)


2010-11-03  Tor Lillqvist  <tlillqvist@novell.com>  [00bdddc99cebb65b556ad3c19b15e38c732719df]

Fix typo


2010-11-03  Tor Lillqvist  <tlillqvist@novell.com>  [9fe0680782dc0ff92ef6344cab9ab9534a52017b]

Link with SALHELPERLIB


2010-11-01  Jan Holesovsky  <kendy@suse.cz>  [a095ff5c29af74e34a912f461f29e1c3d42aa6b4]

Merge branch 'master' of ssh://git.freedesktop.org/git/libreoffice/libs-core


2010-11-01  Jan Holesovsky  <kendy@suse.cz>  [a2bef8fea072520115c15b78c4aad283c43b2c3d]

Merge commit 'ooo/OOO330_m13'


2010-11-01  Caolán McNamara  <caolanm@redhat.com>  [4b5bc2997356bc45bd05384b763227efdd764777]

WaE remove unused Strings


2010-11-01  Caolán McNamara  <caolanm@redhat.com>  [8fc51872759aa2bb96c1e0e75e088f3c1cb9b748]

WaE, resolve && || warning with a small optimization


2010-11-01  Caolán McNamara  <caolanm@redhat.com>  [612a73d752664fe643dd3bfac4cb5bf11d42190e]

WaE unused parameter


2010-11-01  Andreas Mantke  <maand@gmx.de>  [eb3193fd4698b5f3619c40e8cf40d2d3bf231eb4]

translation of comments to English


2010-11-01  Michael Meeks  <michael.meeks@novell.com>  [9fafa136814aa4f2e33a6c84e6584e8302fc531f]

cleanup makefile


2010-11-01  Michael Meeks  <michael.meeks@novell.com>  [31b00785bc1984218b77cc806ba2b9387ba634c4]

add restart requested tracing


2010-11-01  Michael Meeks  <michael.meeks@novell.com>  [7d6753fe9ca27889c3ed1975b00e5cbf8f0991e5]

comment disabled extensions import


2010-11-01  Michael Meeks  <michael.meeks@novell.com>  [5e5d42e84fb0c1f3f06fecc91acba8209d7794d1]

Further simplify and trace migration code


2010-11-01  Michael Meeks  <michael.meeks@novell.com>  [38d1ca3c32432137e159af1f290cd71ea616ab04]

Simplify migration API, fix typos, and add trace output


2010-11-01  Juergen Schmidt  <jsc@openoffice.org>  [33f4cc0f7d0807937a51b0475db5466216d65473]

jsc331: i115237: add missing not operator


2010-10-31  Kalman Szalai - KAMI  <kami911@gmail.com>  [376a80a025d039204ca6420be96b636bba7e0775]

Adding extended support for additional gallery localizations


2010-10-31  Joost Eekhoorn  <joost.eekhoorn@gmail.com>  [f82ff8ca95e657c8f673730944c210e4005de382]

use RTL_CONSTASCII_USTRINGPARAM


2010-10-30  Caolán McNamara  <caolanm@redhat.com>  [63b80fa97a624f7b000128f43a3052711d9955d0]

small startup optimization


2010-10-30  Caolán McNamara  <caolanm@redhat.com>  [1b8b0e68c8155cfbca5bbb962b46392fd11c85ac]

small startup optimization


2010-10-30  Caolán McNamara  <caolanm@redhat.com>  [173bb15fc2582b40e4839dcbaa7b69ff49129c57]

small startup optimization


2010-10-29  Caolán McNamara  <caolanm@redhat.com>  [afb8e9d8d4680d3023133fa6840d1a8e539191d1]

small startup optimizations


2010-10-29  Caolán McNamara  <caolanm@redhat.com>  [be1ce67f82f89630f42200bbe95a21e935dd9727]

small startup optimizations


2010-10-29  Caolán McNamara  <caolanm@redhat.com>  [a2f635cee7c41fcdd46b842b15aed19b9136e389]

small startup optimization


2010-10-29  Caolán McNamara  <caolanm@redhat.com>  [f4a113650b7b06efb3033589ba68c7bb1dc4d4ca]

explicit X11 for Xlib calls


2010-10-29  Michael Meeks  <michael.meeks@novell.com>  [2e16cac1bd6785e4b367b68f2fd514bb5d5f129f]

disable macro recording unless in experimental mode

Macro recording is extremely buggy, and generates un-readable or
debuggable macros, keep it available, but only in experimental mode.

2010-10-29  Sebastian Spaeth  <Sebastian@SSpaeth.de>  [bb802db33e2c3fd897be993b82c3d4ee76bd8e61]

libs-core: Remove emacs modelines in the middle of the file

Signed-off-by: Sebastian Spaeth <Sebastian@SSpaeth.de>

2010-10-28  Joseph Powers  <jpowers27@cox.net>  [ba53d2b3079aa87284faedb473c9c5a8d91ac7ad]

Mac OS9 Cleanup #4


2010-10-28  Michael Meeks  <michael.meeks@novell.com>  [36fd87c62463e4a6da512229f68b3bb7919cc514]

add experimental config option


2010-10-28  Caolán McNamara  <caolanm@redhat.com>  [a17da71cd530c72624f767867f8b1fd768112ad8]

add modelines to .hxx files as well


2010-10-28  obo  <obo@openoffice.org>  [49dc64ee28dfc4622787feb38ef7fa2381fccfa8]

CWS-TOOLING: integrate CWS calc61


2010-10-27  Caolán McNamara  <caolanm@redhat.com>  [e60602776f35ffca5af2c577ceb709c311008c76]

fdo#632229# For unx set WM_CLASSes that matches the .desktop files


2010-10-27  Thorsten Behrens  <tbehrens@novell.com>  [fa29f595cf999abc31208c0c22ae6a721d4d0a46]

Fix typo in zipfile dependency


2010-10-27  Niklas Nebel  <nn@openoffice.org>  [55e441c4249d3158f669cda491f655081a6d698f]

calc61: #i115266# handle multiple selection for printing, return valid settings for invalid selection, catch exception from getRenderer


2010-10-27  Cédric Bosdonnat  <cedricbosdo@openoffice.org>  [6cb5d7f676ae2fb8497a3aedcb1694d88da43a9b]

Fixed fdo#31075: Use "Enter Password" in all the dialogs


2010-10-27  obo  <obo@openoffice.org>  [8d53828f76f6e52c7ac9932bc3db93f05796750c]

CWS-TOOLING: integrate CWS dba33l


2010-10-27  Norbert Thiebaud  <nthiebaud@gmail.com>  [0c69cbe99d1a3d631deaedae33eb1cca5c6ba5ee]

remove vos reference from uno xml descriptions


2010-10-26  Thorsten Behrens  <tbehrens@novell.com>  [0e059638d80793931dc5c6fb9fdf9bb4466abadf]

Better shading algo for customshapes, better gradients

Some custom shapes can have shaded parts, like for example 3d can,
the bevelled buttons etc. Those shaded colors are calculated
internally, and have been way off at times. Now using HSV color
space & the originally documented luminance modifications in steps
of 10 percent. Compared to MSO, still no 100 percent match, but
that seems due to gamma correction there.
Additionally, starting with MSO12, gradients on those shaded surfaces
look much better; adapted code to display gradients equally nice.

Note that most of this patch also applies to ooxml import; note as
well that customshapes from *all* kind of input files (including ODF
docs) now look different than before; no real way of changing this
in a backward-compatible way, since behaviour of custom shapes is
mandated (mostly) by internal tables, and not stored in a file.

Applies patches/dev300/ppt-customshape-shading-fix (much of it was
accepted at OOo already, via i#102797)

Applies patches/dev300/ppt-customshape-shading-fix.diff: fixed prob
with line arrows - the extra-added single point polygons lead to
extra arrows randomly around the custom shape. i#105654

2010-10-26  Thorsten Behrens  <tbehrens@novell.com>  [045822069090d8a37aab656e2875f4d9437e133f]

Fix impress ruler behaviour

With 3.0, Impress numbering was modified because of the odf1.2
changes in list level handling; we differ in the way we
consider paragraphs to belong to the 'same' numbering group,
compared to ppt. now, as long as the para has the same outline
level (and no 'restart numbering' flag), it is considered to
belong to the same numbering group, i.e. numbering will mono-
tonically increase. Compares favorable to PPT. Additionally,
fixed a repaint bug that prevented following paragraph's numbers
to change, when certain modifications were made on the current one.

Applies patches/dev300/sd-ruler-fix.diff

2010-10-26  Thorsten Behrens  <tbehrens@novell.com>  [1bd461e83dfe4f8e2c43a4d831d717eba573c54c]

Default to bigger handles in Draw/Impress.

Much easier to interact with shapes - screen dpi is only getting
higher these days

2010-10-26  Caolán McNamara  <caolanm@redhat.com>  [a9a4bd141ae4edb162dd96ed9b295907def6c31f]

micro optimization


2010-10-26  Caolán McNamara  <caolanm@redhat.com>  [88d981af4aeb3a3027ab6c47ba5f8dc7467019cf]

micro optimization


2010-10-25  Norbert Thiebaud  <nthiebaud@gmail.com>  [71e9e0829dbc6d1f0c8aa4ff7096bc72c44d3489]

remove a vos:::Guard that crept up during rebase of the vos-removal branch


2010-10-25  Norbert Thiebaud  <nthiebaud@gmail.com>  [52113b67715c77fc6a8f8416095fe67bbc99972b]

missing reference to salhelper in link of a mac driver due to vos removal

Thanks to Joseph Power for finding this.

2010-10-25  Norbert Thiebaud  <nthiebaud@gmail.com>  [b7cd97528304cf765b4438ffc3bb00f49d40712a]

Finally, gut the vos module out of the build


2010-10-25  Norbert Thiebaud  <nthiebaud@gmail.com>  [b898d81c39204dd020393c04aefcbd9528afff89]

convert vos/process.hxx and related API


2010-10-25  Norbert Thiebaud  <nthiebaud@gmail.com>  [8b81e35ad1b9f231aa517ddff8bab1f31ec901a8]

remvove vos/macros.h usage


2010-10-25  Norbert Thiebaud  <nthiebaud@gmail.com>  [3d70c1584ffc3f76a44d48b10a1fb5c45292460f]

rename osl::SolarMutexGuard -> SolarGuard to avoid namespace ambiguity


2010-10-25  Norbert Thiebaud  <nthiebaud@gmail.com>  [4a7025164c4d996ca784e7ee8497ee1a2545b79e]

fix namespace ambiguity


2010-10-25  Norbert Thiebaud  <nthiebaud@gmail.com>  [641922af0aec9c0f923db348fd734da6ff91acde]

remove vos::OGuard that crept back in during the rebase


2010-10-25  Norbert Thiebaud  <nthiebaud@gmail.com>  [3d915be3267bfc0db57b692eaa040faa192a732f]

migrate vos::OModule to osl:Module


2010-10-25  Norbert Thiebaud  <nthiebaud@gmail.com>  [1979ac8a7c2ae9be2fa1b75450f2428b3bf0ef75]

merge vosremoval-mutex.diff

In practice the changeset is 'inspired' by vosremoval-mutex.diff
but was essentially redone manually

2010-10-25  Norbert Thiebaud  <nthiebaud@gmail.com>  [4ec839be778e5541c09b0f1a6e3b707ca29bae6d]

merge vosremoval-reference.diff


2010-10-25  Norbert Thiebaud  <nthiebaud@gmail.com>  [8df6bbe67a18b79bf35ff8affcd47b4ab8f73bb7]

replace a OClareableGuard on the SolarMutex by a SolarClearableMutex


2010-10-25  Norbert Thiebaud  <nthiebaud@gmail.com>  [19c2b8c10b9c2a7e231ac39c4b9d7985acaf539f]

convert OClearableGuard(SolarMutex) to SolarMutex(Clearable)Guard.

Most OClearableGuard of the Solar Mutex could be converted
to a simple SolarMutexGuard.
a couple of site were converted to a SolarMutexClearableGuard,
were converting to a SolarMutexGuard would have made the code more
convoluted.

2010-10-25  Norbert Thiebaud  <nthiebaud@gmail.com>  [0e31314d93662fe0f6173a4010f140cfcc34b25f]

Use SolarMutexGuard where appropriate


2010-10-25  Norbert Thiebaud  <nthiebaud@gmail.com>  [64bf274cc9d5d73e2a86861f585257f76105ce3e]

use SolarMutexGuard to guard the SolarMutex


2010-10-25  Norbert Thiebaud  <nthiebaud@gmail.com>  [e00037f4dd92a03bd3544291e5cf1f5a4c9bccc8]

merge vosremoval-pipe.diff


2010-10-25  Norbert Thiebaud  <nthiebaud@gmail.com>  [300c90d630edcfef8699058148177889bfd5a8a6]

merge vosremoval-timer.diff


2010-10-25  Norbert Thiebaud  <nthiebaud@gmail.com>  [2afa8c18599b5f10f528ec408a0bc60e075bbe72]

merge vosremoval-signal patch


2010-10-25  Norbert Thiebaud  <nthiebaud@gmail.com>  [58cbef55a44cebbedecace6e4867aa3f49f85d11]

merge vosremoval-security patch


2010-10-26  Adrià Cereto Massagué  <ssorgatem@gmail.com>  [c9f896c3f94c70adf8b90fbc88da64517ed55f6c]

Several comment translations in formula


2010-10-25  Caolán McNamara  <caolanm@redhat.com>  [02894bb957755caf63b3b5c62173397f718b2cce]

micro optimization


2010-10-25  Caolán McNamara  <caolanm@redhat.com>  [59ba0a0e9737a3005b029ac525a6d6f43809671e]

micro optimization


2010-10-25  Caolán McNamara  <caolanm@redhat.com>  [4281901904b354fedfdd060b09a32415fbae0f73]

micro optimization


2010-10-25  Caolán McNamara  <caolanm@redhat.com>  [4c1a59fa65912a83896f258a7f8112427d4393a5]

micro optimization


2010-10-25  Caolán McNamara  <caolanm@redhat.com>  [acb3d5a2e5603fd3213c1857b880b362a901b841]

#i96106# WaE


2010-10-25  Caolán McNamara  <caolanm@redhat.com>  [6eda93118097c6f0b4cf0d527e870e8101210874]

#i106131# ignore bogus tabstops


2010-10-25  Ocke Janssen [oj]  <Ocke.Janssen@oracle.com>  [95f5ddc9bb53cdd7c98946517489721161974414]

dba33l: #i115165# allow NULL as parameter value


2010-10-24  Andreas Mantke  <maand@gmx.de>  [ae5cc8bd1a9191e8ae2e9271bcbd1f8c6bebffc1]

some lines of comment translated


2010-10-24  Andreas Mantke  <maand@gmx.de>  [8be2d4f578c867aaddb5dadd26f9b80ded138578]

some lines of comment translated


2010-10-24  Andreas Mantke  <maand@gmx.de>  [e42ff863f499362302458629f9bf06d10f92267e]

a short comment translated


2010-10-24  Andreas Mantke  <maand@gmx.de>  [8e24584cbea255d5959855bd7d8c515ce965084a]

three lines of comments translated


2010-10-24  Caolán McNamara  <caolanm@redhat.com>  [b92cc3078f3b7ccde061e25b587cc7230a41da0f]

micro opts


2010-10-24  Caolán McNamara  <caolanm@redhat.com>  [770116070994cca4b5ccac1931edbcded883bbda]

micro opts and fix indentation


2010-10-24  Giuseppe Castagno  <giuseppe.castagno@acca-esse.eu>  [f5af40e3b0381dc87e8d6d22af722cca1c85a6fb]

Removed PRODUCTVERSIONSHORT number from icon name in *.desktop files.

This is another piece of the change from /opt/libreoffice3 to
/opt/libreoffice.

2010-10-24  Andreas Mantke  <maand@gmx.de>  [c432e152f499a3f0d9d16de56490412a5e754570]

translation of 2 comments


2010-10-24  Jan Holesovsky  <kendy@suse.cz>  [e655e92b3ffecba794041df652fe9eaaf3b66eee]

Merge commit 'ooo/OOO330_m12'

Conflicts:
	desktop/source/app/app.cxx

2010-10-22  Caolán McNamara  <caolanm@redhat.com>  [91e635b2f8a56c6debc51eab00ded7ca91d4014b]

micro opt, move global


2010-10-22  Caolán McNamara  <caolanm@redhat.com>  [c916ac645285d58c96bb6374fcb73bb2ea00e34c]

startup optimization, move static objects to first use point


2010-10-22  Caolán McNamara  <caolanm@redhat.com>  [a452a4e6a743e069b44839177e7840681c80d555]

startup optimization, move static objects to first use point


2010-10-22  Caolán McNamara  <caolanm@redhat.com>  [3b768960acebca4a47c9d53b40b0a12fa9a8ed83]

startup optimization, move static strings to first use point


2010-10-22  Caolán McNamara  <caolanm@redhat.com>  [b84f1b9df4ae200584a7080f54c01e1d16e1baf9]

startup optimization, remove unused global strings


2010-10-22  Caolán McNamara  <caolanm@redhat.com>  [03523ec6c647add6e3ee339e5752e58c0d2ac34f]

startup optimization, remove unused global strings


2010-10-22  Caolán McNamara  <caolanm@redhat.com>  [52e49c216405d277366916ee0f2c61e96c7aa48d]

startup optimization, remove unused global strings


2010-10-22  Caolán McNamara  <caolanm@redhat.com>  [58587a2508576f70e64e6a7a8990bb9915f4a69d]

#i80184# Allow adding drawing documents to gallery via API


2010-10-22  Thomas Klausner  <wiz@NetBSD.org>  [d4cb36a04eeb015ad1aef7fb4218aad4ab1d3fa8]

Add a file to EXCEPTIONSFILES, needed at least on NetBSD.


2010-10-22  Thomas Klausner  <wiz@NetBSD.org>  [83c59adcb8d8e948961edb109ab5311962289bf4]

Add more files to EXCEPTIONSFILES, needed at least on NetBSD.


2010-10-21  Thomas Klausner  <wiz@NetBSD.org>  [cbe2d337516b6bec5c42a1f5097dd47bc1d91f04]

Add more files to EXCEPTIONSFILES, needed at least on NetBSD.


2010-10-21  Joseph Powers  <jpowers27@cox.net>  [9bbdd2e242a81d5bba9a5a81d647527051241f53]

Add explicit namespaces to two entries.


2010-10-21  Thomas Klausner  <wiz@NetBSD.org>  [d32218dc129a987de23ab887a9e20715b63be459]

Add more files to EXCEPTIONSFILES, needed at least on NetBSD.


2010-10-21  Petr Mladek  <pmladek@suse.cz>  [bded332eb991c28ea514a2298bb107ec43dea3e5]

use /opt/libreoffice instead of /opt/libreoffice3

discussed on the mailing list; related to the change in bootstrap

2010-10-21  Thomas Klausner  <wiz@NetBSD.org>  [361e29193bf8268ab76dc6e8aca4109260717085]

Add more files to EXCEPTIONSFILES, needed at least on NetBSD.


2010-10-21  Thomas Klausner  <wiz@NetBSD.org>  [2187ebb990d35769dc986da3895ca95c18eb9fb8]

Add more files to EXCEPTIONSFILES, needed at least on NetBSD.

Remove OBJFILES, which serves no purpose (LIB1OBJFILES is
the variable name used). Suggested by Caolán McNamara
<caolanm@redhat.com>.

2010-10-21  Caolán McNamara  <caolanm@redhat.com>  [8c2b652e9c6c2a9c5ffa20a82ab7ec7cfd757381]

valgrind: uninitialized variable


2010-10-21  Wolfgang Silbermayr  <wolfgang.silbermayr@gmail.com>  [3771cba650090d852ca5d948045307d561624f87]

Translate comments into English


2010-10-20  Povilas Kanapickas  <povilas.kanapickas@gmail.com>  [aaf95710d88a2db24bb1b7915a4f38e12f9030ac]

remove non-compiled code


2010-10-20  Kurt Zenker  <kz@openoffice.org>  [84d50758d4b9ebf25216259eb780757639f708ac]

CWS-TOOLING: integrate CWS ooo33gsl11


2010-10-20  Kurt Zenker  <kz@openoffice.org>  [f38a8cf165f8eaca6b7959a34b2465e3b82be498]

CWS-TOOLING: integrate CWS sb134


2010-10-20  Caolán McNamara  <caolanm@redhat.com>  [4c1424e10c604107368e5ac7d5aea3f678948528]

WaE: I'm informed this is the intended result


2010-10-20  Caolán McNamara  <caolanm@redhat.com>  [9dd2ec7d5ad8c3707151eb8e72895c3ab6ec6484]

WaE, ignore return value from symlink


2010-10-20  Sebastian Spaeth  <Sebastian@SSpaeth.de>  [428d9243d26b6aef1320b67ca0327ff80ff9bf0b]

document what this is


2010-10-20  Caolán McNamara  <caolanm@redhat.com>  [e7e85f10523f13830fe44992951ab8a9e4bba7b9]

WaE, silence warning


2010-10-20  Caolán McNamara  <caolanm@redhat.com>  [45687ecdcdde7735fd66c63f5f3a6e2c04253064]

WaE, unused parameters


2010-10-20  Caolán McNamara  <caolanm@redhat.com>  [3332b6b5f7012501b564ce7f2e5f886694f429ee]

WaE, unused parameters


2010-10-20  Caolán McNamara  <caolanm@redhat.com>  [0e597092077708d0866c7df11c1a131ae07d8df3]

WaE, shadowed variable


2010-10-20  Caolán McNamara  <caolanm@redhat.com>  [05e7937b33bff9abe92e562d800f91fb83e6a352]

WaE unused parameter


2010-10-20  Caolán McNamara  <caolanm@redhat.com>  [d915969f54ddb26439865d2d6810f82d92df4484]

this is just wrong


2010-10-20  Caolán McNamara  <caolanm@redhat.com>  [9c3afd73dcd3c6e22b891c141fb2d3336f2d2e2f]

WaE: fix missing return


2010-10-20  Caolán McNamara  <caolanm@redhat.com>  [a1e450926a5d2d5005fa9b82ed772c4b99422d94]

WaE: remove shadowed variable


2010-10-20  David Tardon  <dtardon@redhat.com>  [095a86394e4a0ebc956d6c1742b2f5a9ed7676ab]

fix delete/delete[] mismatch


2010-10-19  Trevor Murphy  <trevor.m.murphy@gmail.com>  [f0fbd8e821571d548d46d89fe9516b25ee93753f]

Minor libs-core comment clean-up


2010-10-19  Thomas Klausner  <wiz@NetBSD.org>  [b9dc08c74ddda286234e167b83028c8dcb83943d]

Add missing semicolon.

Suggested by Caolán McNamara <caolanm@redhat.com>.

2010-10-19  Thorsten Behrens  <tbehrens@novell.com>  [c1682cff47ffe2ac7f12fcc7b61b29fc3cc5f34f]

Switch all urls from TDF to LibreOffice

Additionally, fixes fdo#30667 with new about dialog text, and a
link to http://libreoffice.org/credits.html

2010-10-19  Thorsten Behrens  <tbehrens@novell.com>  [62fd25b08af40c1a6d14c6a6d58ab2bdd238bc03]

Make about dialog display clickable hyperlink for credits

Added a svt::FixedHyperlink to the about dialog, so people can
click on something to get to the credits page.

2010-10-19  Caolán McNamara  <caolanm@redhat.com>  [5da353cab7576e38025eb5ec6fad3d25ba0d6175]

survive missing configuration entries gracefully


2010-10-19  Caolán McNamara  <caolanm@redhat.com>  [c7738b754d25994449a390fc8ef5fedf546f6b96]

don't set singletonCreated before possible throws


2010-10-19  sb  <sb@openoffice.org>  [e97774c142014a662053d4649e760d791bfc10c1]

sb134: #i114705# call FlushConfiguration only after all modifications have been made


2010-10-18  Florian Bircher  <florian.bi@gmx.net>  [86ec8c1520e2a2354707445b3182f3371df522ac]

use SAL_N_ELEMENTS


2010-10-18  Povilas Kanapickas  <povilas.kanapickas@gmail.com>  [6a007ed1754b45ab00c3021dc3724edea53f1ed1]

remove non-compiled code


2010-10-18  Philipp Lohmann [pl]  <Philipp.Lohmann@Oracle.COM>  [dc31e3b09838409c57f5ff9181cf4d6950575c81]

ooo33gsl11: #i115088# add a nodoc string, workaround botched define in classes/resource.hrc


2010-10-18  Caolán McNamara  <caolanm@redhat.com>  [ba0251a0767b802b20e4f017005d0752add77607]

#i112656# add osl_setEnvironment and osl_clearEnvironment


2010-10-18  Caolán McNamara  <caolanm@redhat.com>  [dbba003d117af2a41f5e1f31c8ca52e32d53584a]

#i7065# add Title Page dialog


2010-10-17  Luke Symes  <allsymes@gmail.com>  [50659c9893fb5f98ab5c0751cc7c36ac880560c5]

cleanup some more dead code under connectivity


2010-10-17  Luke Symes  <allsymes@gmail.com>  [6ccfe586eba1a0cdaf009992812d69a0268dd9d2]

remove dead code from dbase driver


2010-10-17  Jesús Corrius  <jesus@softcatala.org>  [962f146002c95777161a5bc4dda426e5592ed0be]

Make calls to unary_function and binary_function less ambiguous for VC10


2010-10-17  Kenneth Venken  <kenneth.venken@gmail.com>  [2f66ff459bebbb8f181bc9e8a4e77685c874ff67]

use SAL_N_ELEMENTS macro


2010-10-16  Andreas Mantke  <maand@gmx.de>  [4ecdedf95c891a7184d2281005fcd5585d6f91d7]

Translation of Comments to English


2010-10-16  Thorsten Behrens  <tbehrens@novell.com>  [62c0947bfc47357a97ccba359769406b657a351a]

Fix missing media-type for ODF thumbnails

As per ODF 1.2 Part 3, 4.8.10:

A manifest:media-type attribute should be present for all files and
directories where a MIME media type exists for the content of the
file...

So added "image/png" for the thumbnails there.

2010-10-15  Luboš Luňák  <l.lunak@suse.cz>  [09fd8aa400c174c09ace962f2b3830119a3d4cca]

rely on KFileDialog for automatically adding extension

Otherwise there are two checkboxes, and since it's difficult to get
at the KFileDialog one, just assume it does the right thing (which
additionally makes it consistent with other KDE apps).

2010-10-15  Luboš Luňák  <l.lunak@suse.cz>  [e09c87b819d7e5e1142d0d844e4ad584732696c5]

do not use generic class names in the KDE3 fpicker code


2010-10-15  Joseph Powers  <jpowers27@cox.net>  [eec61ff5f60f0560484e2350ba650b8fd21df592]

Some fixes for compile warnings

Removing compile time warnings about enum values not being handled in select statement.

2010-10-15  Noel Power  <noel.power@novell.com>  [e106da87a95ddf9b93c25953416e58fedaa682a5]

fix fdo#30853 remove find related to Oracle specific MacroMigration


2010-10-15  Michael Meeks  <michael.meeks@novell.com>  [cda621d6b1fa283eb5916cbdd9d84bf16d1c3a6f]

Close holes and wasted space in structures.


2010-10-15  Noel Power  <noel.power@novell.com>  [8bc9166f28712e799766cb25989ba1a3f6da2312]

fix fdo#30856 remove VBAForm property and associated geometry hack


2010-10-15  Noel Power  <noel.power@novell.com>  [0a4cd1834a3b5e229d6d05217db0c3b10f43ee3c]

migrate OOo 3.x data


2010-10-15  Michael Meeks  <michael.meeks@novell.com>  [17b17bdd2619352ccb0197a017bde05304953251]

add missing include


2010-10-15  Luboš Luňák  <l.lunak@suse.cz>  [0ed7a93b18e112f75fb73a0ead6a00dd502b3abd]

 #include <sal/macros.h> for SAL_N_ELEMENTS


2010-10-15  Jan Holesovsky  <kendy@suse.cz>  [323b43883090b53de11123097a818c77aeb5098e]

Don't expose unnecessary symbols in lockfile.

lockfile-less-symbols.diff

2010-10-15  Jan Holesovsky  <kendy@suse.cz>  [e739fe0869ed4bb26615def73d83e055145148e8]

Don't do dns lookup on startup.

lockfile-dont-do-dns-lookup.diff, n#389257

2010-10-15  Tor Lillqvist  <tlillqvist@novell.com>  [59e48cc7e19dcf1181bf24239ac0604f79f44014]

mail-document-subject.diff: sanitize subject if document mailed from LibreOffice

bnc#459176

2010-10-14  Michael Meeks  <michael.meeks@novell.com>  [168acebb90f6bbdfe30079802c760da26c3f17aa]

add lots more missing sal/macros.h includes


2010-10-14  Michael Meeks  <michael.meeks@novell.com>  [9382c042573d431e071678df7827df7251a51f20]

include correct sal/macros.h header to compile.


2010-10-14  Kayo Hamid  <revol.code@yahoo.com>  [8279868bb177cdfc07f3eeed380412616e4958db]

Switch to use SAL_N_ELEMENTS macro, everywhere


2010-10-14  Caolán McNamara  <caolanm@redhat.com>  [939cd5666cb104ccaad67863258f9a67bb01434b]

fix some warnings


2010-10-14  Harri Pitkänen  <hatapitk@iki.fi>  [37d03a6fd24aebbb0908ca7cdc89aa216d783c23]

remove redundant null checks.


2010-10-14  Harri Pitkänen  <hatapitk@iki.fi>  [cb9d5351f02d8a6c6e75bb5676ef78a306a8466b]

fix leak


2010-10-14  Luboš Luňák  <l.lunak@suse.cz>  [c3d1460a61a02cf83a683d456e9eec1302475e2f]

better fix for QClipboard blocking, future-proof


2010-10-14  Jens-Heiner Rechtien  <hr@openoffice.org>  [570ff2183f97714f28dc2187279e41e656903bdc]

CWS-TOOLING: integrate CWS jl161


2010-10-14  Jens-Heiner Rechtien  <hr@openoffice.org>  [0e810a79aaaa25996ed4e8a658a1c04b8060bbd2]

CWS-TOOLING: integrate CWS sb133


2010-10-14  Caolán McNamara  <caolanm@redhat.com>  [003934eea1d97b28d9f55c2ebf33263291d294ff]

fdo#30473 use libreoffice symlink for RH


2010-10-14  Thorsten Behrens  <tbehrens@novell.com>  [bfc3c94720fc85bc1c69e2c9aa127ab7ab36d71c]

Disable user migration when SAL_DISABLE_USERMIGRATION is set

Because of the fact that LibreOffice automatically converts old
user configurations over to the new install (which is right 99% of
the times), we needed a way to explicitely prevent that on first
start - simply export SAL_DISABLE_USERMIGRATION=1 on initial LibO
start.

2010-10-14  Kohei Yoshida  <kyoshida@novell.com>  [d55b4b7018d750e7389a3069b7b627c85cfa8f5c]

Use Ctrl-Shift-D to launch selection list in Calc.


2010-10-13  Kohei Yoshida  <kyoshida@novell.com>  [b8242e106203832a6338e73bf36cce239f9ca81f]

Merge branch 'master' into feature/calc-key-binding-compat


2010-10-13  Caolán McNamara  <caolanm@redhat.com>  [65bfd5bd282ca621e536840a16421b8f799714e8]

tweaks for AIX


2010-10-13  Caolán McNamara  <caolanm@redhat.com>  [c9a594003bf31368a2579e20ca9e68b97e6130e7]

AIX tweaks


2010-10-13  Caolán McNamara  <caolanm@redhat.com>  [90633b0f57cef98b2d3af888977ee7eaf5552cc8]

fix AIX build


2010-10-13  Caolán McNamara  <caolanm@redhat.com>  [bafcb9f298afa86c7dbb65f3a424d131f95bbed1]

fix typo


2010-10-13  Caolán McNamara  <caolanm@redhat.com>  [fbca9235378e29cffb12dfe4c04f958242ffd3d4]

add AIX to desktop


2010-10-13  Katarina Machalkova  <kmachalkova@suse.cz>  [9621cfed7cc81baac5b87581049a3662eb997cd3]

Merged pptx-autoplay-fix.diff from ooo-build


2010-10-13  Katarina Machalkova  <kmachalkova@suse.cz>  [b21cb20e7bf8e6ee2f917652622deed39ba420a0]

Merged xlsx-shared-xlsx-snapshot.diff from ooo-build


2010-10-13  Cédric Bosdonnat  <cedricbosdo@openoffice.org>  [21fb74ba659f893ad7410e459887f1b8634293f5]

fdo#30840: Fixed zoom level on the license document


2010-10-13  Noel Power  <noel.power@novell.com>  [209f1d111d675fe2eb5afd8d5d7e941ded4d4932]

Merge branch 'master' of ssh://noelp@git.freedesktop.org/git/libreoffice/libs-core


2010-10-13  Giuseppe Castagno  <giuseppe.castagno@acca-esse.eu>  [c011c9b56f1db02c4f339024888586a26291f2e3]

Correcting one more bashism.


2010-10-13  Laszlo Nemeth  <nemeth@openoffice.org>  [e16fa9b4bf1611f8e2b66ddb1b650a7977a66569]

Fix fake small caps resizing factor #i1526#

See detailed explanation in IZ.

2010-10-13  Jan Holesovsky  <kendy@suse.cz>  [1ddbd702ae05d51e391a312552778be808fde8da]

Merge branch 'master' of ssh://git.freedesktop.org/git/libreoffice/libs-core


2010-10-13  Noel Power  <noel.power@novell.com>  [ace843304cba4ea36bba8e2d6898be426837ee6c]

Merge commit 'origin/master'

Conflicts:
	vbahelper/source/vbahelper/vbadialogbase.cxx

2010-10-13  Caolán McNamara  <caolanm@redhat.com>  [86423ced17e0444f63e6a8bd5ef779717b11a7ee]

#i113061# dubious self-assign


2010-10-13  Caolán McNamara  <caolanm@redhat.com>  [3132c4a6ad2bdffa0a5149e3140ff1f1427edc3e]

WaE, silence && || warning


2010-10-13  Noel Power  <noel.power@novell.com>  [150c9846abeaab2ece2a7b35f61e83695abd5fdd]

replace old header ( that I deleted ) with spanking new one


2010-10-13  Noel Power  <noel.power@novell.com>  [606a57481911e111dfab950cd7fb90ae80aed014]

Merge branch 'vba' fix conflics, trailing ws & tab issues

also removed some old headers ( which I need to add new ones for )

Conflicts:
	basic/source/classes/sbunoobj.cxx
	basic/source/classes/sbxmod.cxx
	xmloff/inc/xmlnmspe.hxx
	xmloff/inc/xmloff/xmltoken.hxx
	xmlscript/inc/xmlscript/xmldlg_imexp.hxx

2010-10-13  Michael Meeks  <michael.meeks@novell.com>  [72ed8fbf6ac16bac1baf67dd4b804cb55eda8012]

Register evo address book


2010-10-13  Michael Meeks  <michael.meeks@novell.com>  [bbe4961e7fcc6f6ad1afa50ad5fb97017829a788]

merge evo address book mapping in


2010-10-13  Jan Holesovsky  <kendy@suse.cz>  [11ecb2ba487e9ff85ee61d01808f0a33dc025e1f]

Merge commit 'ooo/OOO330_m10'


2010-10-13  Sebastian Spaeth  <Sebastian@SSpaeth.de>  [80df122f26a4474bea36d976754b59aa18558cfd]

Add vim/emacs modelines to all source files

Fixes #fdo30794
Based on bin/add-modelines script (originally posted in mail
1286706307.1871.1399280959@webmail.messagingengine.com)

Signed-off-by: Sebastian Spaeth <Sebastian@SSpaeth.de>

2010-10-12  Michael Meeks  <michael.meeks@novell.com>  [0425269accf7f2891e0430ade82260431d1ec53c]

Enable unx quickstart, and broffice flags


2010-10-12  Jan Holesovsky  <kendy@suse.cz>  [d2b113ec937d709e45ed1bd278a074f26529d295]

Implement unix quick-starter

Kendy's standalone unix-quick-starter, with tweaks to make it
conditionally compiled, and load png images with the new
branding layout from Michael.
Fixes to the soffice shell-script to not run pagein for a 2nd start

2010-10-12  Caolán McNamara  <caolanm@redhat.com>  [a4d7dbf897e41a1afda6c2b6f0e5cc35920a1cf3]

#i112786# make ConfigManager a well-behaved singleton


2010-10-12  Caolán McNamara  <caolanm@redhat.com>  [0708aa63dd280b345553f278b5a58a5676adafcc]

#i112787# fix ownership cycle


2010-10-12  Caolán McNamara  <caolanm@redhat.com>  [dd53d144e66f603e06f2318abd8fec5353d76cf0]

#i112760# deinitialize ucb when shutting down unopkg


2010-10-12  Andras Timar  <timar@fsf.hu>  [c4985ec559a79eb9fd9096d16961eecb6252118f]

removed German from the versioninfo


2010-10-12  Cédric Bosdonnat  <cedricbosdo@openoffice.org>  [d288cef69056f123377d288a49d7ed8f1563ad0f]

Fix roundtrip of DOC unhandled fields

Partly fixes n#628098 (OLE links roundtrip) and fix the fieldmark export
in ODF to allow it only for 1.2 Enhanced (fdo#30711).

2010-10-11  Kohei Yoshida  <kyoshida@novell.com>  [206d6a474256dc4c7464cfb1d6830750c8712df2]

Merge branch 'master' into feature/calc-key-binding-compat


2010-10-11  Alan Du  <alan_du22@yahoo.com>  [65e1613653e13b13263222f6f6aa1701e3ed3f42]

Removed a lot of the //CHINA001 comments.


2010-10-11  Kohei Yoshida  <kyoshida@novell.com>  [1b750582d4ccc8a84bce07d3ebc68ef844a92b6c]

New options tab page for Calc's compatibility settings.


2010-10-11  Caolán McNamara  <caolanm@redhat.com>  [45beae272a78970d5911292d8794b60f00beaafb]

more quickstarter fixes i#108846


2010-10-11  Michael Meeks  <michael.meeks@novell.com>  [3ae112b753a71d32de70ee96afbe942b9aa7731c]

Fix -quickstart option, and help (i#108846)


2010-10-11  Arnaud Versini  <arnaud.versini@gmail.com>  [37eded548d96c21ebfb97554071a3d5527420473]

Resolving issue 2838 of OOo.

It’s in two parts :
* autocorrection comparison function during the search of the word(s) takes care of the case.
* possibility to insert two times the same words with different
cases.

2010-10-11  Luboš Luňák  <l.lunak@suse.cz>  [be78eaf5fed1c93cbd072e66da256caa8b3a0315]

fix undefined operation


2010-10-11  Tor Lillqvist  <tlillqvist@novell.com>  [ea9d7102e706e3bea97b3370e71862feda5ffee9]

Fix VOS removal fallout


2010-10-11  Michael Meeks  <michael.meeks@novell.com>  [75fd7e32b25cc975988ed63af0542bc184584c15]

deliver the images.


2010-10-11  Michael Meeks  <michael.meeks@novell.com>  [d5f976e7ada4e4b990a092e0dd954f511bdfbe84]

package the shell pieces up into a zip archive


2010-10-11  Michael Meeks  <michael.meeks@novell.com>  [bca616748fafbb53f95861b7b4b18884781bc8d0]

remove obsolete includes


2010-10-11  Michael Meeks  <michael.meeks@novell.com>  [3d265f9c26ec13b38af940a5d3d475db8ffd03df]

Switch to using installed branding images for the backing items.


2010-10-11  Michael Meeks  <michael.meeks@novell.com>  [f8b3faf2e1e2f81a54338bc5a2fa5e76725e7622]

push branded image finding down into vcl


2010-10-11  Michael Meeks  <michael.meeks@novell.com>  [dfb332887c145201e3f58dbc3781ccd7994b2633]

deliver new branding too ...


2010-10-11  Michael Meeks  <michael.meeks@novell.com>  [674794c065468d289c5e4085d8f0e458add4a7ab]

simplify branding packaging


2010-10-11  Michael Meeks  <michael.meeks@novell.com>  [6c1b6df9c9c5817fa214d12b4946599e40d5b914]

remove over-complex about + intro name lists


2010-10-11  Michael Meeks  <michael.meeks@novell.com>  [28e5598c67d26e2074d0d01c19d54241a1480510]

re-write branded image location code in new module, and share with splash


2010-10-11  Michael Meeks  <michael.meeks@novell.com>  [6a2210fa79446c2c2246e512b6037f3e04be4af3]

clean cut/paste brand location code


2010-10-11  Michael Meeks  <michael.meeks@novell.com>  [6541d84896e72c4dd10bc04014dc8db786463dc9]

pack broffice artwork, and deliver correctly.


2010-10-11  Michael Meeks  <michael.meeks@novell.com>  [ad7468c29ea72cabc58fdd358fb6d05133a40c0c]

add a per-language preferred name first ...


2010-10-11  Michael Meeks  <michael.meeks@novell.com>  [f0be581e92627787094618eb93bcb11252de0290]

deliver new branding too ...


2010-10-11  Michael Meeks  <michael.meeks@novell.com>  [3f95601882144fcf2c81924bb3b4300ed17a8a8f]

simplify branding packaging


2010-10-11  Tor Lillqvist  <tlillqvist@novell.com>  [2de8570fb07bb6225213d406a7bb2adbddbe4d36]

Set username/domain/password to use only if provided by user

The semantics of ucbhelper::InteractionSupplyAuthentication changed at
some point, so the getUserName(), getRealm() and getPassword() methods
now return non-empty strings only if the user actually changed them.
Check the return values for being non-empty before using them for
gnome-vfs authentication.

From gnome-vfs-authentication.diff, fixes bnc#465102.

2010-10-11  Caolán McNamara  <caolanm@redhat.com>  [45b95fddcae6f39b05f339726e364196c4a591b3]

#i112747# fix ownership cycle in ucb


2010-10-11  David Tardon  <dtardon@redhat.com>  [cbd15532dc7cc6c08f3352a41441df766e2cf585]

#i112795# ignore empty windows when inserting dock


2010-10-11  David Tardon  <dtardon@redhat.com>  [d6163394a58630043d14cc900ac780dcbe790b9b]

#i114423# prevent possible use of a ref. to deleted LocaleDataWrapper


2010-10-11  David Tardon  <dtardon@redhat.com>  [5f53b1ac48f432011a3422306ca9de1fab496097]

#i112597# add display properties to control shapes


2010-10-11  David Tardon  <dtardon@redhat.com>  [06c2ff3bd4f085b98f6f3336e80f13c5c31c6a8a]

#i114427# prevent possible use of a ref. to deleted LocaleDataWrapper


2010-10-11  David Tardon  <dtardon@redhat.com>  [b769cc464d34f3f13733831b31fb41884734f6ab]

#i110567# lock SolarMutex before calling Invalidate()


2010-10-11  David Tardon  <dtardon@redhat.com>  [18c96c06428488fb4882a71aaafcee65c2485d33]

#i113359# avoid possible null pointer dereference


2010-10-11  David Tardon  <dtardon@redhat.com>  [5438392e13a3f022073725dd85e4d71d6f56e55b]

#i112582# fire focus events from ComboboxToolbarController


2010-10-11  Norbert Thiebaud  <nthiebaud@gmail.com>  [32d0d2161a6005bb170a4c618cb66dbc09c0dcc8]

merge vosremoval-socket patch


2010-10-10  Norbert Thiebaud  <nthiebaud@gmail.com>  [d7968478a94d6baf5d814262f924801ddb90e296]

merge vosremoval-thread patch


2010-10-10  Norbert Thiebaud  <nthiebaud@gmail.com>  [26ea5e0aa29eb0d99f4e7edf1f0d6c76dbd84c59]

merge vosremoval-diagnoses patch


2010-10-10  Norbert Thiebaud  <nthiebaud@gmail.com>  [d6e6f60d0b04254ec2674527d3cc6c4688d7070a]

squash warning. LONG_MAX is not compatible with sal_Int32


2010-10-09  J. Graeme Lingard  <jgraeme+git@gmail.com>  [956257bc7e07eea3c447f04df2db676845c60587]

Remove redundant #ifndef & #ifdef directives

These unused directives are:-

- multiple #ifndef GCC
- one #ifdef WIN

2010-10-09  Thomas Klausner  <wiz@NetBSD.org>  [61c2afa7620de625a5a36e17be4c5a58e3b09055]

Add cases for NetBSD/x86 and NetBSD/amd64.


2010-10-09  Thorsten Behrens  <tbehrens@novell.com>  [da70226f13e877d0b82e1e4fa3e38fca60b6db0d]

framework-menubar-fix.diff: Framework menubar fix


2010-10-08  Petr Mladek  <pmladek@suse.cz>  [3a8c74ddc47656d1d7ed3f0c133946d878e01631]

Merge branch 'master' of ssh://pmladek@git.freedesktop.org/git/libreoffice/libs-core


2010-10-08  Andreas Mantke  <maand@gmx.de>  [d99c488e2cd725696f54822c3f813a1efae6d1f6]

translation of comments to English


2010-10-08  Fong Lin  <pflin@novell.com>  [8a4837a0a2e66b8e15872870f64a238c389fc8c7]

Port of Lotus Word Pro filter, by Fong Lin and Noel Power


2010-10-08  Petr Mladek  <pmladek@suse.cz>  [57288f9c94e167e93bbbc75750e0f932cc964370]

Version 3.2.99.2, tag LIBREOFFICE_3_2_99_2 (3.3-beta2)


2010-10-08  Norbert Thiebaud  <nthiebaud@gmail.com>  [469249094dfd6bff326815481ec84668b75a8f27]

FASTBOOL to bool conversion


2010-10-08  Norbert Thiebaud  <nthiebaud@gmail.com>  [70f318612983b820e021518936e6984bc1371183]

Do not use magic number instead of the size of objects.


2010-10-08  Michael Meeks  <michael.meeks@novell.com>  [457091536c3b3540fccc8fdc299b7eec1f3ea5c7]

remove daft sleeps on start


2010-10-08  Michael Meeks  <michael.meeks@novell.com>  [0288f98bd0705d66189efcc85a7b60186f4c7f59]

remove daft sleeps on start


2010-10-08  obo  <obo@openoffice.org>  [c84cd1634ee6db999dae05321c228162638d2a81]

CWS-TOOLING: integrate CWS hb22


2010-10-08  Joachim Lingner  <jl@openoffice.org>  [6e45443837ee59c970dfc903cfa8239669e89439]

jl161 #i114933# solve deadlock problem when adding an extension


2010-10-08  obo  <obo@openoffice.org>  [5606219b345ef8e16f0176f5dde002d8a81da1a1]

CWS-TOOLING: integrate CWS sw33bf10


2010-10-08  obo  <obo@openoffice.org>  [ccbb3ffa0a23579332ce68dec4dbfaa4e145d2fd]

CWS-TOOLING: integrate CWS fwk159


2010-10-07  Michael Meeks  <michael.meeks@novell.com>  [18393b39eac086e03e638c0a7ba7d1adf22c7f26]

warn if people havn't source the environment after linkoo


2010-10-07  Andreas Mantke  <maand@gmx.de>  [a7c9c2f07cfca4bb3ca44bc51d66953b709f460c]

comment translation into English


2010-10-07  Joachim Lingner  <jl@openoffice.org>  [457fe87eda6cbea16520e1efc0ec5a05f2ae3e0c]

jl161 #i114933# solve deadlock problem when adding an extension


2010-10-07  Petr Mladek  <pmladek@suse.cz>  [b8fb305c69f2831bf07d040383a247cb23e9aa3c]

more removed include guards using fixguard.py


2010-10-07  Caolán McNamara  <caolanm@redhat.com>  [2bd572a540c3a8d1dec99422c62fb83604277ad8]

#i113141# show all appropiate formats by default on save as


2010-10-07  Cédric Bosdonnat  <cedricbosdo@openoffice.org>  [648309966263c0d081d4d861056bf3943a131fad]

Dotted - dashed borders: Fix build breakage in svx


2010-10-07  Thorsten Behrens  <tbehrens@novell.com>  [8bb78a0f38b4f8823ff772da372613db04582b29]

Webservice URLs now point to documentfoundation

Changed places referencing OOo webservices to refer to
*.documentfoundation.org instead. Also, append coutry string to URL.

2010-10-07  Cédric Bosdonnat  <cedricbosdo@openoffice.org>  [39500f2d04e439544b3704bdec842f9c3b063b61]

Dotted, dashed lines ODT import fixed


2010-10-07  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [943e0be298f2b4b59cff6ba98380c0a2ffa3843a]

rtl/ustring does not exist, careful with inplace editing


2010-10-06  Cédric Bosdonnat  <cedricbosdo@openoffice.org>  [60d09ae471ba117e2eb773398a883df1d023daa4]

fate#307731, fate#307730: Adds dotted and dashed border lines


2010-10-06  Andreas Mantke  <maand@gmx.de>  [bf8fb43fd8daa85f6ebb1c4d6997008e90835757]

removing of old outcommended source code


2010-10-06  Andreas Mantke  <maand@gmx.de>  [6c0db5894279a5eb6f8eab3e2f7fb3248ca14e1e]

translation of comments to English


2010-10-06  Caolán McNamara  <caolanm@redhat.com>  [81a2e908c915ca379df0ef622174d003f2e2c5dd]

libebook-1.2.so SONAME bumped again


2010-10-06  Kohei Yoshida  <kyoshida@novell.com>  [81a04ee83092f13fa5eaf09d52e4cd3834dee5f7]

Revert "This patch resolve the issue 2838 of OOo."

This reverts commit f6cc5097f616e106b8a08ddfa445c38027a4411d.

The related commit in the 'components' repo (for cui module) is
reverted.  I'm reverting this one just to be in sync....

2010-10-06  Jan Holesovsky  <kendy@suse.cz>  [020edad3cc21b5c604c3c21e0ab70269ee418b9e]

Merge branch 'master' of ssh://git.freedesktop.org/git/libreoffice/libs-core


2010-10-06  Jan Holesovsky  <kendy@suse.cz>  [1d2139a8d204a9665042ab0ea8eb76028577d4f9]

Merge commit 'ooo/OOO330_m9'


2010-10-06  Caolán McNamara  <caolanm@redhat.com>  [2cb0e28f82fd35a860ce00f229d17e4ccf1839ec]

turn off NumberRecognition in writer, its surprising behaviour


2010-10-06  Caolán McNamara  <caolanm@redhat.com>  [70b40157a66a552c3e93b9c0327e2c9cb8c372bc]

default to just printing the formula itself in math, saves space


2010-10-06  Caolán McNamara  <caolanm@redhat.com>  [069c5a8153b13101f8d7516a0932b4f987c9361e]

#i113503# cppunit stl wrapper headers


2010-10-06  Noel Power  <noel.power@novell.com>  [ed49568618442960781b63c3a47ddc65031b2fa0]

initial commit for vba blob ( not including container_control stuff )


2010-10-06  Noel Power  <noel.power@novell.com>  [d4fc699a7eb1fe8738c4cd49d4f2a71462f54536]

initial commit for vba blob ( not including container_control stuff )


2010-10-06  J. Graeme Lingard  <jgraeme+git@gmail.com>  [a5555aac17439f9f1da6006166ecfcc80628900b]

Remove redundant #include directives & comments


2010-10-06  Caolán McNamara  <caolanm@redhat.com>  [98ba1c2671326f6b6d653fefa33cecae44548605]

overly const


2010-10-06  Caolán McNamara  <caolanm@redhat.com>  [c7146aef38f15ec872093dd3924e7ee8b7b15f75]

we see stacktraces with this NULL sometimes :-(


2010-10-06  Caolán McNamara  <caolanm@redhat.com>  [198648266bf296749bacb5dd8dc525d7ae3c5df5]

#i113056# fix warning


2010-10-06  David Tardon  <dtardon@redhat.com>  [2ff212ff7de4675deeab61a3b68067de30589ff2]

remove more commented out #includes and related comments


2010-10-06  sb  <sb@openoffice.org>  [d2ddf1ca02ef283075e6609407a93f2a27d7662f]

sb133: #i114705# flush configmgr on every soffice exit path


2010-10-05  Kohei Yoshida  <kyoshida@novell.com>  [8c2dbf6048cfe7f6e53f5953ede7e263e0d94ced]

Ported calc-extref-interpreter-rework-*.diff from ooo-build.

Re-structured the interpreter code to handle external references with
ocPush, instead of ocExternalRef.  This is necessary in order to
support shifting of references in the same way you can with internal
references.

In addition, this change allows re-using of document instances already
loaded when accessing external references that point to one of already
loaded documents.  Previously, Calc would load the same document from
disk even when the document was already loaded.

(n#628876)

2010-10-05  Andreas Mantke  <maand@gmx.de>  [da7a5dc29cc18ca5ed2a4a5e254983c225dca397]

Removing old commented out source code


2010-10-05  Andreas Mantke  <maand@gmx.de>  [6fbab95f5a19f8d6703da85aba8c6a80f87a346c]

Translation of comments to English


2010-10-05  Kohei Yoshida  <kyoshida@novell.com>  [44962f4eb7f2a883707299f85b76888a5d7c5933]

Ported dde-reconnect-on-load-*.diff from ooo-build.

Improve reliability of DDE connections between documents opened in LO.
With this change, LO tries to reconnect to a DDE server document upon
opening if that server document is being listened to by one of the
open documents.

Also, the old implementation would load a DDE server document
invisible, and would never close it when the user updates the link.
This had the consequence that when the user tries to open this
document while it's loaded hidden, it causes some weird focus issues,
and closing it and opening it again would disconnect the DDE
connection.  The new implementation closes the server document
immediately after the DDE link update is complete.

This change also fixes a bug in Calc where DDE link updates to cells
would fail when the formula syntax is set to something other than Calc
A1.

2010-10-05  Arnaud Versini  <arnaud.versini@gmail.com>  [f6cc5097f616e106b8a08ddfa445c38027a4411d]

This patch resolve the issue 2838 of OOo.

It’s in two parts :
   * autocorrection comparison function during the search of the
word(s) takes care of the case.
   * possibility to insert two times the same words with different
cases.

2010-10-05  Kohei Yoshida  <kyoshida@novell.com>  [4e58bfec2cec6abf7b5fc9f21bfeee875c0e3275]

Ported calc-english-func-names-*.diff from ooo-build.

Add option to switch to English function names instead of the
localized ones.  In some locales (especially in Hungary) the users are
more accustomed to the English function names rather other than
translated names (i#38765).

2010-10-05  Kohei Yoshida  <kyoshida@novell.com>  [a6750150c2a25b947ee5b8dce49482f20add1d87]

Ported calc-english-func-names-*.diff from ooo-build.

Add option to switch to English function names instead of the
localized ones.  In some locales (especially in Hungary) the users are
more accustomed to the English function names rather other than
translated names (i#38765).

2010-10-05  Petr Mladek  <pmladek@suse.cz>  [38edb9bd9228fec9653317dacfe639b72049c986]

fixed framework includes after removing the guards


2010-10-05  Petr Mladek  <pmladek@suse.cz>  [16e4df3ac7d034a0fcf6bfc67adfe2c4bd35d142]

fixed fpicker includes after removing the guards


2010-10-05  Petr Mladek  <pmladek@suse.cz>  [5969a13642344c18fbd676a302b0685dca8fac60]

fixed connectivity includes after removing the guards


2010-10-05  Petr Mladek  <pmladek@suse.cz>  [cf1ae3562efb375a62bf7807bf310556c7dbca70]

more removed include guards using fixguard.py


2010-10-05  Petr Mladek  <pmladek@suse.cz>  [5dbc8a81c4329a985a69b306996d96141b35da4b]

fixed include files in svx after removing the guards


2010-10-05  Petr Mladek  <pmladek@suse.cz>  [eb884c29d3400ee067ecdd4a50905f367bb07cc8]

fixed include file names in sfx2

found after removing include guards

2010-10-05  Petr Mladek  <pmladek@suse.cz>  [4b5d730213c1599c3f7e005f05bbbb389ca21b99]

remove include guards using fixguard.py


2010-10-05  Kohei Yoshida  <kyoshida@novell.com>  [a4622cff8e54cc581ac1fdd1bc19151fee502861]

Fixed a build breakage; QueryValue and PutValue now return bool.


2010-10-05  Kohei Yoshida  <kyoshida@novell.com>  [59766998c4be373b8a8feb84d55157e94755c1c2]

Ported calc-distributed-cell-text-*.diff from ooo-build.

This feature enables horizontal 'distributed' alignment and vertical
'justified' and 'distributed' alignments for cell contents in Calc.
Note that this feature relies on ODF 1.2 extended in order for the
relevant cell attributes to be saved in ODS.

2010-10-05  Kohei Yoshida  <kyoshida@novell.com>  [5039415ee76af364e260492cfc8cde4b66ef35cf]

Ported calc-formula-variable-sep-config-check-sfx2.diff from ooo-build.

This adds a method that gets called when the user clicks OK to dismiss
the Options dialog.  This is used in order to handle conflicting argument
separator settings wrt locale-specific decimal separators.

2010-10-05  Kohei Yoshida  <kyoshida@novell.com>  [54d5ffd4948bcd050c58a0369dec6235381a1fca]

Ported always-save-option-*.diff from ooo-build.

A new configuration option to toggle allowing of saves even when
no "modification" has been made.

2010-10-05  Luboš Luňák  <l.lunak@suse.cz>  [e5b53281b9395b6ef3554e139094155ed20dd3b7]

release solar mutex before entering Qt event loop


2010-10-05  Luboš Luňák  <l.lunak@suse.cz>  [6aa6b7c80cb570f38928e9b2771e784006370da8]

refactor several SolarMutex releaser classes into one


2010-10-05  Caolán McNamara  <caolanm@redhat.com>  [7d7b51c8c48b0b88eef65e1cf649b6dc85cd9f71]

add some configure options to control external libtextcat and libtextcat data


2010-10-05  Caolán McNamara  <caolanm@redhat.com>  [40a25c9771d659c5b2d79bb2dfe393f5fda9d730]

be consistent wrt toolbarmanager with icons in menus


2010-10-05  Caolán McNamara  <caolanm@redhat.com>  [c81b663cd4318faf36a4ba69a068dd537181fdf6]

fixup show menus in icons


2010-10-05  Caolán McNamara  <caolanm@redhat.com>  [41ac0a07277a59a456cf608cbbbdc385d9adcfa4]

use radio buttons for mutually excusive menu options


2010-10-04  Lior Kaplan  <kaplanlior@gmail.com>  [967ea9dd4d6f2bb501d6a156c2dc3f55428ca2dc]

Replace hardcoded "product by Oracle" with "product by %OOOVENDOR".


2010-10-04  Kohei Yoshida  <kyoshida@novell.com>  [8d8f380276a6559edec6bbbe9a1ba8a61c1fbbcc]

Ported calc-insert-current-time-*.diff from ooo-build.


2010-10-04  Michael Meeks  <michael.meeks@novell.com>  [99b6dbd3fb2ea650cc06d24f3cd8737d933c3df4]

tweak missing bool


2010-10-04  Norbert Thiebaud  <nthiebaud@gmail.com>  [37dd58982b2ef885a6815c423bd26cf76a5f22a2]

harmonized BOOL vs sal_Bool usage


2010-10-04  Norbert Thiebaud  <nthiebaud@gmail.com>  [16844d15c1a00418b2acb9c8e85d5cd3e96e59a9]

native bool support in SvXMLUnitConverter


2010-10-04  Norbert Thiebaud  <nthiebaud@gmail.com>  [26692bdc4f293ade352ecd5448d9dec130b9003d]

Convert all Query/Put Value() to bool


2010-10-04  David Hobley  <davidh@sharpblue.org>  [50f1eb0fc5fd8dd4dc7e62814ae8948c4da9160c]

Comment cleanup


2010-10-04  sb  <sb@openoffice.org>  [a04b9687b571a7e1179ca857af868a860502ffd1]

sb133: #i114705# osl::Thread::onTerminated must not be called on deleted object


2010-10-04  sb  <sb@openoffice.org>  [9c3ac85b0904ffb3a3bd7ccbfae9f871659edcb3]

sb133: #i114705# for performance reasons, call configmgr::writeModFile asynchronously


2010-10-04  Thorsten Behrens  <tbehrens@novell.com>  [5c8b606a6f44d3dc75115aa1d0e49e082d9a8dbe]

Slightly polished new English translations


2010-10-04  Norbert Thiebaud  <nthiebaud@gmail.com>  [0d5d7d4785019869e23bad055c0c4f46ada00251]

printf without format considered harmful


2010-10-04  Andreas Mantke  <maand@gmx.de>  [c585a5ea730435b47a67ab6740eee47fb589f23a]

Translation of comments from German to English

I translated the comments in the files from German to English.
There were tabs in the file sbunoobj.cxx. I coverted them with the help of Kohei to whitespaces.
I found whitespaces at the end of two rows in that file (line 1642 and 2642). They were deleted.

2010-10-02  Andras Timar  <timar@fsf.hu>  [0bcbf55ff630476de11d64f461f9f078dfec1dfa]

make CustomUnitText "Pixel" localisable, #i35956#


2010-10-01  Kohei Yoshida  <kyoshida@novell.com>  [22e28b20ecf354a932c39439e7c893797aab9d3e]

Ported calc-perf-import-dbf-connectivity.diff from ooo-build.

This slightly speeds up parsing of strings when reading dBase.

2010-10-01  Cédric Bosdonnat  <cedricbosdo@openoffice.org>  [c6b9f0c3412c58a0b0d0296847c4f8df9d337bb1]

fdo #50533: Localized the links from the start center


2010-10-01  Alexandr N. Zamaraev  <tonal.promsoft@gmail.com>  [01ba95284dc65a884c5140b39753e1d26a6fd808]

Fixes incorrect save NUMBER value to DBF (fdo#30504)

Open Office Calc save numeric value in numeric column as text
representation add null chars right for column with.
Bat other applications save value as text and space chars left for
column with.

For example:
Format: N, 3, 0
Value: 1
Calc saved value (hex): 31 00 00
Other Apps saved value (hex): 20 20 31

This inaccuracy does not affect the format of the readers implemented in
C or C++ but can break the implementation in other languages (Python,
Ruby, Haskell)

2010-10-01  Cédric Bosdonnat  <cedricbosdo@openoffice.org>  [653e4ddd33354f1bdbd6901adabef40fcde87476]

fdo#30533: Fixed various OOo URLs

Fixed the extension URL in the extension manager.

2010-10-01  Michael Meeks  <michael.meeks@novell.com>  [2fbd515c917918fdccd68369b29d1d237682fce3]

cleanup UHashMap fix.


2010-10-01  Michael Meeks  <michael.meeks@novell.com>  [e3125cbef6876f6b567a34cc2e29ec8217bbcc69]

Port binfilter crash-on-exit fix ...


2010-10-01  Caolán McNamara  <caolanm@redhat.com>  [159edd28e71afadc597823a346ad70d94cfdf12a]

add in MonoSpace setting


2010-09-30  J. Graeme Lingard  <jgraeme+git@gmail.com>  [9f87fd0e7f38e5c4521fed5bef09541807ae26bd]

Remove unnecessary comments


2010-09-30  Andreas Mantke  <maand@gmx.de>  [f0073b4c6e9eee3ddb855a8e704e9226898b7090]

Translation of comments from German to English


2010-09-30  Caolán McNamara  <caolanm@redhat.com>  [c71f5b9f1e062ea7425f792e86c04fa7ddf61b33]

if you force the sizes of western text, you need to force the other ones too


2010-09-30  Caolán McNamara  <caolanm@redhat.com>  [3c03b1aaf26f8f65b1636f76cf6068661f4496e8]

forced to make certain neon api calls thread-safe due to cups

rhbz#637738 libgcrypt that's been initialized already by cups to be
non-threadsafe is therefore then also non-threadsafe. neon uses
libgcrypt. So in the (as this is the usual circumstance) case that
cups is initialized before neon, then libgcrypt is not threadsafe
even though neon attempt to initialize it as such.

2010-09-30  Caolán McNamara  <caolanm@redhat.com>  [98e58d030037891e5f1596b449a3c385370381af]

#i110142# make search/replace of colour names with translations safer


2010-09-30  Caolán McNamara  <caolanm@redhat.com>  [9f2f59918e8506cafd584c1bb7bd972914b9d5fa]

#i106502# don't start the spelling timer unless there's a reason to do so


2010-09-30  Caolán McNamara  <caolanm@redhat.com>  [250af3b0ebadb79aa96f7701458594429111bd7a]

#i64671# transfer VCL's FontPitch through DrawingLayer to Canvas


2010-09-30  Michael Meeks  <michael.meeks@novell.com>  [230a02aee647d1137dffbd3e8d02f7a62d634f9f]

Get rid of USE_NO_NAMESPACE

Nice cleanup from Seo Sanghyeon <sanxiyn@gmail.com>

2010-09-30  Andreas Mantke  <maand@gmx.de>  [e269c250de3879feb71e04870555c2ff634bf1df]

date-iso-fix and translation of comments from German to English


2010-09-29  Kohei Yoshida  <kyoshida@novell.com>  [e65dd6f7c4867a506cf3385aead25927034f9150]

Ported statusbar-fancy-modified-status-svx.diff from ooo-build.


2010-09-29  Kohei Yoshida  <kyoshida@novell.com>  [2d0138a3e7f1aa6055e38d500e472afa9cff3a15]

Ported statusbar-fancy-modified-status-sfx2.diff from ooo-build.


2010-09-29  Kohei Yoshida  <kyoshida@novell.com>  [4cff762f5d1c4e61786b8ca49cf86b47289f1cf4]

Ported autocorrect-accidental-caps-lock-svx.diff from ooo-build.


2010-09-29  Kohei Yoshida  <kyoshida@novell.com>  [df1aef50340cffcb585d64377a0d2527b6fa7668]

Ported autocorrect-accidental-caps-lock-officecfg.diff from ooo-build.


2010-09-29  Kohei Yoshida  <kyoshida@novell.com>  [e59823557bdebe9c4a3baaf93097c4dd017a7766]

Ported sc-default-delete-backspace-key.diff from ooo-build.


2010-09-29  Kohei Yoshida  <kyoshida@novell.com>  [1a905e64cf1ab692654245dff2f448f9031f3487]

Ported sfx2-remove-check-update-on-fileload.diff from ooo-build.


2010-09-29  Andreas Mantke  <maand@gmx.de>  [d7fe7c576bf25b9e4b0f145b1766d0e1747b11f2]

a translation of comments: a fix and new translation of basic.src


2010-09-29  Andreas Mantke  <andi@linux-87ht.site>  [6c5d1ade5c8b1653ff2d22197327c88274026548]

the German comments translated to English


2010-09-29  sb  <sb@openoffice.org>  [c9b1d54d58d315d26e7461e25d4498905180986c]

sw33bf10: #i114793# missing rename crash_report.bin -> crashrep


2010-09-28  Kohei Yoshida  <kyoshida@novell.com>  [7be276883e857f9e11cff3c6e31e976f36d29b92]

Ported calc-ods-sheet-protection-xmloff.diff from ooo-build.


2010-09-28  Kohei Yoshida  <kyoshida@novell.com>  [77641ec2bc840afb18ac35a389c5079534dbf230]

Port cws-koheicopyborder-svx.diff from ooo-build.


2010-09-28  Tor Lillqvist  <tlillqvist@novell.com>  [69bf04ccaedec01f348f1cf896a666c5480b50fb]

Pass proper parent window handle to ODMRegisterApp

Use short code snippet lifted from
fpicker/source/win32/filepicker/VistaFilePickerImpl.cxx to get a
suitable window handle. Should fix bnc#398822.

2010-09-28  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [2c1320a1d3e5faee6c0176f62275816c78d3da24]

Fix a typo in the show license code


2010-09-28  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [bd228119d9e99b423279dcc88df149397f432d0c]

Replace the "Help Support" menu item by the "License Information" one


2010-09-28  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [0f0e8248dc92ebd2a620cd32eec78acfeb78cdf9]

LibreOffice branding: fixing windows icons


2010-09-28  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [bdf93c42208aeb76eaa1edd72d150e253df6da14]

LibreOffice branding: make printeradmin desktop file work too


2010-09-28  Thorsten Behrens  <thb@openoffice.org>  [5a369aacc9b5d304bd646e158421a336ec762237]

Reverting the icon change / decoloring


2010-09-28  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [75459735b3cd9010570d63ddc3432f22d2c46bd8]

LibreOffice branding: make desktop integration work (fix2)


2010-09-28  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [bcdacc09dd653f077b59cce7c6a9ae0c1ef9d4b0]

LibreOffice Branding: first cut


2010-09-24  Kurt Zenker  <kz@openoffice.org>  [4ad5d2ff2763a17d0ab7eebe735add9dcf12aa46]

CWS-TOOLING: integrate CWS fwk158


2010-09-24  Kurt Zenker  <kz@openoffice.org>  [0826f6744d05e0966704b17cdb4ad6b344251f71]

CWS-TOOLING: integrate CWS ooo330l10n3


2010-09-24  Michael Meeks  <michael.meeks@novell.com>  [f2ffdc83b4f587473c17c69b69705cdb6c2bd67d]

Remove migration setting, erroneously clobbering UseSystemFileDialog


2010-09-24  Kurt Zenker  <kz@openoffice.org>  [1c6775cd256e7246d1f4d44fb8fc37dfd5286eac]

CWS-TOOLING: integrate CWS dv21


2010-09-24  Cédric Bosdonnat  <cedricbosdo@openoffice.org>  [ef6a0dc85ab7bc342b1e11083a4b276aa9c26f5e]

Fixed i#114659: non-breaking spaces corner case


2010-09-23  sb  <sb@openoffice.org>  [99a6c38393f104753301f49d53df750e45d66f2e]

sb132: #i114155# use "en" as additional fallback locale after "en-US" (transplanted from 630d6876c61cd1e0d42b8aa18bfc2ab22079a20f)


2010-09-20  Henning Brinkmann  <hbrinkm@openoffice.org>  [cf63a5d9ec565a3c521c29c346faf56fb3ae2f20]

merged OOO330_m8


2010-09-17  Tor Lillqvist  <tlillqvist@novell.com>  [22c66e37b889785f862cff576c3639bc297db703]

Workaround for default_images symlink problem on Cygwin


2010-09-17  Thorsten Behrens  <tbehrens@novell.com>  [e39c3117a887065f2547a088816121d53174654a]

fit-list-to-size.diff: Shrink font automatically when text overflows.

i#94086

Scale-font-down if typing text in Impress and the text box becomes too small.

2010-09-16  Tor Lillqvist  <tlillqvist@novell.com>  [6c3afc30b39f6593437c366a8249a55e005ec40e]

Update .gitignore for Windows builds


2010-09-16  Tor Lillqvist  <tlillqvist@novell.com>  [0e970254da8039cb174f832b957e2d78a26e4ee6]

Drop requirements needed only for Win9x support

Don't require and distribute unicows.dll and instmsia.exe (Windows
Installer 2.0 installer for Win9x). Drop the Win9x-specific code in
setup.exe. Do still require and distribute gdiplus.dll for Win2k
support (bnc#522833).

2010-09-16  Noel Power  <noel.power@novell.com>  [39ce8a9906652dd9d2ef4ec1cc14bcb6d11cadd3]

fix bool string compare, fixes problem in testtool ( has wider impact too )


2010-09-16  Caolán McNamara  <caolanm@redhat.com>  [f856adf29448af0ba6ec20df4fa907e321afb94b]

avmedia-source-gstreamer-*.diff: gstreamer

- Loop the A/V when the loop flag is set; from Caolan.

2010-09-16  Radek Doulik  <rodo@novell.com>  [d229bd282b1a47bfbe420922426886a829a2c422]

avmedia-source-gstreamer-*.diff: gstreamer - implementation


2010-09-16  Radek Doulik  <rodo@novell.com>  [f2aa6a9f78448dd4c76d63c6b3c20c11ff947543]

patches/gstreamer/gstreamer-avmedia-file-types.diff: gstreamer

- add flac to media filters list

2010-09-16  Radek Doulik  <rodo@novell.com>  [81d602da2a5c443ed83323cec2bac81af938c053]

patches/gstreamer/gstreamer-avmedia.diff: gstreamer integration, avmedia part


2010-09-16  sb  <sb@openoffice.org>  [3d4502d95a77e80087bc0711e637abd8a791f9e1]

fwk158: #i114541# generally ignore erroneous xcs/xcu files during startup (typically from extensions installed pre 3.3)


2010-09-16  Kohei Yoshida  <kyoshida@novell.com>  [002eb0bd4b6b43f7a1e4899f35838cb0254a98e4]

ooo-build-resources-svx-dialogs-hrc.diff: Migrated


2010-09-16  Kohei Yoshida  <kyoshida@novell.com>  [50f66e22742ef1c4276c327730629047d9b525b7]

calc-enhanced-merge-cells-officecfg.diff: Merged

n#213205, i#67243, i#101042
Merging/unmerging of cells on multiple sheets & merge center icon.

2010-09-16  Kohei Yoshida  <kyoshida@novell.com>  [16757437b9e4cc7d39dd8b8c4933eece3043341e]

calc-jump-on-formula-ref-sfx2.diff: Migrated

n#464359, i#101018

allow ctrl-[ and ctrl-] to jump to references used in a formula expression.

2010-09-16  Kohei Yoshida  <kyoshida@novell.com>  [18c9ae89e16e620999af675d7a6abab503cf143f]

calc-find-replace-empty-cells-svx.diff: Support find and replace empty cells

i#49380, n#415352

2010-09-16  Kohei Yoshida  <kyoshida@novell.com>  [fa0e57adc40e440129055f0c8ab52eaab1006896]

calc-grammar-xls-english-sc.diff: Support Excel English grammar

Support Excel English grammar needed for VBA and (probably) for xlsx filter.

2010-09-16  Michael Meeks  <michael.meeks@novell.com>  [7fedd05085f7a41cae74f645acde82f2a2c55c4a]

default-ms-filter-convert.diff: Improve MS Import/Export

i#8276

2010-09-15  Kohei Yoshida  <kyoshida@novell.com>  [46cacfedc577ba683a760f0788ff891942cfd74d]

calc-formula-variable-separators-officecfg.diff: formula separators changeable

n#447164, i#92056

Make the formula separators changeable per locale setting, and add new
configuration page for formula syntax and separators.

2010-09-15  Kohei Yoshida  <kyoshida@novell.com>  [d1cc491ffc0d01eb7a4e82f65bda7be68a05f26e]

calc-formula-variable-separators-svx.diff: formula separators changeable

n#447164, i#92056

Make the formula separators changeable per locale setting, and add new
configuration page for formula syntax and separators.

2010-09-15  Kohei Yoshida  <kyoshida@novell.com>  [02ea0d7bdd0192fe9349f849926efc7c922b13d4]

calc-formula-variable-separators-sc.diff: formula separators changeable

n#447164, i#92056

Make the formula separators changeable per locale setting, and add new
configuration page for formula syntax and separators.

2010-09-15  Kohei Yoshida  <kyoshida@novell.com>  [28f8d9d68f350c4e48a98aa8d3337252018b3273]

sc-sheet-gridline-toggle.diff: Toggle gridline display per sheet.

i#14893

2010-09-15  Michael Meeks  <michael.meeks@novell.com>  [009cc90b7eaba591ca5ef408e67bcbbc0d6a1748]

calc-new-acceleration.diff: Ctrl +/- to insert/delete a complete line in calc

i#67029, X#62530

2010-09-15  Kohei Yoshida  <kyoshida@novell.com>  [c7f496e54aa2eb28bcb9e8297cefb3ab49522ee0]

calc-menu-manual-page-break.diff: 'Manual Break' -> 'Page Break' in menu texts


2010-09-15  Petr Mladek  <pmladek@suse.cz>  [6757152b040b68aefef58f481b74f12f7e90b5b5]

about-dialog-cleanup.diff: clean up about dialog, i#111425


2010-09-15  Kohei Yoshida  <kyoshida@novell.com>  [d5ce120eee62dde8982e6ad0f50860184fb1e104]

sc-save-password-minlength.diff: Display min password length in dialog

i#21923

2010-09-15  Jody Goldberg  <jody@gnome.org>  [a7ef13538591b5e269516b028b62536384b1e7d0]

sc-dp-gridlayout.diff: Something with grid layout :)

i#68544, n#190970

2010-09-15  Jan Holesovsky  <kendy@suse.cz>  [06305328f46e5775f3f5337ece71f22adaa259c2]

Source ooenv in the soffice wrapper if it exists (for linked builds).


2010-09-15  Michael Meeks  <michael.meeks@novell.com>  [b25ed8d91223afcd81f07108504aa3ad2a86fa9c]

default-no-registration-menu.diff: Remove registration from menu.


2010-09-15  Michael Meeks  <michael.meeks@novell.com>  [a5f6da09fccd47c0bb6d7a6b39fb67d774446d69]

default-no-registration.diff: Do not force to register.


2010-09-14  Jan Holesovsky  <kendy@suse.cz>  [b1766315d62b509af5ee2da5760c4e8535a5f3f7]

Kill the migration wizard for good.

Extends default-no-startup-wizard.diff and desktop-disable-startup-registration.diff.

2010-09-14  Jan Holesovsky  <kendy@suse.cz>  [b88f97260d8aafa1d30d404ab57a30d061980664]

kde4-buildfix-connectivity.diff: Fix KDE4 build.


2010-09-14  Cédric Bosdonnat  <cedricbosdo@openoffice.org>  [6415b3fe7292bfd0c75bc52bacfd0cb51aeec19c]

filled-tab-editeng.diff: Filled tab wasn't filled in shapes

n#564454

2010-09-14  Tor Lillqvist  <tlillqvist@novell.com>  [150b71f82c682889427a3df2accee6cc44d85ccb]

win32-dont-attempt-restart.diff: Don't attempt to restart OOo after crash

n#524250

Don't attempt to restart soffice.bin immediately if it crashes.  At
such a restart, if the document recovery dialog is cancelled, an
empty Writer document is opened even if the user was editing some
other kind of document. Some customers are annoyed by this. And the
automatic restart doesn't work on Linux anyway, so for consistency
it doesn't hurt if we force it not to work on Windows, either.

2010-09-14  Jan Holesovsky  <kendy@suse.cz>  [c6eb9605babcd5621b77a3c12a977fed3a84c742]

toolbar-decorations-svx-undo-redo.diff: Update "Undo" and "Redo" widgets.


2010-09-14  Jan Holesovsky  <kendy@suse.cz>  [41e00d403cbcea258168bf1a7650db28fd15c6a9]

toolbar-decorations-svx-tables-columns.diff: "New table" widget rework.

And a small update of the "Columns" widget.

2010-09-14  Jan Holesovsky  <kendy@suse.cz>  [46ea2f6cb38536aa1b1a259af2145a581e19f6e8]

toolbar-decorations-svx.diff: Improved toolbar popups.


2010-09-14  obo  <obo@openoffice.org>  [d9a1bd0e7171a4eb07b89e9e3c0ebc6cbcc0a795]

CWS-TOOLING: integrate CWS jl158


2010-09-14  Thorsten Behrens  <tbehrens@novell.com>  [eac35923bff62f414c5a48bb951f826fc9598eb7]

win32-force-version-fix.diff: force WINVER when using non-std win api


2010-09-14  obo  <obo@openoffice.org>  [676446d17e9f43d237db66112692ecd7ec03139a]

CWS-TOOLING: integrate CWS ooo33gsl08


2010-09-14  obo  <obo@openoffice.org>  [48d38c30f11aab1390cfaba67717124c6e46e7f2]

CWS-TOOLING: integrate CWS chart50


2010-09-14  obo  <obo@openoffice.org>  [1087bc5e5922e016bb6f21c466d4eb87d8d5ff43]

CWS-TOOLING: integrate CWS dba33i


2010-09-14  obo  <obo@openoffice.org>  [d08f8a04741926c98cf24fe73dfc0677cc19ba05]

CWS-TOOLING: integrate CWS dba33h


2010-09-14  obo  <obo@openoffice.org>  [7373841ba6fe0b0ce5e1aedd170325475f01ef41]

CWS-TOOLING: integrate CWS impress200


2010-09-13  Amelia Wang  <amwang@novell.com>  [26a938fd832bdb7f758e352f1e47e8496771de18]

cjk-character-units-fix.diff: add a new unit 'character unit'

i#356101

2010-09-13  Amelia Wang  <amwang@novell.com>  [19ab9349f211ca712aa2b6b777be55830b804340]

cjk-character-units-ui.diff: add a new unit 'character unit'


2010-09-13  Amelia Wang  <amwang@novell.com>  [258524d43e52170947e94d2af5cd36ba02f31416]

cjk-character-units-imp.diff: add a new unit 'character unit'


2010-09-10  Ivo Hinkelmann  <ihi@openoffice.org>  [be66284306a7e6bcb31d15e21fb3835ca8d21cb7]

ooo330l10n3: #i113535# enable itemlist


2010-09-10  Henning Brinkmann  <hbrinkm@openoffice.org>  [3c13c882067ebe400937efd0bd59a502b3440bd8]

merged changes by sb


2010-09-09  sb  <sb@openoffice.org>  [9f99b1dcfe826a7a79a11b3bd83871e3b4231b65]

hb22: #b6982587# treat null LD_LIBRARY_PATH like unset one


2010-09-08  Jan Holesovsky  <kendy@suse.cz>  [72832ea6fb8fa69b3cfbbcadab8f49a803448b4e]

Merge commit 'ooo/OOO330_m7'


2010-09-07  Armin Le Grand  <armin.le.grand@oracle.com>  [cee4cdae3a3f0becd1c60b958bc503886b8ac189]

#i113922# added code to transform the LineWidth on MetaFile creation with the current transformation


2010-09-07  Jan Holesovsky  <kendy@suse.cz>  [1445d9d7744618b41e0b09eef274613cc0cfd57b]

Merge commit 'ooo/OOO330_m6'


2010-09-03  Kurt Zenker  <kz@openoffice.org>  [b47d58784ee1d6592f721e9fa0a66a4d801e95cc]

CWS-TOOLING: integrate CWS fs33a


2010-09-02  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [43ee56e3fddde85de3b68b9eaa27ece174296a4b]

dba33i: fix GCC warning


2010-09-02  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [31a09194214fdaa8e98525c13e3802e154c0d82c]

dba33i: #i113684# proper termination condition when reading large strings


2010-09-01  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [ca707070e754a6fafba5ae75f36db4f7430efe1b]

dba33i: #i112694# care for mouse handlers which tamper with the tree: survive this


2010-09-01  Hans-Joachim Lankenau  <hjs@openoffice.org>  [b76c07ad93ea7c7e45fb12313bb3455b43643a59]

jl158: #i114008# deliver moved .zip


2010-09-01  Hans-Joachim Lankenau  <hjs@openoffice.org>  [f4685eddef16b3d78e511e2ed4567a7e0b1a1934]

jl158: #i114008# move transformation files


2010-09-01  Hans-Joachim Lankenau  <hjs@openoffice.org>  [d18dfc48dc7a743db031250ab9dc7f67b73c73e4]

jl158: #i114088# required file missing


2010-09-01  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [607d1b720a296580e476e9b3a601445c2a6c9fcf]

dba33i: #i111146# SaveCurrentViewData_Impl: be less generous, only store the old view's data in the model if the new view is a print preview


2010-09-01  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [db8cd8e2439cd0d2712de7416eccfa4e9e0264ff]

dba33i: #i111146# migrated all SFX-based applications to use named views


2010-09-01  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [86df19c72c76a5db55072442bd427973b301308b]

dba33i: #i111146# completely put the responsibility for remembering/restoring view data, when switching to the print preview and back, to SFX In particular, the following changes have been applied - the SfxViewFactory now supports a programmatic API name, as documented in XModel2.getAvailableViewControllerNames - the new SFX_IMPL_NAMED_VIEWFACTORY, complementing the existing SFX_IMPL_VIEWFACTORY, allows to create view   factories for such named views - SfxViewFrame::SwitchToViewShell_Impl has been extended to recognize the case where a non-PrintPreview view   is exchanged with another view. In this case, it preserves the view's view data at the model - Calc's own mechanism for preserving the standard view's view data, and restoring it when coming back from   the print preview, has been removed completely.

What probably is left here is to migrate the other applications from SFX_IMPL_VIEWFACTORY to SFX_IMPL_NAMED_VIEWFACTORY.
This way, they could also benefit from the new mechanism. Also, the UNO API would then be more precise, as the
view names would be speaking then, instead of the current "view<number>" names.
2010-09-01  Hans-Joachim Lankenau  <hjs@openoffice.org>  [9af878672298541fbc68457256f72ef03a2a38d6]

jl158: #i114008# pre-indexing of extension help


2010-08-31  Kurt Zenker  <kz@openoffice.org>  [1c5054b57b89575e686b6f59da89abdd24012cd4]

CWS-TOOLING: integrate CWS fwk154


2010-08-31  Kurt Zenker  <kz@openoffice.org>  [1843c8d96d714f34d713a8ca1a3a1848f9c9310d]

CWS-TOOLING: integrate CWS fwk153


2010-08-31  Kurt Zenker  <kz@openoffice.org>  [be6516cfa383d391a5c1620076c72f7d5dfbd15e]

CWS-TOOLING: integrate CWS sb130


2010-08-30  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [152a5a2bdc7e3908eaa14e8f232649c98929a9b8]

dba33h: merge after pulling OOO330.m6


2010-08-30  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [a1ca8de0bfb86a277c5526c9b0fa642faa9133b9]

dba33h: #i114161#


2010-08-27  Ingrid Halama  <iha@openoffice.org>  [5dbf2ba7756c79430fd859a8f18f2b6cabcb6808]

chart50: #i114149# ODF: export missing attribute dimension to element chart:error-indicator


2010-08-27  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [0a0c59d57568082049b413521621154cc6318181]

#i111295# getFormattedValue: don't treat non-numeric columns with numeric formats


2010-08-27  Ingrid Halama  <iha@openoffice.org>  [4fb9b36c4bda2469de627b8b5081690cf712aa22]

chart50: #i114142# ODF: don't export invalid content to attribute chart:axis-label-position


2010-08-27  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [c9da770794b3bcc905d0c14017b768884404aeb3]

dba33h: merge after pulling in fs33a


2010-08-27  obo  <obo@openoffice.org>  [faf3732ff2f34712f6e974aa46f132cd734d22a5]

masterfix OOO330: #i10000# solve merge problem / WaE


2010-08-27  Ingrid Halama  <iha@openoffice.org>  [6fe1823a957a23af31b78db424299b985e78a76d]

chart50: #i113950# ODF: don't export text:id with bad value


2010-08-26  Christian Lippka  <christian.lippka@oracle.com>  [358aeb01c2b9cf3936b1a967e50baa035526b0ee]

impress200: #i114089# clear user any after they are applied to the shape


2010-08-26  sb  <sb@openoffice.org>  [be3b92624ef45dbeab7c96393199a3eeaff144da]

sb130: #i113096# previous configmgr::Components::removeExtensionXcuFile changes were still not good


2010-08-26  sb  <sb@openoffice.org>  [d85fe96f67e46d1b65257509c09b8453cd9b8510]

sb130: #i113096# UniversalContentBroker::changesOccurred is now also called for removed items


2010-08-26  sb  <sb@openoffice.org>  [f6b87d8f5b9ad9cc5a49e35ff0c567a3b8083bc3]

sb130: #i113096# previous change contained an error in configmgr::Components::removeExtensionXcuFile


2010-08-26  Muthu Subramanian K  <sumuthu@novell.com>  [09877bede0535bd8b6131e5276177f2c0e44078d]

desktop-infilter-option.diff: Force input filter during the batch conversion.


2010-08-26  Muthu Subramanian K  <sumuthu@novell.com>  [5d7c99f0c7f5fcc147fe45f01efbc7b7607784e8]

desktop-cmd-bulk-conversion.diff: Batch conversion.

Based on work by Florian Reuter <freuter@novell.com>.

2010-08-26  Michael Meeks  <michael.meeks@novell.com>  [495e53b5cf4eca01ac3137aca702bf69d7f8eaff]

ui-desktop-integration.diff: Disable UI [toolbars, menus] customization.


2010-08-26  Thorsten Behrens  <thb@openoffice.org>  [ec8def06ff678872a89d06d420a5987b3eb94fa9]

linkwarn-svx-warning-dlg.diff: Link warning dialog.

n#348149

2010-08-26  Thorsten Behrens  <thb@openoffice.org>  [5c7a42b8d654ac3f97138eda47ee1478789460dd]

linkwarn-officecfg-disable-msgbox.diff: Do not link images if possible.

n#348149

2010-08-26  Thorsten Behrens  <thb@openoffice.org>  [df2f93008fcaec8bcc12850ddd400fb218da9ee7]

linkwarn-sfx2-disable-cb-persistency.diff: Disable checkbox persistency.

n#348149

2010-08-26  Tor Lillqvist  <tlillqvist@novell.com>  [e63de186d0e900fa24e4e34ccda5434b83de3d7a]

novell-win32-odma.diff: ODMA dialog implementation.

i#6885, i#32741

2010-08-26  Ivo Hinkelmann  <ihi@openoffice.org>  [864045890b84b8307b673b39bad1540d102a6414]

CWS-TOOLING: integrate CWS fwk152


2010-08-26  Jan Holesovsky  <kendy@suse.cz>  [47c333a0f61a5d91c1379f4b6aac58e5505735d4]

fpicker-kde-less-threads.diff: Update KDE3 fpicker after the threads change.

Introduced in i#93366 - n#427336.

2010-08-26  Jan Holesovsky  <kendy@suse.cz>  [b019dff1003b031e7050e119133f015f25d08b4d]

fpicker-kde-3layer.diff: Fix the KDE fpicker for 3layer OOo.


2010-08-26  Jan Holesovsky  <kendy@suse.cz>  [6a0e659e748edb5b4501b1af6e44679a9b029b32]

fpicker-kde-modal.diff: KDE fpicker should be modal.

n#265718.

2010-08-26  Jan Holesovsky  <kendy@suse.cz>  [e9c54c9a4d67d9262808890512e445fd71c7b647]

fpicker-kde-non-utf8.diff: Work even with non-UTF-8 locales.

n#168616.

2010-08-26  Jan Holesovsky  <kendy@suse.cz>  [7ce1bc7481b30e0d8d159967c493d20544c019a4]

fpicker-kde-dont-overwrite.diff: Do not overwrite files containing spaces.

n#241080.

2010-08-26  Jan Holesovsky  <kendy@suse.cz>  [d9cb505e8da7ecf4f40dd9ef53ddf0cc3195ae38]

fpicker-kde-too-wide.diff: Fix a too wide dialog.

"Menu -> Insert -> Picture -> From File..." dialog - n#72010.

2010-08-26  Jan Holesovsky  <kendy@suse.cz>  [d44af808de11e80bda7c82b85eea26cf8a4be07a]

fpicker-kde-local-media2.diff: Handle media:/ files locally.


2010-08-26  Jan Holesovsky  <kendy@suse.cz>  [46aadd4c753636746d714db606c73a5e3377ee3a]

fpicker-kde-local-media.diff: Handle media:/ files locally.


2010-08-26  Jan Holesovsky  <kendy@suse.cz>  [f9d9066fcd7cc8dc78d5c99ddff07cceb5f61ce5]

fpicker-kde-resmgr.diff: Adapt to changes in resources handling.


2010-08-26  Jan Holesovsky  <kendy@suse.cz>  [b0e466a0b85453a1e4cb1a64ab7f8a676ee6b790]

fpicker-kde-filter-name.diff: Workaround for "Filter name (*.blah)"

(vs. "Filter name" in Insert->Picture->From File...) - n#66873.

2010-08-26  Jan Holesovsky  <kendy@suse.cz>  [eb41dc2b8dc2423fd82a7178be6adcb9ca8dd85c]

fpicker-kde-partial-kio.diff: Download the file locally.

Use KIO for that - n#60527.

2010-08-26  Jan Holesovsky  <kendy@suse.cz>  [5ae1c8d78bbaab7a7323abdee39aead9429d86d8]

fpicker-common-build.diff: Modify the fpicker makefile.


2010-08-26  Jan Holesovsky  <kendy@suse.cz>  [1a84a524b32a37d200b4f0d9803104df66c0dc5b]

fpicker-kde-dialog.diff: Out-of-process implementation of KDE3 fpicker.


2010-08-26  Jan Holesovsky  <kendy@suse.cz>  [3180dd1c0f0eed126b2b621aa0abf3b37ae0bb7d]

fpicker-kde-service.diff: Out-of-process implementation of KDE3 fpicker.


2010-08-25  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [5fba505261c17ecd9bd2c877cff47fd941045f25]

fs33a: merge after pulling OOO330.m5's changes


2010-08-25  Ivo Hinkelmann  <ihi@openoffice.org>  [505336af510bead37a4777f230c2d004a3e9b176]

CWS-TOOLING: integrate CWS sw33bf08


2010-08-25  Jan Holesovsky  <kendy@suse.cz>  [b05860f43e4943bfdee59b0e44ad7bfa7f52c202]

gui-toolbox-large-icons.diff: Default to large icons.


2010-08-25  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [cde29b4edf7669ed8f48bc6e81f5513cf09780a8]

fs33a: when all panels claim to be invisible, make the first one visible


2010-08-25  Ivo Hinkelmann  <ihi@openoffice.org>  [cb033b9acb08fb718d7eaffa2b093b395b971cf9]

CWS-TOOLING: integrate CWS mib18


2010-08-25  Dirk Voelzke  <dv@openoffice.org>  [8ace426a170164f6e90792de26213ea0eaab7efb]

fwk154: merged heads


2010-08-25  Dirk Voelzke  <dv@openoffice.org>  [836a0fa49c8198c185a14a3b3690621294644c80]

fwk154#i114083# fixed some file properies for the Oracle Open Office executables


2010-08-24  Juergen Schmidt  <jsc@openoffice.org>  [46cc97b7825b74b9d6f718cb4e7645ce1278a05a]

fwk154: i114090: adapt listener code to reflect changes in config mgr, notification of change events (transplanted from 7c0cad639e0b6d74f4be88f5877270f1a8b9fa53)


2010-08-25  sb  <sb@openoffice.org>  [9f2a658025c92f5d9dac1d717e0517fba8589d69]

sb130: merged in OOO330_m5


2010-08-25  sb  <sb@openoffice.org>  [8325f6b22551883c99c5b11cff50d454ad394a60]

sb130: #i113096# fixed TODO in configmgr::Broadcaster::send (to ease debugging)


2010-08-24  Juergen Schmidt  <jsc@openoffice.org>  [e087040c0d686ca1f03b95a432567a700d420bfe]

fwk154: i114090: adapt listener code to reflect changes in config mgr, notification of change events


2010-08-24  Jan Holesovsky  <kendy@suse.cz>  [4262ab57b7fc3e9d9d711a64590c09295d1fa20a]

Update .gitignore.


2010-08-24  Joachim Lingner  <jl@openoffice.org>  [9a4e3a070fffe25977696b1f54a681bacfda6399]

jl158 merging with OOO330_m5


2010-08-23  Carsten Driesner  <cd@openoffice.org>  [f4e7b133d8836e97f4a58e360405238866535cb9]

fwk154: #i114014# Use correct compare statement


2010-08-23  Carsten Driesner  <cd@openoffice.org>  [7e963509b1786bcabac7560e5d962359d56418a7]

fwk154: #i114014# Fix problem with check box 'Remember Password' in login dialog


2010-08-20  Joachim Lingner  <jl@openoffice.org>  [96b228a3001da2fa019e2a9d811c77bbe54b1cef]

jl158 #i114008# extension can now contain compiled help. Then XPackage::getRegistrationDataURL points to the help folder within the extension


2010-08-20  Jan Holesovsky  <kendy@suse.cz>  [e8dcb1a8c8d24211b97c3cea456929014483cb77]

Create .gitignore.


2010-08-19  Dirk Voelzke  <dv@openoffice.org>  [8d564520bfc5a8d228c8f3e85a5c5c4d6293b19e]

dv21:#i113524# No update menu entry for bundled extensions


2010-08-18  Mikhail Voytenko  <mav@openoffice.org>  [5be137f8b856bc67fd6fb99a11eaee3faf1400a4]

fwk153: merge


2010-08-18  Mikhail Voytenko  <mav@openoffice.org>  [29142204d1d7a495c7477c9f4cc842150a636aee]

fwk153: #i113674# replace backing component if there is one


2010-08-18  Kurt Zenker  <kz@openoffice.org>  [45ba31b194bc51b16d8f0892e432b2b77fce144d]

CWS-TOOLING: integrate CWS ooo33gsl05


2010-08-18  Kurt Zenker  <kz@openoffice.org>  [ce2c62170340cfe0870f58b3b557c33f9441f2bd]

CWS-TOOLING: integrate CWS mav56


2010-08-18  Kurt Zenker  <kz@openoffice.org>  [d939031546d7472e09a1a096d78e1e3dbbb94e42]

CWS-TOOLING: integrate CWS fwk151


2010-08-18  Kurt Zenker  <kz@openoffice.org>  [6e0e29c23afae5d6715405b89a0d498b89cd9d5e]

CWS-TOOLING: integrate CWS jl154


2010-08-18  Carsten Driesner  <cd@openoffice.org>  [a3652f203372976692c4bd02e51d0b86448ec51b]

fwk153: Merge changes


2010-08-18  Carsten Driesner  <cd@openoffice.org>  [cee18c6b582e045958a70cee8222a83598f4c437]

fwk153: #i110127# Provide one instance of module accelerator manager in module ui configuration manager implementation.


2010-08-17  Thomas Lange [tl]  <tl@openoffice.org>  [4aa0a027c7994cad5529534a32b9a903f01907b1]

cws sw33bf08: #i113584#, #i113587# transliteration fixed


2010-08-17  Mikhail Voytenko  <mav@openoffice.org>  [27e066791da4927b97824eef67cca7be9c4a0f91]

fwk153: #i113914# set the new storage for duplicate libraries also


2010-08-13  Daniel Rentz  <dr@openoffice.org>  [68c320362696d9d9f9cb7d6ea9ad5dbc864e64c7]

mib18: wae


2010-08-13  Daniel Rentz  <dr@openoffice.org>  [5660ff9f62ff81029d74ede7784446604e7c18c0]

mib18: wae


2010-08-13  Joachim Lingner  <jl@openoffice.org>  [4cdba440bc1cbd21f021bf8fe0f6fe059467008e]

jl158 merging with jl154


2010-08-13  Philipp Lohmann [pl]  <Philipp.Lohmann@Oracle.COM>  [ad4d380dd22ccf85b0d0b4a6276ce27a2a9fed41]

ooo33gsl05: #i113810# fix on behalf of aw


2010-08-13  Daniel Rentz  <dr@openoffice.org>  [aaef5c3019e8fa0b2cf6a5d57e6842a9a2138d12]

mib18: merge


2010-08-13  Mikhail Voytenko  <mav@openoffice.org>  [ae170eb18ad3f57a6f5e1b6ab3ad5459a8ae70f0]

mib18: #163278# handle the internal VBA types correctly


2010-08-13  Daniel Rentz  <dr@openoffice.org>  [bc81a57e8f35a06f6b607fb575d5d4c54d8a3929]

mib18: merge


2010-08-13  Mikhail Voytenko  <mav@openoffice.org>  [284f9a97eb9bc3c5835ec409bba8e8e646d3387b]

mib18: merging


2010-08-13  Mikhail Voytenko  <mav@openoffice.org>  [7883aa8d17c9bae21b87a8d29a3c241e82dda8d2]

mib18: #163225# support long strings in basic


2010-08-13  Michael Brauer  <mib@openoffice.org>  [a768f3921b60caae5af40b305540a47aaedad275]

mib18: #163285#: Set correct error code in Collection.item and Collection.remove


2010-08-13  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [a026803287e286be2ee4d4b0ab90fd30874a21bb]

fs33a: merge after pulling OOO330.m4's change sets


2010-08-13  Daniel Rentz  <dr@openoffice.org>  [43ebc93ff5555b07895fdd9171ab12c310ebba87]

mib18: rebase to OOO330m4


2010-08-13  Andreas Bregas  <ab@openoffice.org>  [4aea598fb6ddfcfc883101be59ce5e3185d186e0]

mib18: #163254# Set right name and parent for copied object class members


2010-08-13  Joerg Skottke [jsk]  <jsk@openoffice.org>  [0517fd2d63228abe568e1fd9d564e30ed648d8b9]

jl154: Local merge


2010-08-12  Philipp Lohmann [pl]  <Philipp.Lohmann@Oracle.COM>  [8d6235484043a008c49394555faf6b393bbb2617]

merge with OOO330m4


2010-08-12  Michael Stahl  <mst@openoffice.org>  [893a7cbe2b494d34603e642c8d4ac6a06cb82349]

sw33bf08: #i108078#: ::sfx2::createBaseURI(): decode content of expand URI


2010-08-12  Michael Stahl  <mst@openoffice.org>  [567d3a2e14870f56155aa22823f3fd536dda6c71]

sw33bf08: #i108078#: ::sfx2::createBaseURI():  manually expand vnd.sun.star.expand: URIs before calling makeAbsolute().


2010-08-12  sb  <sb@openoffice.org>  [5433c06f77017f4594937ce51aaa9e9579fddc8f]

sb130: #i113096# introduced com.sun.star.configuration.XUpdate.removeExtensionXcuFile


2010-08-12  Mikhail Voytenko  <mav@openoffice.org>  [dffbec9fe51bd0d6bfc885c1061f5d62312e78a1]

fwk152: #i10000# fix warning


2010-08-12  Andreas Bregas  <ab@openoffice.org>  [753d301aaa33b87d5ce4eb607d8802bbe09b8e13]

mib18: #163254# Fixed instantiation of class modules for object members


2010-08-11  Andreas Bregas  <ab@openoffice.org>  [4cd6f4efe3ae774d9e8fca45e4a398eed5117aa9]

mib18: Merge


2010-08-11  Andreas Bregas  <ab@openoffice.org>  [2419889e37a924cef564e363e4931a26cb15e48f]

mib18: #163237# Changed error handling in StepSET


2010-08-11  Kurt Zenker  <kz@openoffice.org>  [05d4c107733a3e50b2321fb93ee7aa049e67bd1b]

CWS-TOOLING: integrate CWS tl83_OOO330


2010-08-11  Kurt Zenker  <kz@openoffice.org>  [c577d4d970c71684961bbac6a6462e67f78ba6d8]

CWS-TOOLING: integrate CWS l10nfixer01


2010-08-11  Kurt Zenker  <kz@openoffice.org>  [2c6abba79d9ce85d277090629f578edecef1e5e0]

CWS-TOOLING: integrate CWS writerfilter08ooo330


2010-08-11  Daniel Rentz  <dr@openoffice.org>  [c7783913a83b91b5ad8af3585ed8015eeff0afcb]

mib18: unx compiler warnings


2010-08-11  Mikhail Voytenko  <mav@openoffice.org>  [bfa03a95f4b47a4763537ee4fcc9340138134573]

mib18: #163215# handle the closed dialog correctly


2010-08-11  Joerg Skottke [jsk]  <jsk@openoffice.org>  [645d92535faaac02c1524abc1893dc1207acd1f5]

jl154: Local merge


2010-08-11  Andreas Bregas  <ab@openoffice.org>  [6f1d21b2d2d239cd6253e7b8b36b2adf6571bfac]

mib18: Merge


2010-08-11  Andreas Bregas  <ab@openoffice.org>  [d888d6060dbe2077fa571f33f53419098f00917c]

mib18: #163121# Fixed back chain handling for new declare implementation


2010-08-10  Michael E. Bohn  <mbn@openoffice.org>  [02fd7e0a01b3c2e59a819d9dc21f402cb693c6a3]

mib18: #163259# implementation of global symbol Excel


2010-08-10  Michael E. Bohn  <mbn@openoffice.org>  [505e80d4570a778f1654cafcb0ba56dc4a27c000]

heads merged


2010-08-10  Michael E. Bohn  <mbn@openoffice.org>  [4966169f06ab743d8cf714e92282a80db54f3b5a]

mib18: #163120# adding the entrypoint for symbol Debug


2010-08-10  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [0cc2927a54d1c34e766e4c591a23fad5335a6893]

merging in latest changes from OOO330(m3)


2010-08-10  Mikhail Voytenko  <mav@openoffice.org>  [a6f18d15186ba525739f3cd50ae50f1b3be2ac9d]

mav56: #163253# tread invalid path segments correctly


2010-08-10  Daniel Rentz  <dr@openoffice.org>  [ae27c058ca364ca50cc27057e2c63b7f5b84c39d]

mib18: #163246# add VBA symbol Worksheet.ProtectScenarios


2010-08-09  Andreas Bregas  <ab@openoffice.org>  [8d3a12bd55459ba99e802457a4112f290cd28ac1]

mib18: #163059# Ignore introspection based COM object members


2010-08-09  Mikhail Voytenko  <mav@openoffice.org>  [42e3cc5745faad62d49ddae49581114ea81b46af]

fwk152: #i108004# check the URLs correctly


2010-08-06  Andreas Bregas  <ab@openoffice.org>  [e50f8b059ea9f4e96e64a931caeb909cf4628bff]

mib18: #163175# Implement DoEvents empty


2010-08-06  Andreas Bregas  <ab@openoffice.org>  [9134fb31919cd977801d2813e60bc3396c8910ec]

mib18: #163121# Declare Rework


2010-08-05  Mikhail Voytenko  <mav@openoffice.org>  [e0ad6117f46c86d22777247ef90ad10b30e6f442]

fwk152: #i112452# let restart functionality restart quickstarter as well


2010-08-05  Andreas Bregas  <ab@openoffice.org>  [d542107ff02c7cec79307f3e32ec79617a7e03e2]

mib18: #163025# Changed RunInit handling for class modules to get right order


2010-08-04  Daniel Rentz  <dr@openoffice.org>  [c65fa07ac8376999ef4fb293c9749abfbf4b689f]

mib18: #162938# add VBA symbol Worksheet.AutoFilterMode


2010-08-04  Carsten Driesner  <cd@openoffice.org>  [16a891edfe85a583dfd6c22363e24cb32a1ef795]

fwk151: #i110127# Better formatting


2010-08-04  Ivo Hinkelmann  <ihi@openoffice.org>  [17a07b361db4a6e79ef67cc42ca170ed31b41b50]

#i10000# fixed d.lst


2010-08-04  Daniel Rentz  <dr@openoffice.org>  [263df111b29b5c3915f2e0ab26980315fc1915fd]

mib18: #162937# extract all integer and floating values from an 'Any' for Boolean parameters


2010-08-03  Joachim Lingner  <jl@openoffice.org>  [859a5495b88f0aebea8d40840d793bd2dc6574d2]

dv21 #i113524# prevent online update for bundled extensions


2010-08-03  Ivo Hinkelmann  <ihi@openoffice.org>  [4ab2ca16fcdeaf561a872296c5b449cd8326877a]

CWS-TOOLING: integrate CWS mib17


2010-08-02  Ivo Hinkelmann  <ihi@openoffice.org>  [ee4ce1609def4b9013df1311698f4d05cab70fb8]

CWS-TOOLING: integrate CWS fwk150


2010-08-02  Ivo Hinkelmann  <ihi@openoffice.org>  [616a867f9f9e20e50bd0979a09d3a827bd592c8b]

CWS-TOOLING: integrate CWS calc56


2010-08-02  Joachim Lingner  <jl@openoffice.org>  [23779a786395825ac8a5733b3803b560667522dd]

jl154 merging with OOO330m2


2010-07-30  Daniel Rentz  <dr@openoffice.org>  [70d562d5f22f32821d2d8e5b7fb18e69eaba2f3e]

mib17: #163146# XLS import: do not skip hidden names, do not rename sheet-local names, add Worksheet.Names VBA symbol -- #i112849# fix crash when closing Calc document


2010-07-30  Ivo Hinkelmann  <ihi@openoffice.org>  [6affb1015d024edf3a1acfae2ff49000174844dd]

l10nfixer01: back out of last changeset


2010-07-29  Michael Stahl  <mst@openoffice.org>  [02d554112d9c0174e21b7ea7e4aea15fe564afa9]

sw33bf08: #i113461#: SvxAutoCorrect::AutoCorrect(): apply patch by dtardon: do not freeze after erasing non-breaking space inserted by French AutoCorrection


2010-07-29  Joerg Skottke [jsk]  <jsk@openoffice.org>  [4c2f072bffe60d64d124882d52492b1f76759271]

jl154: Local merge


2010-07-29  Mikhail Voytenko  <mav@openoffice.org>  [772bcbda67319d11d2afb2cff664b8fce69b912e]

writerfilter08ooo300: #i112415# on reload the filter should not set document readonly


2010-07-28  Henning Brinkmann  <hbrinkm@openoffice.org>  [bbd277ba4a3beed176a38dd553c3bc2c5efe8218]

writerfilter08ooo330: merged OOO330_m2


2010-07-28  Joachim Lingner  <jl@openoffice.org>  [3d785d8443fcdb531570d827186b1161640350f4]

jl154 #i113463# some comments and rollback even when runtime exception is thrown


2010-07-28  Henning Brinkmann  <hbrinkm@openoffice.org>  [e886e5259b91f074a33dbe3bdaf795b4499cf813]

writerfilter08ooo330: applied patch for writerfilter08


2010-07-28  Carsten Driesner  <cd@openoffice.org>  [9951e7b7804b3643b9bf7e837e5cd0f09373a8fc]

fwk152: #i113249# Fix broken HTML clipboard


2010-07-28  Daniel Rentz  <dr@openoffice.org>  [9d75f9c2519fc523bbddba5fdf3208624b80e80b]

mib17: resolved conflict after rebase corrected


2010-07-28  sb  <sb@openoffice.org>  [827100404f29853108a0a1fb8c329c2bb0410de4]

fwk152: #i113454# accept broken .xcs files containing empty <oor:component-scheme>


2010-07-28  Joachim Lingner  <jl@openoffice.org>  [528c08bd8d648cf1c2f9f4e38642146d3ee69dd0]

jl154 #i113463# processPackage_ in dp_configuration.cxx threw an IOException when revoking xcs files


2010-07-28  Daniel Rentz  <dr@openoffice.org>  [db64fdbe27e9f07558b833dd8a5986655e703c10]

mib17: resolved conflict after rebase corrected


2010-07-28  Thomas Lange [tl]  <tl@openoffice.org>  [988c5a31e2b9c17c6e47342f28acaaab3cdb23ad]

cws tl83: #i113276# default layout for 'Greek' characters changed; added new property 'GreekCharStyle'


2010-07-27  Carsten Driesner  <cd@openoffice.org>  [556bd4d205fa74157f378d0a8baf57dacd08bfaa]

fwk151: Fixed problems that configuration changes notifications were not correctly sent/processed


2010-07-27  Carsten Driesner  <cd@openoffice.org>  [df6cd526ceedb45436c0393696ec39a0a59e0fc6]

fwk151: Fixed problems that configuration changes notifications were not correctly sent/processed


2010-07-27  Daniel Rentz  <dr@openoffice.org>  [148cd2e4bb5e960bb0d95be112284b0c9eea4eff]

mib17: rebase to OOO330_m2


2010-07-27  Carsten Driesner  <cd@openoffice.org>  [14079f2ba9f2f64fe2958c167373a4267c0fd32b]

l10nfixer01: Merge changes


2010-07-27  Daniel Rentz  <dr@openoffice.org>  [863bbb6b8c5b1cb83b98e623b9a1478f3a519b1a]

mib17: rebase to DEV300_m84


2010-07-27  Ivo Hinkelmann  <ihi@openoffice.org>  [32f1bdf9b50270a1eaf55bf25d0ffccf7bfa94c0]

l10nfixer01: #i113440# fixed resource


2010-07-27  Daniel Rentz  <dr@openoffice.org>  [25af79f331b52a85a745268fa3082b377264b5d1]

mib17: move VBA specific interfaces into vba subdir


2010-07-27  Joachim Lingner  <jl@openoffice.org>  [f6a6db31e407119be5820361cc815f2cd380c6be]

jl154 #i113463# unopkg sync fails on solaris, when there was one extension removed


2010-07-27  Andreas Bregas  <ab@openoffice.org>  [dafb6e283e4534633c1c55f7f6effa40b0853bb7]

mib17: merge


2010-07-27  Andreas Bregas  <ab@openoffice.org>  [a61fdeaa608cc351a4b3fca62a5d8b1218fa6c3a]

mib17: #i110822# Fixed named parameter handling in automation bridge


2010-07-27  Mikhail Voytenko  <mav@openoffice.org>  [8f9b1b049ffa33e76ba4426a8a0e36d3ddc4c15d]

mib17: merging


2010-07-27  Daniel Rentz  <dr@openoffice.org>  [a77bf475a72894c34c8994ace99d847e24b61811]

mib17: #i112634# prepare loading VBA with document events from ODF and XLSM


2010-07-27  Mikhail Voytenko  <mav@openoffice.org>  [2b0352f8093d7b0bdfdb5bb0fa3d5fd41d9f9b4e]

mib17: #163102# transport declaration class name for WithEvents


2010-07-26  Daniel Rentz  <dr@openoffice.org>  [b33015e5107344b76c87985ba073989ef800efb5]

mib17: prevent crash when VBAGlobals object is missing (this causes that document modules do not have an associated UNO object thus the DocObjectWrapper does not have a type provider)


2010-07-26  Jens-Heiner Rechtien  <hr@openoffice.org>  [45fdc2501daaa968d133602ea325450d1af7a2a9]

OOO330 masterix: #113247#: disable checking against network based DTD, build must not depend on network resources


2010-07-26  Andreas Bregas  <ab@openoffice.org>  [570d392b903ed6e7eec5f02dcd9daf4791dd5f06]

mib17: #163025# Basic Trace functionality for debugging (inactive by default)


2010-07-23  Thomas Lange [tl]  <tl@openoffice.org>  [85d48f7a47f5609c3011ba24b80f70a5299b0315]

cws tl83: #i113276# changes to Greek symbol set because of new OpenSymbol font


2010-07-23  Dirk Voelzke  <dv@openoffice.org>  [d3a5cd9a9d49e332a3eb10a296b1dc908d5571a8]

jl154:#i133370# Remove 'disable' from popup menu for shared extensions


2010-07-22  Joachim Lingner  <jl@openoffice.org>  [01016b92b2e1c8136ad1f14e6163746c8562c081]

jl154 #i162868# unopkg sync now removes the folder  when it does no contain a folder


2010-07-22  Jens-Heiner Rechtien  <hr@openoffice.org>  [3b40b5ad22863c5b61ff68f4015e6ae40239bde4]

CWS-TOOLING: integrate CWS kso45


2010-07-22  Jens-Heiner Rechtien  <hr@openoffice.org>  [70b37e6e72d2397e8c23dc2b1ddb3d38ee8cc21b]

CWS-TOOLING: integrate CWS emailmerge33fix


2010-07-22  Jens-Heiner Rechtien  <hr@openoffice.org>  [689c6285852a97aef9e32736ec7b809809f0b147]

CWS-TOOLING: integrate CWS impress194


2010-07-22  Jens-Heiner Rechtien  <hr@openoffice.org>  [3441abae34f8067065d2b2b9691ab3fbef322556]

CWS-TOOLING: integrate CWS dba33g


2010-07-22  Jens-Heiner Rechtien  <hr@openoffice.org>  [827b7f4f01d71616e66b79ba29e0981444d126ff]

CWS-TOOLING: integrate CWS tl81_OOO330


2010-07-22  Joerg Skottke [jsk]  <jsk@openoffice.org>  [41e84bd96a082ea50217ce5956db7936f1f9d024]

jl154: Local branch merge


2010-07-21  Jens-Heiner Rechtien  <hr@openoffice.org>  [adf58b723264adf0e0d7c82ed84b0daa6e910c46]

CWS-TOOLING: integrate CWS impress193


2010-07-21  Jens-Heiner Rechtien  <hr@openoffice.org>  [bc025b80d7f8e706f326c91f73b466015729ca7c]

CWS-TOOLING: integrate CWS unoawt2


2010-07-21  Joachim Lingner  <jl@openoffice.org>  [78b22b28d6d257eb1ce844f0d6082179dc3cd809]

jl154 #i162868# unopkg sync removes share/prereg/bundled, changing registerExtensions


2010-07-21  Carsten Driesner  <cd@openoffice.org>  [d8787862dad8fc327ec05f32d637aa8d683b00b5]

fwk150: Make find bar string localizable


2010-07-20  Joachim Lingner  <jl@openoffice.org>  [126beccbacfefd5ec47eb66a4a214c82649d056b]

jl154 #i113285# fixing deadlock when starting OOo by the testtool


2010-07-20  Andreas Bregas  <ab@openoffice.org>  [ee037ef2a47c947339ee8fa42e59fde773a1de39]

mib17: Merge


2010-07-20  Andreas Bregas  <ab@openoffice.org>  [e163d42740f586661df5d14cc0298dfd0b910475]

mib17: #162900# Support parameters for Property Get calls


2010-07-20  Andreas Bregas  <ab@openoffice.org>  [eaab0a650b1d26d76107667e784a959c21e77d40]

mib17: #162887# #162899# Changed handling of missing parameters


2010-07-19  Daniel Rentz  <dr@openoffice.org>  [8372a403ecad16467113683d8fa47987af9a1bfc]

mib17: add Application.Visible


2010-07-19  Eike Rathke [er]  <erAck@sun.com>  [505c8f66454ab8d7f5bee40d286bd0fb11297837]

calc56: merge


2010-07-19  Niklas Nebel  <nn@openoffice.org>  [c9d8069194a25dd68267e0378c4736ff78ca906c]

calc56: merge with OOO330_m1


2010-07-16  Eike Rathke [er]  <erAck@sun.com>  [5a111ed13fa5aad3e5a096db5f8cf413b30611e2]

calc56: #i108385# make TEXT return text if text was passed, handling text formats that include a @ code


2010-07-16  Joachim Lingner  <jl@openoffice.org>  [4798dbf7ec2e0aeec525200302f6566e9c62dab0]

jl154 merging with OOO300_m1


2010-07-16  Daniel Rentz  <dr@openoffice.org>  [21dc5171b0f10c7119fb3bf8c2a4ac4ac3f04fb4]

mib17: branch merge


2010-07-16  Andreas Bregas  <ab@openoffice.org>  [56cc458ab5e5a47553b6b8d5742d1fc67206fc7c]

mib17: #162980# Force Broadcast in StepIS for SbxEmpty


2010-07-15  Daniel Rentz  <dr@openoffice.org>  [1901472c4c6db8a09f30d5c40eecd3f5f2943a7f]

mib17: #i112634# do not use an UNO interface to handle VBA BeforeSave and BeforePrint events


2010-07-15  Joachim Lingner  <jl@openoffice.org>  [c04bc96760bcb53af09c810a8f3251af4e24d174]

jl154 #162868# undoing: removing registration data folder if the last extension was removed, which was instroduced with eaf4b98ce57a


2010-07-15  Joachim Lingner  <jl@openoffice.org>  [5eb244a5af091bcf3e887eb6f2cac669724a65e9]

jl154 #162868# fix warnings caused by 990df1d5ff27


2010-07-15  Ocke Janssen [oj]  <Ocke.Janssen@sun.com>  [c409f6f07beada0eae1aec2f8153620fd580e29e]

dba33g: #i111345# wrong error message used when opening invalid table format


2010-07-14  Ocke Janssen [oj]  <Ocke.Janssen@sun.com>  [24450091acd61424cc39429e0490d483d7831ec6]

dba33g: #i110067# reverting


2010-07-14  Ocke Janssen [oj]  <Ocke.Janssen@sun.com>  [0c9d2a6bb4f921197363f78a037e59ac841701d9]

dba33g: #i111345# handle string sep corrected


2010-07-14  Joachim Lingner  <jl@openoffice.org>  [11a2edf653a11f4eba4cb1f94f90dc3ce1efa617]

jl154 #162868# removing registration data folder if the last extension was removed


2010-07-14  Caolán McNamara  <cmc@openoffice.org>  [36f6cbe7c1ade67ab66e8ee20c13eb9a1d5a8a12]

emailmerge33fix: #i113134#


2010-07-14  Ocke Janssen [oj]  <Ocke.Janssen@sun.com>  [a8a6fa8ac229ddb29df9014667555061103f76de]

dba33g: #i110067# correct word occurred


2010-07-14  Carsten Driesner  <cd@openoffice.org>  [503c30df49250eee4c34b82d3388b2a8e20816a3]

jl154: #162868# Added sync code to improve startup time with bundled extensions


2010-07-14  sj  <sj@openoffice.org>  [54fdb7a81218e99dc73afbde861ca192f0b1e23c]

impress194: #i109282# applied patch (reading negative enhanced-path parameter)


2010-07-13  Kurt Zenker  <kz@openoffice.org>  [ac74bf3e16242e9de3824f03f65df34fdbc95bcd]

CWS-TOOLING: integrate CWS sw33bf06_OOO330


2010-07-13  Kurt Zenker  <kz@openoffice.org>  [255db39b0061de62da296c7a982a3dd466e1f638]

CWS-TOOLING: integrate CWS ooo33gsl02_OOO330


2010-07-13  Kurt Zenker  <kz@openoffice.org>  [b0b30b48035622f3fa042d04d3719c61542758a8]

CWS-TOOLING: integrate CWS ooo30gsl01_OOO330


2010-07-13  Kurt Zenker  <kz@openoffice.org>  [3e495e2e5b8ed4573a95c65f5c35fd48764f3ab4]

CWS-TOOLING: integrate CWS mingwport31_OOO330


2010-07-13  Kurt Zenker  <kz@openoffice.org>  [6b8ae0ea1a10c20383117603a4a7153071681d04]

CWS-TOOLING: integrate CWS jl153_OOO330


2010-07-13  Kurt Zenker  <kz@openoffice.org>  [3b472d81b852f043d926bbc744e5a1f42856c256]

CWS-TOOLING: integrate CWS impress192_OOO330


2010-07-13  Kurt Zenker  <kz@openoffice.org>  [707cf2472efdcdba44e7f5619ee0283c19b1a636]

CWS-TOOLING: integrate CWS fwk147_OOO330


2010-07-13  Kurt Zenker  <kz@openoffice.org>  [d2fb0147e6b873134ee0e15eadad2e311bbbf35a]

CWS-TOOLING: integrate CWS findbarfixes01_OOO330


2010-07-13  Kurt Zenker  <kz@openoffice.org>  [e24a29c86c8b0bc967455a1469e4eda85736c770]

CWS-TOOLING: integrate CWS aw083_OOO330


2010-07-12  Niklas Nebel  <nn@openoffice.org>  [8d6c8317b9f409c67192568f669e48e5e5dc5fd1]

calc56: #i102690# correct attribute names diagonal-bl-tr-widths and diagonal-tl-br-widths


2010-07-12  Ingo Schmidt  <is@openoffice.org>  [8f3373241dad0ca73602043cd28156a4d6f2b039]

merge


2010-07-12  Joachim Lingner  <jl@openoffice.org>  [34ebae2afba0a7d0ae01432a23f14077633a1cf8]

jl154 #162868# OOo Improvement dialog will now show at the second start


2010-07-12  Daniel Rentz  <dr@openoffice.org>  [178380e2d221a8340f760cb6ba5e226434a6c090]

mib17: branch merge


2010-07-12  Daniel Rentz  <dr@openoffice.org>  [a76881383a0c67f0afd93ae1b029712d03bcdce1]

mib17: #i112634# API changes


2010-07-12  Ingo Schmidt  <is@openoffice.org>  [31eb0af3b1bbd5a885a487958642b110b3699e07]

merge


2010-07-12  Joachim Lingner  <jl@openoffice.org>  [78243f60f3094a3c03a2a70d3c8caa354d4bfb5f]

jl154 #162868# additional private sub-command for unopkg for use in setup


2010-07-12  Mikhail Voytenko  <mav@openoffice.org>  [5fd468501519e23df6e2f4e8fb12144af022b8cd]

mib17: #162973# implementation of 'Empty' symbol from AB


2010-07-10  Daniel Rentz  <dr@openoffice.org>  [3ca2a4c57e441a66cd5cc1514e7bd82a4248d505]

mib17: #i110746# fixed memory leaks


2010-07-09  Kai Sommerfeld  <kso@openoffice.org>  [fb3b39d80e04405b3310e41b49147df0f4341aaa]

rebased to OOO330 m0


2010-07-09  Ocke Janssen [oj]  <Ocke.Janssen@sun.com>  [5fb403020fb2d52f6810fa2c210d02e13061a657]

dba33g: #i112213# handle chart import for columns


2010-07-09  Thomas Lange [tl]  <tl@openoffice.org>  [72a6ffc6b3722d3871ea2c8e9bc827b7affc93ad]

cws tl83: #i113004# crash when spell checking in sd fixed


2010-07-09  Ocke Janssen [oj]  <Ocke.Janssen@sun.com>  [3b08cc0476d0851ead7cffffeedddecbe2f58d01]

dba33g: #i110825# applay patch to removed unused code


2010-07-08  Mikhail Voytenko  <mav@openoffice.org>  [67d992239e94263292234b7513d5468c48cc36c5]

hg commig -mmib17:


2010-07-08  Mikhail Voytenko  <mav@openoffice.org>  [2702afbad8e276b14c745db5bc155968bb8a0164]

mib17: #162917# let basic byte use one byte, let olebridge convert sequence to safearray correctly


2010-07-08  Ocke Janssen [oj]  <Ocke.Janssen@sun.com>  [876c5dca8851e4bccaca7ab6c6aa13e1507a9cb9]

dba33g: assertion when closing stream, only close either the input stream or output stream


2010-07-08  Ocke Janssen [oj]  <Ocke.Janssen@sun.com>  [3d5d611906a7ff050793586e560b66c4b44e1d34]

dba33g: assertion when closing stream, only close either the input stream or output stream


2010-07-07  Daniel Rentz  <dr@openoffice.org>  [09896fbc62e078be68e821ab6f21618e631fc1da]

mib17: branch merge


2010-07-07  Andreas Bregas  <ab@openoffice.org>  [d037c025a7a4d895c1ad8b866bc829b8b6cfe24b]

mib17: #162916# No error if byval in calls isn't followed by lvalue


2010-07-07  Carsten Driesner  <cd@openoffice.org>  [b58863e8ddc923fa737d064b873b8099a24a8c51]

jl154: #i112449# Fix flicker on restart. Backing window won't get created if restart is required


2010-07-07  Mikhail Voytenko  <mav@openoffice.org>  [aa3ca0cfd27ef07f186675f2e7119f64fa7c4ea6]

mib17: #162901# fix Remove


2010-07-07  Ocke Janssen [oj]  <Ocke.Janssen@sun.com>  [6517bfdd0cd1a390f51500e6090a797422d0a27a]

dba33g: handle of next and prior for count function corrected


2010-07-07  Andreas Bregas  <ab@openoffice.org>  [59b09808aa3b7d82f37587a98b1a60f7965b8a24]

mib17: Merge


2010-07-06  Daniel Rentz  <dr@openoffice.org>  [b2effc5e7af25b709d361f69da8e165ca7bf7a10]

mib17: #i112634# add VBA sheet event handling, based on a patch from Noel Power


2010-07-06  Daniel Rentz  <dr@openoffice.org>  [5bf36f72a6f0a15998538005f944d593b1ae01e0]

mib17: #162576# handle VBA UserForm_Resize and UserForm_Layout events


2010-07-06  Andreas Bregas  <ab@openoffice.org>  [f29b8403d34fa0487a7ef8a132d12ca5a5e0225a]

mib17: #162898# Special handling for ByVal followed by StrPtr


2010-07-06  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [e1145c70eb055c594b25bda5a662e65ae750f78f]

Automated merge with ssh://hg@hg.services.openoffice.org/cws/unoawt2


2010-07-06  Thomas Lange [tl]  <tl@openoffice.org>  [dff21dca5a21d33a5dc2b26a8e002b1966d33ab0]

cws tl83: #i112277# security tab page change


2010-07-06  Andreas Bregas  <ab@openoffice.org>  [91d3f3dd69d3fc0a8f91d303e05c3040858a05d7]

mib17: #i100659# Removed warning


2010-07-05  Joachim Lingner  <jl@openoffice.org>  [fe7bdecd4ea546c98207ee1e8e2a0eb401f8d356]

jl154 #i112934# replace old license headers introduced by CWS jl152


2010-07-05  Andreas Bregas  <ab@openoffice.org>  [8805c94e559a34256ae37b29576078d2b1cdde18]

mib17: #i100659# Changed module variable handling


2010-07-05  Philipp Lohmann [pl]  <Philipp.Lohmann@Sun.COM>  [d8453450735decf44c4027e631f215e076cc6190]

ooo33gsl02: #i112873# change NativeWidget methods to be prepared for mapmodes


2010-07-05  Christian Lippka  <christian.lippka@sun.com>  [dec889ef086b6c870fc6d1591f6dd294f36b9e01]

impress193: rebase m84


2010-07-05  Christian Lippka  <christian.lippka@sun.com>  [a9900c9d87fc947c06e734a15f8e2cafdc698b5c]

impress193: merging changes


2010-07-04  Kai Sommerfeld  <kso@openoffice.org>  [347e4f8192a47ed5e578143e6b809bea22391771]

#i110653# - bumped minor version to 3


2010-07-03  tono  <tono@openoffice.org>  [360a6cc2dd034670da94e65b55a16cb01aadb7c0]

i#112777: DEV300_m84 MinGW basic/source/runtime build fail


2010-07-03  tono  <tono@openoffice.org>  [56374a0df4ebb5a361589dc2d8c85cc94836371f]

i#112734: MinGW port fix: sfx2


2010-07-02  Joachim Lingner  <jl@openoffice.org>  [69ce56e3b6b9167c23893953f978fe1b26a432ec]

jl154 merging heads


2010-07-02  Thomas Lange [tl]  <tl@openoffice.org>  [73bc0bbd9e8f0adbfe722c2afe4c44857abda4bf]

cws tl81: warning-free code


2010-07-02  Joachim Lingner  <jl@openoffice.org>  [bf0cf886073fbd6ee87104d90fb1d1ffd5b35a97]

jl154 #i112883# prevent extension synchronization at OOo startup


2010-07-02  sj  <sj@openoffice.org>  [15cd5ea7c5e9d144b37867b3ddbe2b3b7d0902bc]

merged heads


2010-07-02  obo  <obo@openoffice.org>  [2b74969b50186346b77c1e877db17b89b5eae684]

#i10000# internal dependency missing


2010-07-02  Andreas Bregas  <ab@openoffice.org>  [237858a658c46a24d45fe75f44c6b770367790a7]

mib17: #111144# Fixed warning


2010-07-01  Michael Stahl  <mst@openoffice.org>  [582b6791e275667b93b0ab45bf9a5811758e9e5d]

sw33bf06: #i112566#: SfxViewShell_Impl::pPrinterController -> boost::shared_ptr


2010-07-01  Michael Stahl  <mst@openoffice.org>  [9dde059672329b06222cf0b26fd0710e2928387b]

sw33bf06: merge fix for #i112473# from sb123


2010-07-01  Thomas Lange [tl]  <tl@openoffice.org>  [3b2290bb5c3be4187af3fb7e84b33eaf9e09f819]

cws tl81: merge with DEV300_m84


2010-07-01  Andreas Bregas  <ab@openoffice.org>  [c42206a5fb96ff105a574b47cd45cb63f67a873c]

mib17: #111144# Enable calls to module function via Sheet object


2010-07-01  Thomas Lange [tl]  <tl@openoffice.org>  [47dedcebd9aefd29eea53550935b16881cf44d76]

cws tl81: #i112788# patch was broken, old code restored


2010-07-01  sb  <sb@openoffice.org>  [3a9f321158f3f06e728c20664532ba60dea096a1]

jl154: #i112673# ensure that client-facing PID remains the same across internal OOo restart on Mac OS X


2010-06-30  Joachim Lingner  <jl@openoffice.org>  [b08fd7366c62a91f21ae4e19859bc696be13c152]

jl154 merge with DEV300_m84


2010-06-30  Kai Sommerfeld  <kso@openoffice.org>  [5f5cf90cc926793af7d8ea00465fbf905ae36338]

reync to m84


2010-06-29  Christian Lippka  <christian.lippka@sun.com>  [eec20da48f4456da54a4397c7e99f4d9f0662f8e]

#i112601# paint the correct page background


2010-06-29  Andre Fischer  <af@openoffice.org>  [c7b2c4d3702e36f879b6e39aa3b30ab7150f1f1d]

impress193: #i112647# Integrated diff from MAV.


2010-06-28  Thomas Lange [tl]  <tl@openoffice.org>  [1d0e01fcf5d2a2bc20a93ee1af20e149b1552ebe]

cws tl81: #i112695# crash in synonym sub-menu fixed


2010-06-28  Thomas Lange [tl]  <tl@openoffice.org>  [f0d1e8724c1fe1fe4c8e9d7febd4e7c30bc99636]

cws tl81: #i112695# crash in synonym sub-menu fixed


2010-06-28  Carsten Driesner  <cd@openoffice.org>  [ae7b1ed112f287089a6f9c540a62446fab1d507a]

fwk147: #i112578# Remove Sleep command used for debugging


2010-06-25  Michael Stahl  <mst@openoffice.org>  [a641278c3d50d1a7254cb78a7f0ba3ed8012d963]

sw33bf06: #i110070#: fix regression: member initialization removed by accident


2010-06-25  Carsten Driesner  <cd@openoffice.org>  [1f872445623710f25fb1ac0ac4546e3ed03d9b45]

fwk147: Merge changes


2010-06-25  Kai Sommerfeld  <kso@openoffice.org>  [4e1e506cd47e5fcf95b1dd2848e95614b8dc5705]

#i112664# - service must not be 'one instance'.


2010-06-25  Kai Sommerfeld  <kso@openoffice.org>  [70b1513db075659d31e9e33f77493581d93caee5]

#i110653# - use ooo base version supplied by build env.


2010-06-25  Andreas Bregas  <ab@openoffice.org>  [28451cc6cb5403bfc668b9faa2bac0f39b7f7365]

mib17: #i110821# COM default member support


2010-06-24  obo  <obo@openoffice.org>  [871f924d559017fcf06a4c691fae6bcd9a82491e]

#i10000# add bIsPasswordToModify


2010-06-24  Thomas Lange [tl]  <tl@openoffice.org>  [35f02192db00361fc547b6a18bd78a49fbe9b4f2]

cws tl81: #i112179# dictionary issue with context menus fixed


2010-06-23  Daniel Rentz  <dr@openoffice.org>  [2344ace5ff2ed8fa5ed4be23825a37ee137f80ca]

mib17: #i109119 add Events menu entry


2010-06-23  Carsten Driesner  <cd@openoffice.org>  [9cfaf310a490d388eff5b02e43711b2fb644184d]

fwk147: #159152# Use a more robust exception handling to avoid crashes due to unexpected exceptions


2010-06-23  Armin Le Grand  <Armin.Le.Grand@Sun.COM>  [365f051ff0ff640518d69e3441f715bb15a3e23d]

aw083: resync to DEV300m83


2010-06-23  obo  <obo@openoffice.org>  [3cb75915dac91ab72163e54e43094377e2dd0c26]

CWS-TOOLING: integrate CWS calc55


2010-06-23  Armin Le Grand  <Armin.Le.Grand@Sun.COM>  [218479462d25594476d904e6f2e74680ce2c16ba]

aw083 #i105548# Added using the VOCRedirector inside pageobject content creation


2010-06-22  Daniel Rentz  <dr@openoffice.org>  [34a7e5697cecc149818c02a01dc597757e9ff9d9]

mib17: remove unused/needless code


2010-06-22  Carsten Driesner  <cd@openoffice.org>  [ea37362d645c4e15f2a933ed7403dd94c02b0f5b]

fwk147: Provide better error message if there is no configuration access on startup


2010-06-22  obo  <obo@openoffice.org>  [91acdb6b3d28453dee82dfe2261ab444d074b008]

CWS-TOOLING: integrate CWS mingwport30


2010-06-22  obo  <obo@openoffice.org>  [efb69220b96a518cccaed6f5961227252820d95f]

CWS-TOOLING: integrate CWS cmcfixes75


2010-06-22  obo  <obo@openoffice.org>  [e8d1ae1363e850f8fd20eef17beb4f2c89aab889]

CWS-TOOLING: integrate CWS jpropenable


2010-06-22  obo  <obo@openoffice.org>  [5b564da1f38f1235b7dc1e18ac00f4825b1a9a4d]

CWS-TOOLING: integrate CWS fwk143


2010-06-22  obo  <obo@openoffice.org>  [00d3dbcbe1840eb7639bacc05ed15a6afca12093]

CWS-TOOLING: integrate CWS jl152


2010-06-22  obo  <obo@openoffice.org>  [dfd2a489721db71a0a5632bf57cf2ef92407702b]

CWS-TOOLING: integrate CWS mba33issues01


2010-06-22  obo  <obo@openoffice.org>  [2003566a1022818e604e431ed97b5586462e74fe]

CWS-TOOLING: integrate CWS dr76


2010-06-22  Joachim Lingner  <jl@openoffice.org>  [b589c0d0ac45d7fced8c9b6af1d262fa5a22ad65]

jl152 merge with DEV300_m83


2010-06-22  Wu Yan  <wuy@openoffice.org>  [c7adf8f96876db4c532322249a7b77455fe9f524]

findbarfixes01: #i112572# [vcl] assertion in ImageAryData::Load


2010-06-22  obo  <obo@openoffice.org>  [f257a0f24c51c291ad346b933c915f84e2d80a7e]

CWS-TOOLING: integrate CWS impress191


2010-06-22  obo  <obo@openoffice.org>  [ff06f2197489c750aec5f53da9d4def878d87e36]

CWS-TOOLING: integrate CWS gtkfpicker9


2010-06-22  obo  <obo@openoffice.org>  [852bcc1999cd69a2e68ce8ad04f85acc3412f1d5]

CWS-TOOLING: integrate CWS mib16


2010-06-22  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [83c66972e75dd44f17b7268005093a255e719441]

unoawt2: createDialogWithArguments: use NamedValues instead of PropertyValues


2010-06-21  Daniel Rentz  <dr@openoffice.org>  [ac12082ecb5ce0676135d5b8ff001473413bda12]

dr76: rebase to m83


2010-06-21  sb  <sb@openoffice.org>  [855fbe2dbeeecc713a22abd4ec0ddb6abbe54f02]

sb126: #i111970# accept and ignore EnableAsync (transplanted from 0c119e327cea31601db9932cf3f85bbab9ee06f5)


2010-06-21  obo  <obo@openoffice.org>  [ecd5c7ba7b94ea51f49e2a80113ae7cea08c7812]

CWS-TOOLING: integrate CWS vcl112


2010-06-21  obo  <obo@openoffice.org>  [a408ac9f10c885688730f20ac88d6ee8e94bcdb2]

CWS-TOOLING: integrate CWS impressaccessibility7


2010-06-21  Daniel Rentz  <dr@openoffice.org>  [b6c1b13bb24fe05a69bc4c07909a254825cdadb1]

mib16: rebase to m83


2010-06-21  obo  <obo@openoffice.org>  [7d10ca2dd93ca93905d223cd4e7c12c798b93223]

CWS-TOOLING: integrate CWS calctabcolor


2010-06-21  obo  <obo@openoffice.org>  [6ecf9ccc6243ce1b436f26b9e0172480493e3218]

CWS-TOOLING: integrate CWS extras330fd


2010-06-20  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [b171344789c6eb81bbaf96002b981b5e919d9a05]

Automated merge with ssh://hg@hg.services.openoffice.org/cws/unoawt2


2010-06-18  Michael Stahl  <mst@openoffice.org>  [861a1052589d581af0ea8696c6aab83be9532b9e]

sb123: #i112473# RDFaExportHelper: don't use SvXMLExport::GetRelativeReference()


2010-06-18  tono  <tono@openoffice.org>  [7b871accde31dcf1b620f92cd11fdfe54b95f01e]

Merge backout


2010-06-18  tono  <tono@openoffice.org>  [bec56867045b6724216452413ffe1c1553acf09f]

Backed out changeset: f63af3433bcb


2010-06-18  tono  <tono@openoffice.org>  [3f7eb8163b93c01450b99baf23cede0da96097ec]

Backed out changeset: d80a58fd55d9


2010-06-18  Christian Lippka  <cl@openoffice.org>  [0e574a1234e3f14ea7174ea906277038e0317e2c]

#i102353# correct page number and page count field when printing handouts


2010-06-18  Mikhail Voytenko  <mav@openoffice.org>  [934bd53a7fcc0388bbd0e8bbb1bcacd7004802d1]

rebase to m83


2010-06-18  obo  <obo@openoffice.org>  [e523bb9b3f6b943112ec378d7a8eba5df5a96010]

CWS-TOOLING: integrate CWS tl79


2010-06-18  Thomas Lange [tl]  <tl@openoffice.org>  [2431d857a6c70a50ec4b28eb631e7950e45bfe7d]

cws tl79: merge with DEV300_m83


2010-06-18  obo  <obo@openoffice.org>  [d702ad9f056fc43be169ffccaa62d8165b35f5ce]

CWS-TOOLING: integrate CWS tl78v3


2010-06-18  obo  <obo@openoffice.org>  [390af79cb7939fc10361dae9581589fb208409b6]

CWS-TOOLING: integrate CWS tl78


2010-06-18  Caolán McNamara  <cmc@openoffice.org>  [c92be3b3f01fc3259f071b40be3177a16ad70bbc]

gtkfpicker9: #i112386# gdk_threads_add_timeout_full unavailable on older glibs


2010-06-18  obo  <obo@openoffice.org>  [404c9c2b85bd744ad04bef8726c9e941a97b9adb]

CWS-TOOLING: integrate CWS consolidatereadme


2010-06-17  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [303dee093f9c39c809d5629a7b7f5fc45e4e086d]

fs33a: merged CWS unoawt2, implicit rebase to m83


2010-06-17  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [a53bfcbba51a24bc14140e489fa46fe4cc2b0770]

unoawt2: allow creating dialogs with a parent window


2010-06-17  Mathias Bauer  <mba@openoffice.org>  [e4117cc28612762e68c373d7c6836574adec7881]

CWS mba33issues01: rebase to m83


2010-06-17  Armin Le Grand  <Armin.Le.Grand@Sun.COM>  [8a963ad11758eb716459d2b96a97fb9a6f5152a0]

aw083: added aw082 due to possible conflicts in vclmetafileprocessor2d.cxx


2010-06-17  Niklas Nebel  <nn@openoffice.org>  [00a35f3e9f12135fadeed7ad18347ec6b230ecaa]

calc55: merge with DEV300_m83


2010-06-17  sb  <sb@openoffice.org>  [c8beaad74c0b122d60ee80926c7c9fbcbbc6f3fd]

jl153: #i110720# ignore spurious <prop> elements in .xcu set nodes


2010-06-17  Christian Lippka  <cl@openoffice.org>  [84fa472bdcc239199974d1ec92e31652989af516]

#i97336# check if text shape actually has text


2010-06-17  Daniel Rentz  <dr@openoffice.org>  [398ded4c2c2974a119e59b387e6cdad0d66d2357]

mib16: compiler warning (debug only)


2010-06-17  Armin Le Grand  <Armin.Le.Grand@Sun.COM>  [d3e4c510c77e67f98843026f648677ce4fcac504]

#i112245# 1st part for SvtGraphicStroke


2010-06-17  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [9c0446d131784e9a351dc30f15dcab7ba37e4b3d]

fs33a: merge after pulling latest changes from DEV300 (m81)


2010-06-17  Daniel Rentz  <dr@openoffice.org>  [46d69011eea0987dfff381fd788ff5c73915d17c]

mib16: rebase to m82


2010-06-17  Wu Yan  <wuy@openoffice.org>  [f759358dfb1332e438f9fee8b744aeaa7ac7a218]

findbarfixes01: #112235# [A11Y] Text in Find toolbar text field has wrong colour in High Contrast mode


2010-06-16  Joachim Lingner  <jl@openoffice.org>  [5730c1b5c6e1f1b52e2fa11bff384f8e2c8c13b7]

jl153 merge with DEV300_m82


2010-06-16  Release Engineering  <releng@openoffice.org>  [99e133f3abede854db3c78e1aca60fa16ffa412b]

masterfix: #i10000# warning C4244: conversion from SbError to USHORT


2010-06-16  Ivo Hinkelmann  <ihi@openoffice.org>  [7681a6abfc91e5d658a82fd9c7699985d06d2c7d]

jpropenable: #i112445# exclude this file from l10n process


2010-06-16  Dirk Voelzke  <dv@openoffice.org>  [ff245f8b8955fa3010c30e91a4c9bc94d8ba4e27]

jl152#i112437# Disabled extensions should not show an options button


2010-06-16  Daniel Rentz  <dr@openoffice.org>  [a0121b284c1d83703f2277427e76b8322104a8d4]

mib16: unxmacxi compiler warnings


2010-06-16  Herbert Duerr [hdu]  <duerr@sun.com>  [0b79bcf25a75afe0ae59cdafbc66bd13a7e51161]

merge


2010-06-16  Herbert Duerr [hdu]  <duerr@sun.com>  [40890cfb6e5061a150f764bd375c2df6a0a6f81a]

merge


2010-06-16  Herbert Duerr [hdu]  <duerr@sun.com>  [badbac6f6d3d8e8908a3b67cf7b77158c78ee320]

merge


2010-06-16  Daniel Rentz  <dr@openoffice.org>  [6a73ef518f2d30e508638c3420b28548c8e0870c]

mib16: #i111971# missing internal build dependencies


2010-06-16  Daniel Rentz  <dr@openoffice.org>  [121c10c8d7c1d6c1340dfb827fd2a1d153827e06]

mib16: #i111971# missing internal build dependencies


2010-06-16  Mikhail Voytenko  <mav@openoffice.org>  [bcf7c644fe6c762b62fef73bac84dcd13d6d4829]

tl78v2: #i112427# Support password to modify in calc and writer ODF documents


2010-06-15  Mikhail Voytenko  <mav@openoffice.org>  [43effdf73aa7b0e4d867a8b139334724b15bad89]

tl78v2: #i112427# Support password to modify in calc and writer ODF documents


2010-06-15  Daniel Rentz  <dr@openoffice.org>  [0bb62a5aa01b2725ceea814ad6d8384d85c46cce]

mib16: contributed bugfixes and various new symbols in VBA compatibility implementation


2010-06-15  Daniel Rentz  <dr@openoffice.org>  [e75b5851a46b983ac3e02dd316856f0a15ad3846]

mib16: contributed bugfixes and various new symbols in VBA compatibility implementation


2010-06-15  Philipp Lohmann [pl]  <Philipp.Lohmann@Sun.COM>  [72e046f8cb4ed15141e89ed169d5f0627987b647]

ooo30gsl01: #i112249# add missing URL conversion


2010-06-15  tono  <tono@openoffice.org>  [3296ef7a3777aa31de33f6cf9c4cbc7b9694d340]

i#111956: MinGW port fix: dependency to shared library: pure porting fix


2010-06-15  Armin Le Grand  <Armin.Le.Grand@Sun.COM>  [b0c1bfa51f970d5d3af46ed601c00fc5bdaed19c]

#i112300# extended interpretation of MetaGradientAction in metafile primitive decomposition


2010-06-15  Thomas Lange [tl]  <tl@openoffice.org>  [301f849a122f68190ad927e9abefe8feb578b35d]

cws tl79: #i110254# security tab hid added to hidother.src


2010-06-15  obo  <obo@openoffice.org>  [41c3d4c6afe9f7ee9456c31f77ca0cf500e18032]

CWS-TOOLING: integrate CWS impressbi01


2010-06-15  obo  <obo@openoffice.org>  [9239b75e771ddf011f90dac7cf33754179b041cb]

CWS-TOOLING: integrate CWS unoawt


2010-06-15  obo  <obo@openoffice.org>  [18d6b8583be5561759e1ca0ab10de4efd57599b2]

CWS-TOOLING: integrate CWS chart47


2010-06-15  obo  <obo@openoffice.org>  [b2bc2f73cf3c616cd4e2e9cc2406d7cffe41c749]

CWS-TOOLING: integrate CWS fwk139


2010-06-15  Joerg Skottke [jsk]  <jsk@openoffice.org>  [932a22235bd268b5adfaeccfc8063c0336af2310]

jl152: Local merge


2010-06-15  obo  <obo@openoffice.org>  [798e415c982fa6e449493ff7679896897c7f597d]

CWS-TOOLING: integrate CWS os140


2010-06-15  obo  <obo@openoffice.org>  [907aa92c4b44b195551d5f2d3631ab6599d3f002]

CWS-TOOLING: integrate CWS impress190


2010-06-15  Kohei Yoshida  <kyoshida@novell.com>  [09b838390daaf051f5f54db1387234f2c41f71df]

calctabcolor: rebased to DEV300_m82.


2010-06-14  Mikhail Voytenko  <mav@openoffice.org>  [35d7fdab02910113ab7db026f346bab8cfbdcf3f]

tl78: #i111065# let the model be correctly loaded into a frame


2010-06-14  Christian Lippka  <christian.lippka@sun.com>  [439ff308757c277d224bf46a92fb05b0653899b9]

cws impress190: rebase m82


2010-06-14  Philipp Lohmann [pl]  <Philipp.Lohmann@Sun.COM>  [e10c5e39ce7a31f645ab3978e0d41f215da61745]

ooo30gsl01: #i112083# fix return value in PreNotfiy


2010-06-14  va  <volker.ahrendt@sun.com>  [c749fa845a939a6d38decb260b737c88226040bb]

#i112366# Replaced sun.dic with oracle.dic


2010-06-14  obo  <obo@openoffice.org>  [0851f9d79b693900b6ba767ce2e51d0bde07d731]

CWS-TOOLING: integrate CWS l10ntooling18


2010-06-14  obo  <obo@openoffice.org>  [88d8ab4acf7463b803759da377aba97bfdad260a]

CWS-TOOLING: integrate CWS tl80


2010-06-14  Caolán McNamara  <cmc@openoffice.org>  [688cd7df7133074e9ab71858639ff24ec2b2b0d1]

gtkfpicker9: #i112386# make gtk fpicker gdk sections thread safe


2010-06-14  obo  <obo@openoffice.org>  [9161b7b38e7e5ac3d3e8a411777b03c0e8a1cda3]

CWS-TOOLING: integrate CWS pdfextfix03


2010-06-14  obo  <obo@openoffice.org>  [9dc424b06acfd66e0b3cf15024e49fada5c850a6]

CWS-TOOLING: integrate CWS aw082


2010-06-14  obo  <obo@openoffice.org>  [2c4189112bc123fbca3eede964143fb5dcc9406f]

CWS-TOOLING: integrate CWS aw081


2010-06-14  obo  <obo@openoffice.org>  [f6bb4bc7bb1bf63281ee2fd1166f3023d8493037]

CWS-TOOLING: integrate CWS vcl111


2010-06-14  obo  <obo@openoffice.org>  [4f8b5956e864b62001117c22e84f9e883397b145]

CWS-TOOLING: integrate CWS dv12


2010-06-14  Thomas Lange [tl]  <tl@openoffice.org>  [1f5acccb7995955b2bdbcab2dcdd834ddc8048f3]

CWS tl80: merge with DEV300_m82


2010-06-14  Christian Lippka  <christian.lippka@sun.com>  [0f2d1f189a95b885742a814bbee2dafb09043641]

cws impress191: rebase m81


2010-06-14  obo  <obo@openoffice.org>  [d63595b8f91f6dbe9a1cf05892ef98cb118fb4b2]

masterfix: #i112327# sfx2: missing dependency on readlicense_oo


2010-06-14  Dirk Voelzke  <dv@openoffice.org>  [751c60599cd4dae58e9ac5b98b2e787df05b48cb]

jl152:#i112371# Replaced old startcenter icon


2010-06-14  Joerg Skottke [jsk]  <jsk@openoffice.org>  [3236e33110c13006c638cebc9247d9200dffd934]

jl152: Local merge, take II


2010-06-14  Joachim Lingner  <jl@openoffice.org>  [12c8e53543522922eef9a816e32f88204ce2e47d]

jl152 bindPackage for extensions checks only for META-INF in folders and not META-INF/manifest.xml


2010-06-14  Joerg Skottke [jsk]  <jsk@openoffice.org>  [d947c25d2db9aace50678a1d56d2d44d377f24bc]

jl152: Local merge


2010-06-14  Kai Sommerfeld  <kso@openoffice.org>  [d93f23bba675b89ca993584f435a1e5838ec144e]

#i112361# - Fixed DAVResourceAccess::handleException() to suggest retry on status code 0


2010-06-14  Philipp Lohmann [pl]  <Philipp.Lohmann@Sun.COM>  [1a347a3e240effa8892622b9ab7c96ef4eb525b6]

rebase to DEV300_m82


2010-06-12  Mathias Bauer  <mba@openoffice.org>  [169da3bfc858a3131747b2056e2d1582e86205ca]

CWS mba33issues01: put code to load libraries on demand into class SvLibrary


2010-06-11  Caolán McNamara  <cmc@openoffice.org>  [31cd92a128569ecddba39a3a14587c2edd19c30c]

cmcfixes75: merge with DEV300 m81


2010-06-11  obo  <obo@openoffice.org>  [6cc21824f99f6f6a704f1d49a872d8ca0bb032ab]

masterfix: #i10000# bNothingSelected obsolete


2010-06-10  Mikhail Voytenko  <mav@openoffice.org>  [6c9c1c1e1d1bca46827b4c59c72c638267689c96]

tl78: #i110383# fix reload functionality


2010-06-10  Joachim Lingner  <jl@openoffice.org>  [1e5541052ec9b385974fa1cbe132dfa06976b88a]

jl152 #i77196# unopkg checkPrerequisitesAndEnable must return sal_Int32 (also in cxx)


2010-06-10  Frank Peters  <fpe@openoffice.org>  [76b313e924a5a5b41bf90b6f247d5b4c2ebf8914]

consolidatereadme: merge with DEV300_m81


2010-06-10  Joachim Lingner  <jl@openoffice.org>  [4c5d0b9d6a0247af28a6218b38c23658eaa25166]

jl152 #i77196# backend db wrote double entries if there was an ambiguous extension, and XExtensionManager::synchronize was run


2010-06-10  Joachim Lingner  <jl@openoffice.org>  [f816be2ada2058f46b67c9655e524661c9306723]

jl152 #i77196# unopkg checkPrerequisitesAndEnable must return sal_Int32


2010-06-10  Armin Le Grand  <Armin.Le.Grand@Sun.COM>  [7abc627f4360a73462269164721bd3e188ba90e3]

#i112280# added missing minus in translation


2010-06-10  Joachim Lingner  <jl@openoffice.org>  [fbdc9c62cd4847b05b1881405522b716a0124072]

jl152 #i77196# unopkg --help prints out infos about --bundled


2010-06-10  Frank Peters  <fpe@openoffice.org>  [f7fa64ff056a6732675540f78e6cc0a94b46daf7]

consolidatereadme #i111721#


2010-06-10  Joachim Lingner  <jl@openoffice.org>  [d2292768771b34db6bc3e52c3eae54b6c3a1dd9f]

jl152 #i77196# fixed failed start up for user without write access to share


2010-06-10  Ivo Hinkelmann  <ihi@openoffice.org>  [e69f2169b1c88827c7d04d07bf4fefdbd7b1bdda]

consolidatereadme: merge


2010-06-10  Niklas Nebel  <nn@openoffice.org>  [30906b1cb3eeecf2c20b9c56a8b4ea33fa6f8cf9]

calc55: merge with DEV300_m81


2010-06-10  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [891a5f8308a3cf3ec3ddb50ad407df00d218eb9d]

unoawt: #i112239#: do not localize the weird sample strings herein ...


2010-06-09  Frank Peters  <fpe@openoffice.org>  [74116b87dd220386faed1ab472a944c8cb0e2ae4]

#i111721#


2010-06-09  Henning Brinkmann  <hbrinkm@openoffice.org>  [ed651dab06fe521b1eb0c9d75c1307d3a875006a]

tl78: merge


2010-06-09  obo  <obo@openoffice.org>  [f80893d9a3dbb7acb449d505dc585e72c2720f50]

CWS-TOOLING: integrate CWS tl74


2010-06-09  obo  <obo@openoffice.org>  [b2147842d8c1dc2e55576792db50ccf6c5e914d7]

CWS-TOOLING: integrate CWS findbar01


2010-06-09  Mikhail Voytenko  <mav@openoffice.org>  [0fa91aa2d58df7388d674a3a781b4506d4b27895]

fwk139: #i10000# adopt for linux


2010-06-09  Thomas Lange [tl]  <tl@openoffice.org>  [5c14cccd4010d26ed84f85dc0c6944a34c407c91]

cws tl74: merge with DEV300_m81


2010-06-09  Mikhail Voytenko  <mav@openoffice.org>  [2f7116e200a9588cb7755357ea01335b5c5b1db8]

tl78: #i110383# fix condition


2010-06-09  Caolán McNamara  <cmc@openoffice.org>  [c6cba03bc05e54cba49e775ea008d5ff7615a6be]

cmcfixes75: merge with DEV300 m81


2010-06-09  Philipp Lohmann [pl]  <Philipp.Lohmann@Sun.COM>  [197a0a0e404fa3ad20507b3e0872b00a4ff8d19e]

merge in a warning fix


2010-06-09  Carsten Driesner  <cd@openoffice.org>  [90cfa50758963225083a4441854894151062fabe]

fwk139: #i10000# Fix additional warnings with gcc


2010-06-09  obo  <obo@openoffice.org>  [61250358bcdce7bec3775a711898144831acf853]

CWS-TOOLING: integrate CWS uimigration01


2010-06-09  obo  <obo@openoffice.org>  [616c396124de86fdd5e641d19d2c7f73db2069a7]

CWS-TOOLING: integrate CWS chartpositioning


2010-06-09  obo  <obo@openoffice.org>  [be372497f6082b66515039e4baba7d155c9ce77a]

CWS-TOOLING: integrate CWS kfreebsdport01v2


2010-06-09  Joerg Skottke [jsk]  <jsk@openoffice.org>  [7a2bcf16cde21b64efab4912684760530b2a6c20]

jl152: Local branch merge


2010-06-08  Michael Stahl  <mst@openoffice.org>  [bc4d59b0bc6aa1538dd27b23b1d30e49742e5963]

merge DEV300_m81


2010-06-08  Thomas Lange [tl]  <tl@openoffice.org>  [a09ca50b9b82894f2e60ca248b0734d4cbcabbd5]

cws tl79: #i110254# help ids added


2010-06-08  Thomas Lange [tl]  <tl@openoffice.org>  [0af4966fb22f56307a03046fda2ce834f85562f7]

cws tl79: #i110048# help ids added


2010-06-08  Mikhail Voytenko  <mav@openoffice.org>  [93e0d55ff2bb8202099f4e774378a0bbc891b611]

merge


2010-06-08  Thomas Lange [tl]  <tl@openoffice.org>  [cce36b37ff61ec67255929c34d4f77c954f545f0]

cws tl78: #i109634# additional dialog parameter


2010-06-08  Mikhail Voytenko  <mav@openoffice.org>  [0893452dec2be9b98c2e0ad6b6148271aff28bd5]

tl78: #i110383# fix reload functionality


2010-06-08  Carsten Driesner  <cd@openoffice.org>  [91826031c13f7fc68ef5a8b9f34559fd33445dbf]

fwk139: #i10000# Add syspathw32.obj to NOOPTFILES to remove warning due to missing precompiled header directive


2010-06-08  Thomas Lange [tl]  <tl@openoffice.org>  [74fb5655cd0f8104a14c5fb69f3bd8cfaa09f9e2]

cws tl78: merge


2010-06-08  Thomas Lange [tl]  <tl@openoffice.org>  [d7f46c7302507e310bb45835c723ad1f63766bc6]

cws tl78: more space for filename added to password dialog


2010-06-08  Philipp Lohmann [pl]  <Philipp.Lohmann@Sun.COM>  [0de7a6bf8e3896a656f93191ba74ead580bc0332]

rebase to DEV300_m80


2010-06-08  Dirk Voelzke  <dv@openoffice.org>  [0771cc02b7c0a25f1485b4c70c04ca738cd98866]

vcl112:#i111580# startcenter supports opening (installing) of extensions


2010-06-08  Mikhail Voytenko  <mav@openoffice.org>  [438ab75129bdb4e0dd7f975a0809150f759a53a8]

tl78: #i105076# fix typo


2010-06-08  Carsten Driesner  <cd@openoffice.org>  [a36a7bad238c3e44c44a14b80449a20905b437e0]

fwk139: #i10000# Have to include precompiled header directive


2010-06-08  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [cb23b84595df2f370e452bd95618fec91d639129]

Automated merge with http://x42-so4:8009/ooo


2010-06-07  Carsten Driesner  <cd@openoffice.org>  [97f907caee2ee99970ed41506b24c33244918077]

fwk139: Merge changes


2010-06-07  Carsten Driesner  <cd@openoffice.org>  [6e8e618e482561e234deab07c56bbb16dd315dd8]

fwk139: #i10000# Solve build problem on Solaris/Intel


2010-06-07  Joachim Lingner  <jl@openoffice.org>  [a6233744e769b8650e78fa6bc6f2fa788598125a]

jl152 #i77196# fixing merge conflicts


2010-06-07  Christian Lippka  <christian.lippka@sun.com>  [ff543d82c70b88b8ae728a05b7d351ed6e3ab4ae]

cws impress190: merging


2010-06-07  Eike Rathke [er]  <erAck@sun.com>  [ff84642f23ccdf87386f1ba2cb1d0a925336c02a]

calc55: merge


2010-06-07  Ruediger Timm  <rt@openoffice.org>  [6299e019bff7c651e9585d5bf2234539233a646d]

masterfix #i112192#: buildbreaker in xmloff/source/text/XMLSectionExport.cxx on product debug


2010-06-07  Philipp Lohmann [pl]  <Philipp.Lohmann@Sun.COM>  [17f85e6d1a5770fb439f5058982ad7032fe81ed5]

vcl112: #b6956353# add ToTop call in case document is already visible


2010-06-07  os  <os@openoffice.org>  [a562519b732041d6b366e373dc0b56b72271cc1a]

rebase to m80


2010-06-07  Thomas Lange [tl]  <tl@openoffice.org>  [d065faf20e7d4e38285ffc2b89f178495840b529]

cws tl79: merge with DEV300_m80


2010-06-07  Carsten Driesner  <cd@openoffice.org>  [61c010fc05eff9c13947e1cfc94165492e0411bc]

fwk139: #i10000# Next idea to fix build problem with build bot


2010-06-07  Joachim Lingner  <jl@openoffice.org>  [37a8224e7a1eb9084623f023a0830c9818e3d311]

jl152 merge with DEV300_m80


2010-06-07  hdu  <duerr@sun.com>  [3a94101822c38faa80fd77176f861eb27e1baa0b]

#100000# WaE: avoid compiler warning on wntmsci12


2010-06-05  tono  <tono@openoffice.org>  [b7767128c3f13a8b69c88d0a10f5ec880ba20903]

mingwport30: merge with DEV300 m80


2010-06-04  sj  <sj@openoffice.org>  [8271bfb088d91fb06a5d2355aa0d0cf6701aac30]

impress190: merge with dev300_m80


2010-06-04  sj  <sj@openoffice.org>  [8da8cbf4dee0bbe1fa4e850f54185f9644e226c5]

impress190: #i112086# added support of CustomGeometry


2010-06-04  Thomas Benisch  <tbe@openoffice.org>  [6b2fb6965950035a27a11553678d8ebda77174a4]

calc55: #i112084# All charts in a Calc document are loaded when saving the document


2010-06-04  Philipp Lohmann [pl]  <Philipp.Lohmann@Sun.COM>  [cd9737dc9bf66e4bcba46d4ffece8e7f5761a25d]

vcl112: #i111992# fill recent file list of menu button on demand


2010-06-04  Ingrid Halama  <iha@openoffice.org>  [3a8d711a48e44866c154bdc967050643f5b784cb]

calc55: #i112035# loading some old chart document fails


2010-06-04  Joachim Lingner  <jl@openoffice.org>  [d0202ebd4e1be56cf1230a93a6d11cfc57050a5e]

jl152 #i77196# information upate provider now excludes online updates with unfulfilled dependencies


2010-06-04  os  <os@openoffice.org>  [d471624d35601632a0f5923deb1bde7813ea8bc9]

rebase to m80


2010-06-04  Ivo Hinkelmann  <ihi@openoffice.org>  [e692008eed8d3db0df354d566404a3a2262e380b]

CWS-TOOLING: integrate CWS rt38


2010-06-04  Armin Le Grand  <Armin.Le.Grand@Sun.COM>  [8985ad037f7201bc33740fd79e7a5db2adb54c5a]

#i112117# changed the Metafile primitive decomposition to better handle sub-metafile contents


2010-06-04  Ivo Hinkelmann  <ihi@openoffice.org>  [7a01e3910577a55e6203a456a07f9640ace2e425]

CWS-TOOLING: integrate CWS dba33f


2010-06-04  Philipp Lohmann [pl]  <Philipp.Lohmann@Sun.COM>  [cf58f7e1e99c68435efced22bda8d41616d77573]

vcl112: #i109307# add InitialPreference (thanks rene!)


2010-06-04  Carsten Driesner  <cd@openoffice.org>  [d3265d7f5ae14e1828209a80126703f126bc5889]

fwk139: #i10000# Another fix for type redefinitions


2010-06-04  Ivo Hinkelmann  <ihi@openoffice.org>  [14226cf3c8a412e65aae7404b0d4f7a3f7d68f32]

CWS-TOOLING: integrate CWS slidecopy


2010-06-04  Ivo Hinkelmann  <ihi@openoffice.org>  [bced34db4aae01700a1989c76127d91cf9e440bd]

masterfix: #i10000# #i112082# load/store issue


2010-06-04  Dirk Voelzke  <dv@openoffice.org>  [4a729c6c1a9e1637166213b4c4877cb2ac009288]

jl152#i77196# Improved progress handling on startup


2010-06-03  ka  <kai.ahrens@sun.com>  [b73ef727fbaf45cdaa99e6faa3e12de178b4447c]

impressbi01: latest changes


2010-06-03  Armin Le Grand  <Armin.Le.Grand@Sun.COM>  [0e68b7ca6c711f6d6edd1a8b815464e8548f1078]

aw082: merged in aw081 due to the need of #i111235#


2010-06-03  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [74d8c91bf3c42f66608ec8d0ffecafb6cc76b212]

slidecopy: merge after copying in CWS renaissance2


2010-06-03  Carsten Driesner  <cd@openoffice.org>  [7c1c3d478adf7371f0da2979a75299e183f70a35]

fwk139: Merge changes


2010-06-03  Carsten Driesner  <cd@openoffice.org>  [d096cff5e1ec67927ecb3fa545558c38d28a8ac0]

fwk139: #i10000# Fix build problem on Windows build bot


2010-06-03  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [615e67bffcfd9f0832da1b246183fe8a766165b9]

unoawt: merged in latest changes from CWS slidecopy (rebase to m80)


2010-06-03  Armin Le Grand  <Armin.Le.Grand@Sun.COM>  [7eea21ded3cb64525a4d82555994736525a6af06]

aw082: turned back vclpixelprocessor2d.cxx to master state, was checked in by error


2010-06-03  Armin Le Grand  <Armin.Le.Grand@Sun.COM>  [0f38152ecd66d6d6ac593296d244b3d9ee246f03]

#i112090# enhanced Shadow3DExtractingProcessor


2010-06-03  Ivo Hinkelmann  <ihi@openoffice.org>  [28ed59bb411ab70b119cb93e1034f7c470c8fc60]

masterfix: #i10000# removed rtl namespace usage


2010-06-03  Mikhail Voytenko  <mav@openoffice.org>  [001ce726488b943933e718be1fd03044072ea6e2]

fwk139: #i10000# avoid warnings on solaris


2010-06-03  Ivo Hinkelmann  <ihi@openoffice.org>  [51993b3e21d70790e1401651df41432b404d744f]

CWS-TOOLING: integrate CWS narrow01


2010-06-03  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [0cca1086cd929c1aba4734012b461f73e6d5ddf2]

slidecopy: wrongly resolved the merge conflict in the previous revision ...


2010-06-03  Christian Lippka  <cl@openoffice.org>  [7461530cb3d060df6c1a9142a2188c6e6b32defc]

#i58213# get date styles from automatic styles in impress


2010-06-03  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [5db6741125db89de6ae24aa10b2dd5a486ed39b6]

slidecopy: merged latest DEV300.m80 changes


2010-06-03  Philipp Lohmann [pl]  <Philipp.Lohmann@Sun.COM>  [3aa0fb2a2d9dd7c9a9fd41325f933fb715bc3c13]

rebase to DEV300_m80


2010-06-03  Thomas Lange [tl]  <tl@openoffice.org>  [6f32716685b4553aeb069f023dda6044e93ecc8d]

cws tl78: merge with DEV300_m80


2010-06-03  Armin Le Grand  <Armin.Le.Grand@Sun.COM>  [6c2c87129d61e8911b783442b0c1e445e76b3f6e]

#i111122# corrected the copy operator of SdrPageProperties


2010-06-03  Ivo Hinkelmann  <ihi@openoffice.org>  [bd30cef610c5a0c207feebff71718aaf136e0d2c]

CWS-TOOLING: integrate CWS renaissance2


2010-06-03  Thomas Lange [tl]  <tl@openoffice.org>  [458bf7f3c2fcd79285b8296165db0ea4cb99e3e5]

cws tl79: missing includes added


2010-06-03  Mikhail Voytenko  <mav@openoffice.org>  [54506d201e055ec183c6a33fec701aa67fe912ed]

tl78: #i110383# password to modify support for binary types only


2010-06-02  Ingrid Halama  <iha@openoffice.org>  [eb305a44b488c5cd25787121ee26f012c8ed4c4b]

chart47: #i111102# disable deadlocking tests again


2010-06-02  Ingrid Halama  <iha@openoffice.org>  [79a5db3d3412cd4e3c694b2c89397a05f4d44291]

chart47: #i112047# #i112048# disable crashing API tests


2010-06-02  Armin Le Grand  <Armin.Le.Grand@Sun.COM>  [ed4972eb01929f67f09cdd650d518082d732a902]

#i111987# corrected handling of source polygon data creation for logical polygon operations


2010-06-02  Carsten Driesner  <cd@openoffice.org>  [a4935590868263734ee30bdc33b065e2e8b1bf65]

fwk139: #i10000# Added pragma statement to fix warnings from Windows headers


2010-06-02  Joachim Lingner  <jl@openoffice.org>  [4caa726408b10338d0779481dae6c669d2fc62a7]

jl152 #i77196# bubble update notification now supports the new update behavior


2010-06-03  Dirk Voelzke  <dv@openoffice.org>  [3562bbcbb6f331325fff772fdb4d4143cb4e2977]

jl152#i77196# unopkg gui should sync repositories, too


2010-06-02  Philipp Lohmann [pl]  <Philipp.Lohmann@Sun.COM>  [4ae40b950da0a9433ca56e68d209c27c256aa86d]

merge in CWS vcl111


2010-06-02  Carsten Driesner  <cd@openoffice.org>  [05f53100be3063cf20ab395e70e08937f3399c38]

uimigration: #i10000# Fix build problem again


2010-06-02  Armin Le Grand  <Armin.Le.Grand@Sun.COM>  [da2cc96090744ed8ddfb7474cd6d8a920fb06d84]

#i111954# corrected hatch fill turnaround with Metafile and SdrObjects, also some smaller errors in ImpSdrGDIMetaFileImport


2010-06-02  Ruediger Timm  <rt@openoffice.org>  [ff1517eb1741b1a2c47ed1c60b643c9294a05f42]

rt38: Merge do DEV300 m80


2010-06-02  Mikhail Voytenko  <mav@openoffice.org>  [4326e7dc603e3a1819f431ea1e5bdcabb077b943]

fwk139: #i10000# adopt for solaris


2010-06-02  Mikhail Voytenko  <mav@openoffice.org>  [8dcc05f8b3c5be9010e5f59189e8112c595b1aa8]

fwk139: #i10000# adopt for solaris


2010-06-02  Mathias Bauer  <mba@openoffice.org>  [5d1f79da2038d3020b82f27234f535559ec877ab]

CWS mba33issues01: merge to m80


2010-06-02  Mathias Bauer  <mba@openoffice.org>  [d707723ca0e19f724667185203c4d79893e0b4e9]

CWS mba33issues01: #i112021#: remove obsolete code


2010-06-02  Dirk Voelzke  <dv@openoffice.org>  [bf478222e37fe398fcdd1c6c4f51c7b8c6ca7635]

jl152#i77196# better handling of extensions with unaccepted license


2010-06-02  Dirk Voelzke  <dv@openoffice.org>  [8e2bfce78d16530aaa8b6be0b903e8415da908d0]

jl152#i77196# Enable showing license during startup check, better handling of extensions with unaccepted license


2010-06-01  Carsten Driesner  <cd@openoffice.org>  [2f56e5deba7cf3db2c8ad5da845a59551fe291e0]

uimigration01: #i10000# Fix build problem


2010-06-01  Ingrid Halama  <iha@openoffice.org>  [e954c07c3f0596449972437a569d38fdccd826a3]

chart47: #i111102# enable chart tests again


2010-06-01  Mathias Bauer  <mba@openoffice.org>  [345ce2c3c41d54b2c7c1d944ad6e3d1abf818239]

CWS mba33issues01: #i107576#: create OwnLightClient only if there isn't a client already


2010-06-01  Joachim Lingner  <jl@openoffice.org>  [447058d7ba779cc6c915015ab940f836857835fd]

jl152 #i77196# fix compiler warnings


2010-06-01  Frank Peters  <fpe@openoffice.org>  [2e2d0f53485043f5f2d96602daa014bfd6e1d134]

#i111721#


2010-06-01  Ivo Hinkelmann  <ihi@openoffice.org>  [cf2acb2325e85a6737ba334df0c054708f8348e8]

l10ntooling18: merge


2010-06-01  Christian Lippka  <christian.lippka@sun.com>  [713c9d04f92dd4e0dd23960f47740cd67d5badda]

cws renaissance2: rebase m80


2010-06-01  Herbert Duerr [hdu]  <duerr@sun.com>  [e592972d4734af96fa70bdf091516d2eb4560c8d]

#i100925# added msyahei as default font for CJK locales


2010-06-01  Ingrid Halama  <iha@openoffice.org>  [18818a0ab5ceff31a1421c2be86f2e46699f6646]

chart47: merge with DEV300_m80


2010-05-31  Caolán McNamara  <cmc@openoffice.org>  [11d9026245be824ed81b25f141afcde79d07b382]

cmcfixes74: merge with DEV300 m80


2010-05-31  Caolán McNamara  <cmc@openoffice.org>  [029c3521668fec38d42533d59d4ca6bf19b92abc]

cmcfixes75: merge with DEV300 m80


2010-05-31  Joerg Skottke [jsk]  <jsk@openoffice.org>  [295996c0d3c7e4fafbfaf325a0c1a7cfc0645122]

findbar01: Local merge with remote repo


2010-05-31  Caolán McNamara  <cmc@openoffice.org>  [4cc8aa1b30ba228b5906870910574b3652c3b85a]

cmcfixes74: #i111960 use xdg-open when available


2010-05-31  Vladimir Glazunov  <vg@openoffice.org>  [44ada130c3857b167e954b63c7a5490268b72c5b]

#i111884# added new dependency


2010-05-31  tono  <tono@openoffice.org>  [3ebc7ae48ae5c99a5019e9393c2c89148e3cc5aa]

i#111958: MinGW port enhancement: runtime-pseude-reloc-v2


2010-05-31  tono  <tono@openoffice.org>  [5a1d3b98b50de3a48d833a7887957ae53fc86859]

i#111956: MinGW port fix: dependency to shared library


2010-05-31  Philipp Lohmann [pl]  <Philipp.Lohmann@Sun.COM>  [e8051d6b61bf45ff666050b5ad4cb4565ee271d0]

solve ambiguity between ::Color and com::sun::star::util::Color


2010-05-31  Caolán McNamara  <cmc@openoffice.org>  [87b4117419acc0fe1ec72da038b1e685cb6ddedc]

cmcfixes74: wae fixes


2010-05-31  Christian Lippka  <christian.lippka@sun.com>  [5416fe3b74344afe07e47d4a5a3e19b8b72f0417]

#i111928# do not crash when there are fields in an annotation


2010-05-31  Carsten Driesner  <cd@openoffice.org>  [09d3dcb10d4a4dc4afe6957d4307e57541f4d05e]

fwk143: #i111516# Support language argument and configuration item for dictionary repository URL.


2010-05-30  Caolán McNamara  <cmc@openoffice.org>  [03b24cac17e1baed3ca70901699c1183c69a045f]

cmcfixes74: wae fixes


2010-05-29  Vladimir Glazunov  <vg@openoffice.org>  [727a4dc3c35b9223050402cb489155c12719e128]

#i100000# fix for Warning-Error on Windows-BuildBot


2010-05-28  Ingrid Halama  <iha@openoffice.org>  [9e3b053224bbbac1d2a0801c89e81ea6977f532d]

chart47: #i86555# cleanup UNO API tests


2010-05-28  Joachim Lingner  <jl@openoffice.org>  [dfda937c0a22383f4f9b3e1eeb5268ace6cc42ef]

jl152 #i77196# new update behavior for extensions


2010-05-28  Ruediger Timm  <rt@openoffice.org>  [51881945f7a8a4d7a35e3c93621df79d8b011d50]

Merge CWS rt38 to DEV300 m79


2010-05-28  Ocke Janssen [oj]  <Ocke.Janssen@sun.com>  [9ddc3b8742845a1498d5d5ce44b33d0026c62e3a]

dba33f: #i111900# fix between


2010-05-28  Daniel Rentz  <dr@openoffice.org>  [fef72609ddfa698c9eea0ea545a517fa9ff7e4c1]

dr76: update to DEV300_m79


2010-05-27  Carsten Driesner  <cd@openoffice.org>  [5b99236df946ef06131291cef33dfac0df69d415]

uimigration01: #i101513# Migration of user settings necessary


2010-05-27  Armin Le Grand  <Armin.Le.Grand@Sun.COM>  [df9d75b5f7564818ba26cb7ea5d6fc11fd5c5fa0]

aw081: rebased to m79


2010-05-27  ka  <kai.ahrens@sun.com>  [79523db1f7d08b3fa2c825122f20ebf43f7963d2]

impressbi01: rebased to DEV300_m79


2010-05-27  Armin Le Grand  <Armin.Le.Grand@Sun.COM>  [f9cbb5693d447cbd761a70de4f043c960f19e5c9]

#i111846# added drawing BackgroundFill for hatch when not AAed


2010-05-27  Thomas Lange [tl]  <tl@openoffice.org>  [1640c95ca8b6fd8447bd4d0e12d2ae9158835337]

cws tl79: merge with DEV300_m79


2010-05-27  Armin Le Grand  <Armin.Le.Grand@Sun.COM>  [cda22a58ab359b2f34aef4a7d14821c665cf3ae8]

#i111715# corrected numerical cases for polygon clipper and geometry creator


2010-05-27  ka  <kai.ahrens@sun.com>  [04d1f1ea6ffb1b51502991401803e25b6e098a37]

impressbi01: merged DEV300_m77


2010-05-27  Thomas Lange [tl]  <tl@openoffice.org>  [90cd00166565e117d655eb3458269de281310e81]

cws tl80: #i111753# fixed Calc spezific spell check problem introduced by fix for #i110341


2010-05-27  Wu Yan  <wuy@openoffice.org>  [12c14be7254bcee08186208920a1d42524c64faf]

findbar01: #i111848#, #i111852# change title of findbar and show/hide the findbar according to specification


2010-05-27  Wu Yan  <wuy@openoffice.org>  [05806943d5dd4f68024df8a41b407383f0bfed45]

findbar01: #i111840# set focus back to document when <Esc> key is used in findbar text field


2010-05-27  Ocke Janssen [oj]  <Ocke.Janssen@sun.com>  [b7f00fd5aee03677894553980e8fe07a81bfd37b]

dba33f: #i107654# like corrected


2010-05-27  Ocke Janssen [oj]  <Ocke.Janssen@sun.com>  [6d8d642a0cddfb83d285d8da69677067bbf9d1f2]

dba33f: #i107654# like corrected


2010-05-26  Ivo Hinkelmann  <ihi@openoffice.org>  [9513d40068a8a0a85e0bf922a28cff1b50323957]

l10ntooling18: merge


2010-05-26  Mikhail Voytenko  <mav@openoffice.org>  [8bea649903c7dcf0f4f0f43db44e3e39bcd9f213]

fwk139: #i40233# integrate the patch


2010-05-26  Mikhail Voytenko  <mav@openoffice.org>  [688dc759fbfba03f586cd200048af677269880a5]

fwk139: #i101937# integrate patch


2010-05-26  Christian Lippka  <christian.lippka@sun.com>  [567b94ed3047d117e36a56e722bab5e132d7ba2d]

#i111538# fix high contrast rendering for annotations in impress


2010-05-26  Caolán McNamara  <cmc@openoffice.org>  [1c79fee4ee4730f7c576bb993faed4c331bce25e]

cmcfixes74: merge with DEV300 m79


2010-05-26  Mikhail Voytenko  <mav@openoffice.org>  [f25e8a010dcb34e0b15830477e6014fd227e2026]

fwk139: #i108330# integrate patch


2010-05-26  Mikhail Voytenko  <mav@openoffice.org>  [1a0255b21cdd68053e37feaa397a1c2a5ba06f16]

fwk139: #i108330# integrate patch


2010-05-26  Caolán McNamara  <cmc@openoffice.org>  [0b1da975081140dd5dab6fd002f696840e05f68b]

cmcfixes75: merge with DEV300 m79


2010-05-26  Carsten Driesner  <cd@openoffice.org>  [09ea751f9b1ff4cde57e7d576b87dd23545a8d91]

findbar01: Merge changes from m78


2010-05-26  Carsten Driesner  <cd@openoffice.org>  [97eef77ee0589e3a537832d6eb2b8d9785b76a6a]

findbar01: Merge changes from m78


2010-05-26  Wu Yan  <wuy@openoffice.org>  [c4832a2cc01b9480e8bdd8c37c5532e9ff6fcbc9]

findbar01: #111826#, #111827# and make some optimizations for the code


2010-05-26  Wu Yan  <wuy@openoffice.org>  [d14fdec31f9592d1339373e3c25b8ff8c3ef36d0]

findbar01: #111826#, #111827# and make some optimizations for the code


2010-05-26  Wu Yan  <wuy@openoffice.org>  [4411578150e3e020f801a441914752a02fad0734]

findbar01: #111823# change QuickFind shortcut to Ctrl-Alt-F


2010-05-26  Philipp Lohmann [pl]  <Philipp.Lohmann@Sun.COM>  [96a1603c3fe31d539e5536a72d90b38de721726e]

vcl112: #i111819# resolve aliases


2010-05-26  Oliver-Rainer Wittmann  <od@openoffice.org>  [3b9d0e38fa8cce2a4208d0a1ea7a6443ca07fdd9]

sw33bf04: merge with DEV300_m78


2010-05-26  Thomas Lange [tl]  <tl@openoffice.org>  [21dd53447524e9ef565217044bb3407563789741]

cws tl79: warning-free code


2010-05-25  Armin Le Grand  <Armin.Le.Grand@Sun.COM>  [fa394eadee02997e2103d3abbb06fca0ebf706ea]

#i110629# corrected usage of aRect and maBoundRect in connector shape


2010-05-25  Thomas Lange [tl]  <tl@openoffice.org>  [760ca6ad7439194dc9dc2e137e78af248df2c208]

cws tl79: #i110254# security tab page in 'File/Properties'


2010-05-24  Caolán McNamara  <cmc@openoffice.org>  [e185fae01fabe0eadb39ed4eed3894e937e92c66]

cmcfixes75: #i111796# check ftruncate return value


2010-05-21  Daniel Rentz  <dr@openoffice.org>  [a811f50e623aaaabb4ab168ce379460271de49b0]

dr76: #i103453# import visual area for embedded documents


2010-05-21  Kurt Zenker  <kz@openoffice.org>  [53663a5b057105466ceaa1de74bd866229a21e66]

CWS-TOOLING: integrate CWS gridcontrol_03


2010-05-21  Joachim Lingner  <jl@openoffice.org>  [9786398d2bb3adeb5abe36f71ae6659beca983a6]

jl152 #i77196# dp_misc::sycnRepositories cannot be switched off with bootstrap variable, because it is not necessary fro the perfomance test


2010-05-21  Kurt Zenker  <kz@openoffice.org>  [3170223848cd10cf5944fd631fe7f073899807ea]

CWS-TOOLING: integrate CWS npower13_objectmodules


2010-05-21  Carsten Driesner  <cd@openoffice.org>  [945fa5e6c8f15dcae8b34f430fce074eb3b5eb1c]

fwk139: #i110002# Remove unused code from desktop project


2010-05-21  Joachim Lingner  <jl@openoffice.org>  [1e0a171851b0674405e008ebfd91a41471acd38f]

jl152 #i77196# unopkg reinstall works now


2010-05-21  Philipp Lohmann [pl]  <Philipp.Lohmann@Sun.COM>  [95a513456c6dd1771c86e613d39243e6c4f50538]

merge to actual m78


2010-05-21  Ivo Hinkelmann  <ihi@openoffice.org>  [b3b4f72e072a94065ba6bd40982a6588e0f49d2b]

CWS-TOOLING: integrate CWS sw33bf03


2010-05-21  Ivo Hinkelmann  <ihi@openoffice.org>  [5efd675972e1269582aaf2f6d36483aef5eaaba7]

CWS-TOOLING: integrate CWS hcshared25


2010-05-21  Ivo Hinkelmann  <ihi@openoffice.org>  [32dc9f4dd82254d4c350fcfcb0b6bb37f5947d1f]

CWS-TOOLING: integrate CWS ab75


2010-05-21  Daniel Rentz  <dr@openoffice.org>  [36bbd6d57e843d558ee89a59ea990d3afadda718]

npower13_objectmodules: rebase and merge with DEV300_m78


2010-05-21  Joachim Lingner  <jl@openoffice.org>  [32511f3bec95e89a4be7534ea67b02c1412dd753]

jl152 #i77196# XExtensionManager::synchronize now has no repository argument; adapted PackageInformationProvider to use bundled extensions


2010-05-20  Ivo Hinkelmann  <ihi@openoffice.org>  [ae4bdf73f67628ccb4fd25d0b24b934ce539bd4e]

l10ntooling18: merge


2010-05-20  Henning Brinkmann  <hbrinkm@openoffice.org>  [f54b0698c46d9d33b4ae75d3873f55e8b15367d8]

tl78: merge


2010-05-20  Philipp Lohmann [pl]  <Philipp.Lohmann@Sun.COM>  [c8c2112c76d765179600c2904b32ba67fe065c96]

rebase to DEV300_m78


2010-05-20  Frank Peters  <fpe@openoffice.org>  [cc0a328bcf08e8965c2ba8245fd2f4d84f0d7bf7]

#i111721#


2010-05-20  Caolán McNamara  <cmc@openoffice.org>  [dec4aed0fc56b80333a0755e8c1cae17f1762fe7]

cmcfixes75: merge with DEV300 m78


2010-05-20  Carsten Driesner  <cd@openoffice.org>  [4816e5cf7462a30befd88cc39fda0b24ee888481]

fwk139: #i96288# Fixed disable command 'Digital Signature' doesn't disable button with the sam efunction


2010-05-20  Carsten Driesner  <cd@openoffice.org>  [9a3de4526b95482bde81ab237c2b2bf27560906a]

fwk139: #i104125# Vista file picker: Fixed settings values of check boxes is defect


2010-05-20  Joachim Lingner  <jl@openoffice.org>  [a6904da64f6076c77946792a70d668e893dc1b6f]

jl152 #i77196# registering basic item at startup did not work


2010-05-20  Thomas Lange [tl]  <tl@openoffice.org>  [03fd7e496dbf3b5b825ed34636af3528bf6a4cc9]

cws tl79: merge


2010-05-20  Thomas Lange [tl]  <tl@openoffice.org>  [6653b06268e6f905543d85ee7f61b6d440ef073b]

cws tl79: #i111422# pre-notify for 'Toggle' of check box


2010-05-20  Carsten Driesner  <cd@openoffice.org>  [7e752d7146cccfdd53612faf25ab0824ef40e0cb]

fwk139: #i105546# Remove unused MenuManager ctor


2010-05-20  Carsten Driesner  <cd@openoffice.org>  [84175d51b396179b62f7f50a6581d9ae7c62504e]

fwk139: #i105125# Fix state of selection check box in system file picker


2010-05-20  Vladimir Glazunov  <vg@openoffice.org>  [5cd38c30cf4c138d9173d4e59edb01461b655c6e]

CWS-TOOLING: integrate CWS sdfindall


2010-05-20  Wu Yan  <wuy@openoffice.org>  [7911d7c5e35beef4609acfb9e5c621ff7d50446a]

findbar01:#111709# Fix shortcut name for Ctrl-G


2010-05-19  Michael Stahl  <mst@openoffice.org>  [fb5d1acda3387e55608c89d181a482d68b85a688]

sw33bf04: #i111712#: sfx2: convert crude test in Metadatable.cxx to cppunit


2010-05-19  Thomas Lange [tl]  <tl@openoffice.org>  [69545b84ec94fef0f8007c01cda17e9daca62c27]

cws tl79 : random typo in sfx.sdi fixed


2010-05-19  Thomas Lange [tl]  <tl@openoffice.org>  [900415b37ce9f68eb9cd4be4bb655cbd1797f874]

cws tl79: #i110254# new security tap page in 'File/Properties'


2010-05-19  Mikhail Voytenko  <mav@openoffice.org>  [f2b398a55c63073e415e1a1cbe975aeb1bb5b5e1]

jl152: #i108704# use all the arguments when restarting on Windows


2010-05-19  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [b4c11bb880d1f1d93ac68c46988d27427f89b4d0]

slidecopy: fixed TAB traveling in the task pane


2010-05-18  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [538683a061fe74b282f2c7b07a2fdc71b66173c6]

slidecopy: missed this schema adjustment in the previous commit


2010-05-18  Mathias Bauer  <mba@openoffice.org>  [a7c0f16e9f8c0c854e7ac46852d724f4b8fdf51d]

CWS mba33issues01: #i107576#: make code safe against releasing of external references to client site


2010-05-18  Mathias Bauer  <mba@openoffice.org>  [349c798aedde0b5e0b0cbfa153627f1c7ac9da82]

CWS mba33issues01: #i109842#: missing typedef


2010-05-18  Mathias Bauer  <mba@openoffice.org>  [73ea65677a1bd2b82a1870ba87dc18aeef8111fe]

CWS mba33issues01: #i109842#: missing typedef


2010-05-18  Joachim Lingner  <jl@openoffice.org>  [d512aad0cd92fc8f74e7d988c5c344d8e68463ad]

jl152 #i77196# adapted migration code to use new extension manager, removed old unused migration code, adapted ooo improvement dialog to appear after third start, taking into account the restarting after extension installation


2010-05-18  Joachim Lingner  <jl@openoffice.org>  [ac3887ef1c2adbe0406b15bf76341a192227a86f]

jl152 #i77196# smoketest now uses new extension manager service


2010-05-18  Andre Fischer  <af@openoffice.org>  [bfae4309851e44e5fa36eab01fe0165977dbe697]

sdk321: #i111636# Look up style before falling back to default.


2010-05-28  Vladimir Glazunov  <vg@openoffice.org>  [649c52775f351b4deae44d88aa107c55c788a1c4]

CWS-TOOLING: integrate CWS calc53


2010-05-28  Vladimir Glazunov  <vg@openoffice.org>  [4f6210d7696db9f8fa48e5bcc1f1d0f10537f7c3]

CWS-TOOLING: integrate CWS fwk142


2010-05-28  Vladimir Glazunov  <vg@openoffice.org>  [14448f114572826f7f939fd555866fe49f03bb34]

CWS-TOOLING: integrate CWS koheiautodecimal


2010-05-27  Vladimir Glazunov  <vg@openoffice.org>  [581f9c95f99319a6c523f69a8ffe742378fd099e]

CWS-TOOLING: integrate CWS fwk138


2010-05-27  Vladimir Glazunov  <vg@openoffice.org>  [81e5edfecf422d268d4dd3a38b997659924669b9]

CWS-TOOLING: integrate CWS sb122


2010-05-27  Vladimir Glazunov  <vg@openoffice.org>  [b260dc08292eed2985318ef514a6bb9f7f8bbb61]

CWS-TOOLING: integrate CWS sb120


2010-05-27  Vladimir Glazunov  <vg@openoffice.org>  [aa2cdeaf6c79a15fb801cb205a0d5b19d5b8df7b]

CWS-TOOLING: integrate CWS kso44


2010-05-20  sb  <sb@openoffice.org>  [1a09fffe250cb8e696b6a1e8fa59034c1e237ba3]

sb120: merged in DEV300_m78


2010-05-20  sb  <sb@openoffice.org>  [f9b72899a1598c9679b749b7e30ae2363fcbb200]

sb122: merged in DEV300_m78


2010-05-18  Carsten Driesner  <cd@openoffice.org>  [ea3a27264e2580e02e5e7de5593cc6c62425c7ed]

fwk142: Toggle button flag added to several other commands


2010-05-18  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [ffad422b7873a5f4548b33817d66fddabf837f6c]

slidecopy: HelpID support for tool panels


2010-05-18  Andreas Bregas  <ab@openoffice.org>  [eb98cdb38c2779efc5384fa7ba1bf3cb29be2c4c]

ab75: #110417# Added dependency to oovbaapi


2010-05-17  Joachim Lingner  <jl@openoffice.org>  [fb6366086beedf9833e86db0f17a1299c84c2b28]

jl152 #i77196# office hangs in smoketest when it is about to restart itself


2010-05-17  Ivo Hinkelmann  <ihi@openoffice.org>  [ff494dca2e13bfb2cc35b7d65a178e6093af9842]

#i10000# removed OSL_ENSURE


2010-05-17  Herbert Duerr [hdu]  <duerr@sun.com>  [99e0abaffc3c7820ac5aabe2052b4f23914f1a33]

#i111077# better font fallbacks and font attributes


2010-05-17  Ivo Hinkelmann  <ihi@openoffice.org>  [2bd59de0da26665eaa2469180988a66b7648191a]

#i10000# fixed bad merge


2010-05-17  Joachim Lingner  <jl@openoffice.org>  [c3d96c09018cbec80cefa6151fceda7b85dc3831]

jl152 #i77196#  only restarting if a extension was added/removed, XextensionManager.getSupportedArguments: removed repository argument


2010-05-17  Carsten Driesner  <cd@openoffice.org>  [ba5f5d1b345d5cb8577a25d1dd8ffc9beb36fc31]

fwk139: Check popup menu pointer


2010-05-14  Thomas Lange [tl]  <tl@openoffice.org>  [07e24fae223a1cb580a4776b3eed77e93617eefc]

cws tl80: #i106004# name change 'Formula Elements' to 'Elements'


2010-05-12  Oliver-Rainer Wittmann  <od@openoffice.org>  [4c225c27878afa70e33f6a281a918c22314b5534]

sw33bf04: merging


2010-05-12  Joachim Lingner  <jl@openoffice.org>  [46559acfa0f1f5163cb8a24f8601cc264f23df91]

jl152 #i77196# restarting at startup when shared/bundled extensions were changed, fixed typo in win32/source/officeloader/officeloader.cxx


2010-05-12  Caolán McNamara  <cmc@openoffice.org>  [470b4aebe45519035088301bb8ed9783de493ad4]

cmcfixes75: #i111551# remove unused getGlobalTransactionManager


2010-05-12  Mathias Bauer  <mba@openoffice.org>  [e017544b280a27329028edee7b05f9bc56663338]

CWS mba33issues01: #i105239#: safe way to access SfxApplication in IMEStatusWindow


2010-05-11  Kohei Yoshida  <kyoshida@novell.com>  [0f2fca00e1fc05b643f4b19089e5218e9df5dee7]

rebased to DEV300_m77.


2010-05-11  Armin Le Grand  <Armin.Le.Grand@Sun.COM>  [027a48151c94ca8998ee1814fad6eaefb8891d6a]

#i111235# corrected transformation usage for ClipRegions


2010-05-11  Ivo Hinkelmann  <ihi@openoffice.org>  [3a3aa531e712b5bc53623a4eb43b8d932e88f8a9]

CWS-TOOLING: integrate CWS ause119


2010-05-11  Mathias Bauer  <mba@openoffice.org>  [165f6883d632ec8db79c14b39c9dda9fde8ce2d5]

CWS mba33issues01: #i111452#: allow to call getController() at disposed frames without assertion


2010-05-11  Ivo Hinkelmann  <ihi@openoffice.org>  [05b043243771c9b321c1a86cb228d9168dcb9b22]

CWS-TOOLING: integrate CWS hr76


2010-05-11  Carsten Driesner  <cd@openoffice.org>  [4691b51dd5e1b61a2115a1c4d56f0cd779bf7f4e]

fwk139: Rebase to DEV300m77


2010-05-11  Thomas Lange [tl]  <tl@openoffice.org>  [31ec3c36b5fd1455f62c9bb80984f59570a74016]

cws tl80: merge with DEV300 m77


2010-05-11  Andreas Bregas  <ab@openoffice.org>  [742c0322fdad8d93107e9546134c2e7543b22b8e]

ab75: merge with DEV300_m77


2010-05-11  Ivo Hinkelmann  <ihi@openoffice.org>  [eccfe2c8827e7e85cb769db800af35f49f2f4e99]

CWS-TOOLING: integrate CWS npower14miscfixes


2010-05-11  Andreas Bregas  <ab@openoffice.org>  [df3c20acf7a8b7dbb9a5d4b237b543c44428710b]

ab75: #i110417# Fixed warning


2010-05-11  Ivo Hinkelmann  <ihi@openoffice.org>  [99263389f7aeeb2ef70b24bee84cc85742d4db01]

CWS-TOOLING: integrate CWS impress188


2010-05-11  Ivo Hinkelmann  <ihi@openoffice.org>  [9bd50563fe3aa7f48c61bfe037231742e5c45db1]

CWS-TOOLING: integrate CWS sw33a11y01


2010-05-11  Carsten Driesner  <cd@openoffice.org>  [aac2e203d0ae77c21513bf12e27b68acaa0cae1f]

findbar01: #i10000# Fix build problem with gcc


2010-05-11  sb  <sb@openoffice.org>  [61926f744f5660a93cf95bc7ff9b194f0d7a991c]

sb122: #i111492# node-ref clone must not copy templateName_


2010-05-10  Ivo Hinkelmann  <ihi@openoffice.org>  [18725cf01a673b36464b914482b10616c10269e4]

CWS-TOOLING: integrate CWS dtardon01


2010-05-10  Michael Stahl  <mst@openoffice.org>  [9e8e7cf49972912b72aa72e3ec81dc91aec0cd6d]

sw33bf04: #i111381#: OValuePropertiesMetaData: apply patch by tono


2010-05-10  Ivo Hinkelmann  <ihi@openoffice.org>  [7dcff01ca9ab340cda0fc76a7d5a6ca11ac7c4d1]

CWS-TOOLING: integrate CWS dr73


2010-05-10  Ivo Hinkelmann  <ihi@openoffice.org>  [0c17e12aa61bca9e474ca68ebe17a4900c8e3a8c]

CWS-TOOLING: integrate CWS vcl110


2010-05-10  Mikhail Voytenko  <mav@openoffice.org>  [ae5095f43522efda2304f7278c396f3fe97a3e63]

jl152: #i108704# fix typo


2010-05-10  Mikhail Voytenko  <mav@openoffice.org>  [367433dee46c4e5d151b6571254f7f0443dd6744]

jl152: #i108704# allow to restart the office


2010-05-10  Ivo Hinkelmann  <ihi@openoffice.org>  [dd6a3a0f756b531106b6ea91c8fb9abb05adc271]

CWS-TOOLING: integrate CWS chart45


2010-05-10  sb  <sb@openoffice.org>  [690b1faf13f182ae4bfdd9f7cf9d693dbc8db51e]

jl152: #i77196# typo


2010-05-10  Ivo Hinkelmann  <ihi@openoffice.org>  [2133e3549e59c73fa7837f8cc2d4f3429ede0f2d]

CWS-TOOLING: integrate CWS odfmetadata4


2010-05-10  Ivo Hinkelmann  <ihi@openoffice.org>  [6b0bd4afedb7ea2853a30f26dc73071c2e1b176f]

CWS-TOOLING: integrate CWS linuxaxp01


2010-05-10  Joachim Lingner  <jl@openoffice.org>  [ffdedb4ea33b8795d8b4df71b967b73934adb101]

jl152 fixing merge conflict


2010-05-10  Mathias Bauer  <mba@openoffice.org>  [291bab3bd3dcf99a2eaff201f967b867378e43f8]

CWS mba33issues01: #i108607#: resolve operator ambiguity


2010-05-10  Mathias Bauer  <mba@openoffice.org>  [b701b11603f7ee5e1364cf6142393ff6c6f8286a]

CWS mba33issues01: #i109842#: delete global resources in pro version also


2010-05-10  Armin Le Grand  <Armin.Le.Grand@Sun.COM>  [d193fb17ce52e23e9a3de2b9b89b714c7e048922]

#i111410# reset BoundRects of 3D scenes udes as groups for chart


2010-05-10  Caolán McNamara  <cmc@openoffice.org>  [09ad394fc5993277d7d04e0a1142a25371dd67f8]

cmcfixes75: #i111508# implement a com.sun.star.mail.Mailserver in mailmerge.py


2010-05-10  Carsten Driesner  <cd@openoffice.org>  [d78fc2623e7212456642083981d41160bafd8169]

fwk142: #i104468# Ensure that focus is set to a floating window created by a toolbar controller


2010-05-07  Joachim Lingner  <jl@openoffice.org>  [1e7ad9a8a466f00b8159dba98c05cc90557ba28e]

jl152 #i77196# adapting configuration backend to changes introduced by SB on DEV300 branch concering different handling of configuration files in extensions, also fixed writing of compiled help files into the user installation


2010-05-10  Dirk Voelzke  <dv@openoffice.org>  [f1d9a98fab2c2c9ae1d3cde2f82dae42606726a0]

jl152: Fixed compiling errors for gcc


2010-05-10  Dirk Voelzke  <dv@openoffice.org>  [3985fffa008073041e86317b1119e11d1dcf052c]

jl152#i77196# Use ExtensionManager instead of PackageManager


2010-05-10  Dirk Voelzke  <dv@openoffice.org>  [d5a2a2408de706419678126d0686f93742f0355e]

jl152: merged


2010-05-10  Dirk Voelzke  <dv@openoffice.org>  [74e217e0350f428777270831545c3d9567b9086f]

jl152: Fixed compiling errors for gcc


2010-05-07  Armin Le Grand  <Armin.Le.Grand@Sun.COM>  [49afad1d390ed782f1a692b576790e82c99c9f36]

#i111392# corrected TextOnCurve for CTL


2010-05-07  Andreas Bregas  <ab@openoffice.org>  [7372bc255140ee08fad34bf78c27adc564b7e1e4]

ab75: #i111453# Open storage file for reading only


2010-05-07  Armin Le Grand  <Armin.Le.Grand@Sun.COM>  [053b4bf3537441462bd6263743ce0d92f506fd1b]

#i110981# do nothing when nothing to do


2010-05-07  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [8db25aa3e9bfedfaf789090538a7de0f906e0392]

slidecopy: export task pane view menu help id


2010-05-07  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [fd0d9f1dba6de1230a2b17202ec8a9b53429b2e5]

slidecopy: when activating a tool panel which is already active, let it grab the focus


2010-05-07  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [81de8bdc147e3f3f0f47a4fbbd4a21fcba434104]

slidecopy: ActivateToolPanel: lock the SolarMutex, this can be entered from anywhere ...


2010-05-07  npower Developer  <npower@openoffice.org>  [941fd2c887e2837fffa4c41449059dcfeb8442a1]

ab75: #i110417# add andreas's improvements and additionally don't clear previous err object data


2010-05-07  Thomas Lange [tl]  <tl@openoffice.org>  [7d7503d0ae0f729f93c6975d92786445f240ff4c]

cws tl78: fixing windows specific build problems after merging with DEV300_m77


2010-05-07  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [2cd337139c1669e07d24809925013d3a2c77106e]

slidecopy: allow activating a tool panel view XLayoutManager::showElement


2010-05-06  Carsten Driesner  <cd@openoffice.org>  [e8e0675798d8df81e51bf201545e9b768abaa2bc]

fwk142: #i104293 Use Commands.xcu files to mark commands which support a toggle state


2010-05-06  Joachim Lingner  <jl@openoffice.org>  [718bfa6bd04b4ef2f23caa3ace38b6232c1705ad]

jl152 i111434 ucb failes when copying folders, which contain files containing percent signs


2010-05-06  Christian Lippka  <cl@openoffice.org>  [1b831d5078b8ab624b83d8a9ef28e910c9a117e6]

#i109296# add shortcuts to toolbar items


2010-05-06  Kai Sommerfeld  <kso@openoffice.org>  [3617287b26b05d5d6fe47c2b2804b3f33891a269]

#i110213# - setup master password container on demand.


2010-05-06  Armin Le Grand  <Armin.Le.Grand@Sun.COM>  [112d0201a3e1d8b29d91b4c3f9551b546262e585]

#i111193# added patch to have a working m77


2010-05-06  Joachim Lingner  <jl@openoffice.org>  [948cff1e2664101f584b8e70b28f7bcda080ab6d]

jl152 merging with sb122


2010-05-06  Dirk Voelzke  <dv@openoffice.org>  [cfe1ec924623e90fab8aa7ba122399e333e0c96b]

dv12#i106373# applied patch to remove unused code


2010-05-05  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [7ce0c32d5d5d7643004980aa8c1434441cf0e532]

slidecopy: set the WB_DIALOGCONTROL and WB_CHILDLDGCTRL bits both at the generic panel anchor window, and the panel window provided by the XToolPanel


2010-05-05  Ingrid Halama  <iha@openoffice.org>  [b0fc9353e70516dccadc4bff5914775eaaa269b9]

chartpositioning: #i100778# simplify user interface: reduce sizing options to new excluding mode only


2010-05-05  Armin Le Grand  <Armin.Le.Grand@Sun.COM>  [0f053d715f7ef5a38db88ebd6c4cb15d8c1c962e]

aw081 resync to m77


2010-05-05  Joachim Lingner  <jl@openoffice.org>  [eecfc621c6a56e1d78b29fbd9a94f696676671d7]

jl152 import 263454 from native0jl:#i77196#  adding XLibraryContainer3.idl


2010-05-04  sb  <sb@openoffice.org>  [0fd189429e20872026de24a51733a4b6b63d32fa]

sb122: merged in late cws/sb121 merge fix


2010-05-04  sb  <sb@openoffice.org>  [e616b9f5e47bb06200e88eb376b3d57e9b5e3898]

sb122: #i110491# turned configmgr API from C++ to UNO


2010-05-04  sb  <sb@openoffice.org>  [09b863990cf8220616c0ff33cc8287b8c1b801f5]

sb121: merge fix


2010-05-03  Dirk Voelzke  <dv@openoffice.org>  [8d84686ee7adffaf3a419b5a5d32f2796f68d0ba]

jl152 import 263453 from native0jl:#i77196#  Use ExtensionManager instead of PackageManager


2010-05-03  Joachim Lingner  <jl@openoffice.org>  [f76fca757aec6fd6bb601d8e645c569b283599b7]

jl152 import 263452 from native0jl:#i77196# fixed bundled extension help tree view, scripts in shared extensions...


2010-05-03  Thomas Lange [tl]  <tl@openoffice.org>  [1a77e150f7af8f70db4bbf174f6654758622ee58]

cws tl78: build issues after merging with DEV300_m77


2010-05-02  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [e09a1171a3b2bef3d50ed69d32566f95335045e7]

slidecopy: it was a mistake to assume this file is unused ...


2010-05-02  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [242b16e23cd429deec85b91cdbeba3146c399b71]

slidecopy: oops, this deliverable was not intended to be removed


2010-04-30  sb  <sb@openoffice.org>  [39f67280b8ee579d29ec875714be564a1cdd588e]

sb120: #i111287# disabled failing tests for now


2010-04-30  Thomas Lange [tl]  <tl@openoffice.org>  [76c18b594f96066238e064ea24bdf86c5ec956bb]

cws tl80: #i48303# fixed minor spell check problem when splitting wrong words


2010-04-30  Christian Lippka  <cl@openoffice.org>  [996dee347a8a44b9c2c0ccab06b5961de1fbbd2d]

#i107213# fixed tooltips


2010-04-30  sb  <sb@openoffice.org>  [7d4c639e54ed10ad8b1654dae60c89a7d1cb7bac]

sb120: #i111283# disabled failing tests for now


2010-04-30  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [7bada0ed891db569bf2eb0ca10b38a90af297648]

slidecopy: oops, this deliverable was not intended to be removed


2010-04-30  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [4cdc4c50962ff47c377fd85b55565c7da41f5358]

slidecopy: missing UIELEMENTTYPENAME, detected by smoketest on unxsols4 only (why didn't this crash earlier??)


2010-04-30  sb  <sb@openoffice.org>  [5e0d8b70a31af64afe93f98f1d336139fbb5663f]

sb120: #i111278# disabled failing tests for now


2010-04-30  sb  <sb@openoffice.org>  [6832b23b73790fc1649223d9c96b520068099929]

sb120: #i111252# disabled failing tests for now


2010-04-30  Christian Lippka  <christian.lippka@sun.com>  [696a64b1491fbcb4ff3a3a5df201812a8abd8200]

fixed unix compiler warnings


2010-04-29  Hans-Joachim Lankenau  <hjs@openoffice.org>  [702903ccd0d00e27a65e86dd53f435f008a98d3c]

ause119:#i110644# add backward compatibility defines


2010-04-29  Dirk Voelzke  <dv@openoffice.org>  [6fa42f070b2afbc24975ab27adc1f170a02811e4]

dv12#i105255# Use different names for different images :-)


2010-04-29  sb  <sb@openoffice.org>  [20ebeb3b2e62d6374424ee4618347641d0214f7d]

sb120: #i111252# disabled failing tests for now


2010-04-29  Thomas Lange [tl]  <tl@openoffice.org>  [64b97418f05022ec71e30e93d222e940a72ba420]

cws tl78: merge with DEV300 m77


2010-04-29  Niklas Nebel  <nn@openoffice.org>  [493e4e46a109284d985d66db01edf3aec0a30b13]

calc53: merge with DEV300_m77


2010-04-29  Thomas Lange [tl]  <tl@openoffice.org>  [b8d165095d823afb3c751512c74e043e7ef37963]

cws tl79: fixed problems after merging with DEV300_m77


2010-04-29  sb  <sb@openoffice.org>  [9d058ab0f16b30d7303af3dea3386a66c1f486d9]

sb120: #i111252# disabled failing tests for now


2010-04-28  Ruediger Timm  <rt@openoffice.org>  [29d32d9a1be08bbe1a59812c0323a4dc5f035b14]

rt38: #i110940#: Cleaned some deliver lists - do not try to copy non-existing files.


2010-04-28  Christian Lippka  <christian.lippka@sun.com>  [64c02d5641eb07d373d0766335c56776ae231c47]

renaissance2: rebase m77


2010-04-28  Michael Stahl  <mst@openoffice.org>  [fd358e1499ada29ac8421a7940e8eb6a61e7f818]

merge DEV300_m77


2010-04-28  Niklas Nebel  <nn@openoffice.org>  [c5fc1cb78c438df3beeaf0f603325e5684aa7029]

calc53: #i111231# some spring cleaning


2010-04-28  Thomas Lange [tl]  <tl@openoffice.org>  [23a5e6bff70891250a1a208f6f2461daeaa19881]

cws tl79: include fixed


2010-04-28  sb  <sb@openoffice.org>  [e9d707c86b78266851a82ff1ae12d3346764be9a]

sb120: #i111224# disabled failing tests for now


2010-04-28  Philipp Lohmann [pl]  <Philipp.Lohmann@Sun.COM>  [f215bbf0f03ee9dfe59436d7c153f071c9f59642]

pdfextfix03: #i110871# PasswordRequest should still be supported for backwards compatibility


2010-04-28  Christian Lippka  <christian.lippka@sun.com>  [e9daf628d8b8bb3b7deb7b3472c775136139c599]

#i107213# revert changes to old SfxPopupWindow implementation as it is replaced with new uno controller


2010-04-28  Wu Yan  <wuy@openoffice.org>  [4042099dccaaa580857193c5a58947e2b9dd3009]

findbar01: enhancements for findbar


2010-04-28  Wu Yan  <wuy@openoffice.org>  [d44cfa5bdb007fb566387f5764328ad2e2ece393]

findbar01: enhancements for findbar


2010-04-28  Dirk Voelzke  <dv@openoffice.org>  [53fbf2451a21339e43a6c7c20baa23b3cb722290]

jl152 import 263451 from native0jl:#i77196# Use ExtensionManager instead of PackageManager


2010-04-28  Thomas Lange [tl]  <tl@openoffice.org>  [033b72eb6807c6449baf67584d4a41bd6012799e]

cws tl79: merge


2010-04-28  sb  <sb@openoffice.org>  [ac200b776191178c5c196887ec28648bb41574fa]

sb120: #i111216# disabled failing tests for now


2010-04-28  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [c7086127e024849f7c6a6f1c4e5d8aa17bcd7ecc]

slidecopy: make compile on unxsol[i|s]4.pro and unxmacxi[.pro]


2010-04-27  Mihaela Kedikova  <misheto@openoffice.org>  [bed9891a925dcb22e7c8fa304364ab3979291a6c]

gridcontrol_03: merge with DEV300_m77


2010-04-27  sb  <sb@openoffice.org>  [81dcf6cbe8570acf92a67e212f77054f42bcf2d3]

sb120: #i111200# disabled failing tests for now


2010-04-27  Michael Stahl  <mst@openoffice.org>  [8836c3053951ba6b15a2243bde782511077e592b]

merge DEV300_m77


2010-04-27  Thomas Lange [tl]  <tl@openoffice.org>  [c5ae52d66e5c99809003497c9e38028d4e06ef0a]

cws tl79: merge with DEV300_m77


2010-04-27  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [f91e396e38e97c16c7e4228cbc2fc8a053e66fe8]

fs33a: #111181# ImplSign: proper check whether the doc can be signed (only bail out if the document is no new)


2010-04-27  Mikhail Voytenko  <mav@openoffice.org>  [2de519fb9971dfb37a92dc395968ed44d80f24e1]

Merge to DEV300_m77


2010-04-27  Dirk Voelzke  <dv@openoffice.org>  [5ccab99a019a872d4e4d971e1fae977ee844eb18]

dv12#i29340# activated handleNameClashResolveRequest


2010-04-27  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [8a646b13ea052a01b61bf3cce24f3c3f60507a32]

slidecopy: corrected typo


2010-04-27  Thomas Lange [tl]  <tl@openoffice.org>  [99868ebb9097a7d3fcfaccbe32c3ba1eb8a3b329]

cws tl80: #i74188# fix for cursor positioning when removing indic characters


2010-04-27  sb  <sb@openoffice.org>  [49f474d7236c55388d728144cee0b2aad5fe2dd2]

sb120: #i111180# disabled failing tests for now


2010-04-27  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [a7dff2b6a513ee6b17d14b0a2789e05d1f7e75f7]

slidecopy: reverted previous patch - need a better shorcut


2010-04-26  Philipp Lohmann [pl]  <Philipp.Lohmann@Sun.COM>  [7902b0fa27547045eb89fd9163624ca8e2e7c374]

vcl111: #i111167# correct SetModifed handling


2010-04-26  sb  <sb@openoffice.org>  [21cc96d67d2b9352344d5f14fa0fe81a3346b8d2]

sb120: #i111169# disabled failing tests for now


2010-04-26  Niklas Nebel  <nn@openoffice.org>  [0123a6610fb8199bccf49267ae8538ec7e527527]

calc53: #i25840# null result in text column only for empty cells, not values


2010-04-26  npower Developer  <npower@openoffice.org>  [9e090f35c699eb8fcec6ba0d385bd76b76c744b5]

npower13_objectmodules: #i111097# fix for reset of vba mode for modules


2010-04-26  npower Developer  <npower@openoffice.org>  [2735f8b116e58aa3ab1c6ddde23a2f985f482332]

ab75: #i110417# add licence, remove unnecessary lines in resource and correct tweak in stepERROR so that in non-vba mode all is as it was before


2010-04-26  Thomas Lange [tl]  <tl@openoffice.org>  [527d5d7b0a9a0fe3eb9d1edecfb33e1f59e06399]

cws tl80: #i101820# EditEngine spellcheck context menu fixed


2010-04-23  sb  <sb@openoffice.org>  [6e30c6f55428b985298d6759497c5f44dc3c9ac6]

sb120: #i111114# disabled failing tests for now


2010-04-23  sb  <sb@openoffice.org>  [ae63f0a2579987b15f5fe893921abf12408647ed]

sb122: #i110548# backed out new extension dependency deployment-repositories again (introduced in -c 3b28615890d2); not needed after all


2010-04-23  sb  <sb@openoffice.org>  [6b96bfd992fd888536b4982a6c3eeec527c846f6]

sb120: #i111111# disabled failing tests for now


2010-04-23  Joachim Lingner  <jl@openoffice.org>  [be7e023a103eb90f8a5d50aaad9c07289f5a14ae]

jl152 import 263450 from native0jl:#i77196#    XExtensionManager.isReadOnlyRepositor, fixed removing xcu exceptions, executable backend


2010-04-23  sb  <sb@openoffice.org>  [f3cf0941adba0527b4bed3676861353070a0ab98]

sb120: #i111102# disabled failing tests for now


2010-04-23  Uwe Fischer  <ufi@openoffice.org>  [7061ee1d7e8d196950fa5a82b9000dc4eaac000e]

hcshared25: merge with DEV300_m77


2010-04-23  sb  <sb@openoffice.org>  [11b456da32e3c898b46d11f89b6ca691cb5807ba]

sb122: merged in DEV300_m77 via cws/sb121


2010-04-23  Thomas Lange [tl]  <tl@openoffice.org>  [ebc87382b6b968fac4b424434461cbf20f31cf6a]

cws tl80: #i106032# changed default dictionary type for new user dictionaries to plain UTF-8 text file


2010-04-23  Thomas Lange [tl]  <tl@openoffice.org>  [ba9a5439783abfb2cc9737eba2ca9180d6b75807]

cws tl80: #i106032# changed default dictionary type for new user dictionaries to plain UTF-8 text file


2010-04-23  Thomas Lange [tl]  <tl@openoffice.org>  [ed6ed721c60a9e024b33c0dffe2f8149b73cdb9a]

cws tl80: #i106032# changed default dictionary type for new user dictionaries to plain UTF-8 text file


2010-04-23  Thomas Lange [tl]  <tl@openoffice.org>  [a9abd6fee524edd13f6cdcf238ec4f3ac81cdbac]

cws tl80: #i109743# editengine occasional drag and drop crash fixed


2010-04-22  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [eef50f19c11cd64a50749fa65fa3c421c652446d]

slidecopy: removed accelerator/*/default.xml - they're not used for a long time now ... (accelerator config is now in Accelerators.xcu in officecfg. No need to confuse people with those dead files)


2010-04-22  Thomas Lange [tl]  <tl@openoffice.org>  [e6fbde741079a67f0add1a7262242f6674b13ba1]

cws tl80: #i110341# problems with spell check dialog fixed


2010-04-22  Mikhail Voytenko  <mav@openoffice.org>  [7d0ebb5b2f5427a1afbdf543f1321d6c6a75eed7]

tl78: #i110383# password to modify support


2010-04-22  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [69268740ded057b39ebc68507d6040a3143be597]

slidecopy: allow the SfxModule to overrule the availability of child windows, this way preventing their creation


2010-04-22  sb  <sb@openoffice.org>  [8fddb0e3d9aa2ab39b140b6c7f8a59a8baed64dc]

sb121: merged in DEV300_m77


2010-04-22  Dirk Voelzke  <dv@openoffice.org>  [a04c04dd758b8be694c6de402516ef239dec5c3f]

dv12: merge with DEV300_m77


2010-04-22  Dirk Voelzke  <dv@openoffice.org>  [57134d81219ac6c1b1d625ba79c29a121fceb933]

dv12: merge with DEV300_m76


2010-04-21  Caolán McNamara  <cmc@openoffice.org>  [2562d94585e0d027c23a91702b29abe14f0a6a2f]

cmcfixes74: merge with DEV300 m75


2010-04-21  sb  <sb@openoffice.org>  [0c8b9d6a8c93a54cae348d0bfa92422448cc1830]

sb120: merged in DEV300_m77


2010-04-21  Joachim Lingner  <jl@openoffice.org>  [4f8ebf479db3c6c8e7528b9ee77b0deeb8c984d2]

jl152 import 263449 from native0jl:#i77196#   no registration of components in uno.exe at startup, fixed extension activation, basic, etc.


2010-04-21  Michael Stahl  <mst@openoffice.org>  [2248653bfe0ad84eafd43c712e249b529000268b]

sw33bf03: #i111035#: fix ODF 1.2 export of href on form:form (patch by fs)


2010-04-21  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [89b3b0924678833cc4f2d2afa50ae0bc633bdbef]

merge


2010-04-21  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [a8d389cb04b7b49bb01b4bfc0fc87b92b4e59c1d]

slidecopy: properly determine the panel to be displayed initially (remembering the position is not a good idea when the positions are subject to change, due to client-defined sorting)


2010-04-21  os  <os@openoffice.org>  [980265e92ba39bfaa1f4ce0460ba589e567f0a0e]

rebase to m76


2010-04-20  Niklas Nebel  <nn@openoffice.org>  [84d85c073a92a1c11ada4b43f1169a6a717bdd86]

calc53: #i110911# write required xlink:type attributes, column element for cached table


2010-04-20  npower Developer  <npower@openoffice.org>  [53d6dae8b18b1d6423710e1ee9e2f5e01b971536]

ab75: #i110417#  get rid of unnecessary tmp string


2010-04-20  npower Developer  <npower@openoffice.org>  [e39d95068185a34abbf2de7e2e81ecc1f61eddc7]

ab75: #i110417# improve ErrObj behaviour


2010-04-20  Jens-Heiner Rechtien  <hr@openoffice.org>  [eeaf2f34f56d815040b0e80b5e3abd6b08400bdc]

DEV300 masterfix: #i10000#: adapt call to SfxViewFrame::GetNext() to changes from CWS autorecovery, 1c65617f50ee@DEV300


2010-04-20  Joachim Lingner  <jl@openoffice.org>  [2ec79dfa4690401274a5f3af73b427a06bc4df7a]

jl152 import 263448 from native0jl:#i77196#  XExtensionManager supports XModifyBroadcaster


2010-04-20  Dirk Voelzke  <dv@openoffice.org>  [80ded026c92f56774d031e55432e3481945347b3]

jl152 import 263447 from native0jl:#i77196#  Show progress on startup


2010-04-20  Rene Engelhard  <rene@openoffice.org>  [533ae590120a422fb0c0545d28f65b83f0cea365]

kfreebsdport01: change identifier from linux_* to kfreebsd_*


2010-04-19  npower Developer  <npower@openoffice.org>  [ac8249029a8b49d49463adb3086c0b154bfc0bb1]

ab75: #i10417# make sure substituted Err object only returned for vba mode


2010-04-19  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [bf95aff4812d0aec2d038a6b65d61a1c45a978e2]

slidecopy: properly include imagemgr.hxx (without the sfx2 prefix, to not use the delivered version, which by chance is incompatible in this CWS here)


2010-04-19  Michael Stahl  <mst@openoffice.org>  [6b78e3e4e66a54453ec1d2c7f90fbe856becb547]

sw33bf03: #i110694#: exportLevelStyle: no style-name on list-level-style-image


2010-04-19  Michael Stahl  <mst@openoffice.org>  [72a6bdf9e3cfa0173b4cdbb49859a407505ba052]

sw33bf03: #i110691#: import/export xml:id and {anim,draw,form,text}:id:  in ODF 1.2, the ID attributes on many elements are deprecated, and must  be used only in conjunction with xml:id.  new method SvXMLExport::AddAttributeIdLegacy() should fix the export.


2010-04-19  Michael Stahl  <mst@openoffice.org>  [fe73a227ea0843b6dfbd3ee23a450e31c8448c26]

sw33bf03: xmloff: fonthdl.hxx: fix broken header guard


2010-04-19  Kohei Yoshida  <kyoshida@novell.com>  [ced8a5c56361d4b34a41c80053cc84481b2e449f]

koheiautodecimal: rebased to DEV300_m76.


2010-04-19  Philipp Lohmann [pl]  <Philipp.Lohmann@Sun.COM>  [4acc05203956cda1a6305bb14ae87e6c47af0adc]

nativeb: #162044# move StartCenterLayoutStyle to brand layer


2010-05-10  Ivo Hinkelmann  <ihi@openoffice.org>  [4ae7f79c74115963e68eef2daab8262ae2a148a6]

nativeb: #i110826# add separate template button to StartCenter again, add HC images for StartCenter


2010-04-19  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [96250adfad027557aa4487092ef9f72518c08293]

slidecopy: removed more useless (by now) traces


2010-04-19  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [daf76132db519d472610d6ab4bf943153f5a8b16]

dba33f: build problems ....


2010-04-19  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [9bd329232f694342139b12c6c54c236ed57d4ec3]

slidecopy: WB_DIALOGCONTROL for the ModuleTaskPane


2010-04-19  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [dde56fee1405aa84fc2d1b680a94f579d6bc2f22]

slidecopy: proper in-window title handling


2010-04-19  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [17381370995e4efb5e6eba317694a900898a90f2]

slidecopy: removed more unused stuff from source/dialog


2010-04-19  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [f3d9f6e3dc7ad14b9002992e33e4e46571fa20f6]

slidecopy: docking window title is 'Task Pane', in-window title bar shows 'Tasks'


2010-04-19  Joachim Lingner  <jl@openoffice.org>  [11bd27d786ab5db75ecdbccaa18edd55498ffb0a]

jl152 import 263446 from native0jl:#i77196# supporting licenses, suppress license switch, subsequent accepting of licenses for bundled/shared extensions


2010-04-19  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [459c306f788cc51c39d711dc6223bb78b7010f38]

slidecopy: RID_AUTOHIDE is unused


2010-04-19  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [2b06bff2434556e65808de4870d33531b618facf]

slidecopy: SID_TASKPANE => UI name 'Task Pane'


2010-04-17  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [d60e0d9241b295949bad55f9a2bbe4e30557efab]

dba33f: patch provided by dtardon: fix slot id ordering


2010-04-17  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [d1b4187da937a6c7b4f35b2a0b2d45599c9f65b6]

dba33f: post-rebase build problems fixed


2010-04-16  Daniel Rentz  <dr@openoffice.org>  [3574d419d1e406f0256d4659069739b3dda22e91]

npower13_objectmodules: uppercase UNO constants


2010-04-16  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [f66e21c6fc7758f0efc9e1fc08add52f037533c6]

slidecopy: now using SID_TASK_PANE in all applications, also in Impress. Implies registering the respective child window in the apps, not in SFX. Also implies getting rid of SID_RIGHT_PANE in Impress. Also, renamed SID_TASK_PANE in Impress to SID_SHOW_TOOL_PANEL, which better fits its purpose, and avoids confusion with SID_TASKPANE.


2010-04-16  Christian Lippka  <cl@openoffice.org>  [a6bc322062c6c48accb7d0d1b5a6360ab41ba3ff]

#i10880# fixed pause logo in impress slideshow


2010-04-16  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [d2d4fc70f53541aa828f8bb30f72121a4e3d6366]

slidecopy: removed some traces which are of no use anymore


2010-04-16  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [9157048fbcfeb07b19781fa48b834aef43fe8b70]

dba33f: merge with m76-branch


2010-04-16  Jens-Heiner Rechtien  <hr@openoffice.org>  [d327ec4fd32f17b9a859b85b2807caa2afc9bead]

DEV300: merge masterfix ea9085d6db4c@DEV300


2010-04-16  Niklas Nebel  <nn@openoffice.org>  [9185568a24c86eb2e641e7085b9235b6a640d8e8]

calc53: #i110937# html import: don't insert title into EditEngine


2010-04-16  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [53153f526981d1d29cae743dfa8f6c65eba6f00c]

slidecopy: ImageURL value is not localized, of course


2010-04-16  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [7562a4ff0ce5f3778f91edc1e2d20a9537dea5fd]

slidecopy: (patch by SB) for compatibility with the old implementation, let getHierarchicalName return the absolute node path


2010-04-16  Christian Lippka  <cl@openoffice.org>  [5eb2b48a1cb9e0eb64239dfe7ea6eb30812ae4e1]

merged placeholder handles into one to avoid display errors due to pixel rounding in some zoom levels


2010-04-15  Armin Le Grand  <Armin.Le.Grand@Sun.COM>  [5ad2a646b4d69dd0a1aab5b25d8f2c84df330ba2]

aw081 #i106516# corrected clipping error with metafile rendering


2010-04-15  Armin Le Grand  <Armin.Le.Grand@Sun.COM>  [3194cb9115b7320467a2f9b587c351632acec93b]

aw081 #i108255# simplified SdrPathPrimitive2D::create2DDecomposition by removing correctOrientations there; for paint the corrections are not needed and may get expensive for complex polygons


2010-04-15  Armin Le Grand  <Armin.Le.Grand@Sun.COM>  [2e3568b919c9a6b9c26ecdf9fb7e61eb4bde6a71]

aw081 #i110731# adapted mfCenterZ to double


2010-04-15  Armin Le Grand  <Armin.Le.Grand@Sun.COM>  [9150edfe62b0071f6392fefaaf0ecd56dd90900f]

aw081 #i110779# Adapted DoDepthArrange to use logical AND PolyPolygon checks instead of IsInside checks to get bettter quality


2010-04-15  Armin Le Grand  <Armin.Le.Grand@Sun.COM>  [9bfc005ba00e5525f38ebbd840f1e70a6ba0fef0]

aw081 #i110846# added needed exceptions to do the right hing for MasterPages with no style sheets


2010-04-15  sb  <sb@openoffice.org>  [8bc706df36d35f80a2c5b5cbba7051f476e921e3]

sb120: merged in backout from cws/sb118


2010-04-15  Dirk Voelzke  <dv@openoffice.org>  [98779ac85b2973914070b267396eb3cb45242bf2]

nativeb: #i96291#: Better mime type name for extensions


2010-05-07  Ivo Hinkelmann  <ihi@openoffice.org>  [1038b0957b5fe099cfdefbf29e9da2ccf67dac1c]

CWS-TOOLING: integrate CWS tkr33


2010-05-07  Ivo Hinkelmann  <ihi@openoffice.org>  [8813673720fd572745c92b8679b0394bf9b04d0a]

CWS-TOOLING: integrate CWS sb121


2010-05-07  Ivo Hinkelmann  <ihi@openoffice.org>  [5d0eff6060f49c2c4d452f41407a6d1970a20912]

#i109668# let the default filter be used for export


2010-04-14  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [c7041d330ec2115a9f2252cc04070e3485a1d6c9]

slidecopy: indentation corrected


2010-04-14  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [3d5a8d23439be85ba21b3b20806a35c8c85c8bd2]

slidecopy: post-rebase problems


2010-04-14  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [8ca30c449becef405cdb65c88cf6eb269b58c322]

merge


2010-04-14  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [e21bce66419d18069b7956894ee86fe9e09a1174]

slidecopy: allow sorting the tool panels in the TaskPane (so far, the implicit ordering was defined by the order in which the config nodes were returned by the config manager)


2010-04-14  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [77cf5029be29ff82a3a6b33c12e648f7e4840560]

merge


2010-04-14  Daniel Rentz  <dr@openoffice.org>  [405d9b01ab672927b78e0e3223e1bf5b129d8aa6]

npower13_objectmodules: compiler errors


2010-04-14  Thomas Benisch  <tbe@openoffice.org>  [eee8c8a5c7eacb2c0db9700595764a903fe2f6dc]

chart45: #i110805# Chartshapes: Toolbarbuttons can't be opened


2010-04-14  Thomas Benisch  <tbe@openoffice.org>  [edd3de5afcabfc0aa1a23eb5ebdbb58745bc5fdd]

chart45: #i110805# Chartshapes: Toolbarbuttons can't be opened


2010-04-14  sb  <sb@openoffice.org>  [3cf3c77c40aec171b89271c397b270042a2fdb50]

sb118: merged in backout


2010-04-14  Kurt Zenker  <kz@openoffice.org>  [85dd8cc9165428d986599a80207a9e63e4848510]

masterfix: #i10000# remove incorrect line in buildlists


2010-04-14  Armin Le Grand  <Armin.Le.Grand@Sun.COM>  [35a2d43e9cc83f426659e140f377818fbc25e2d0]

aw081 #i110861# corrected mpSdrPageProperties usages in SdrPage implementation to do the right things in the right situations


2010-04-14  obo  <obo@openoffice.org>  [1b94e1230e1cc759672a1281fbfc7a7972f6327e]

#i10000# remove dublicate method declaration ControlHolder::invalidate


2010-04-16  Jens-Heiner Rechtien  <hr@openoffice.org>  [684fa2941c5438c88b382a876908c79b8a8ed619]

CWS-TOOLING: integrate CWS sb118


2010-04-14  Herbert Duerr [hdu]  <duerr@sun.com>  [e07bd9df0ba0f7ceaddca4964196de9128758e10]

fast forward merge


2010-04-14  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [43c1300677e7013540c3ede18bcd1cafdfc56705]

slidecopy: re-introduce the icons for Impress' standard tool panels


2010-04-14  Ingrid Halama  <iha@openoffice.org>  [bb95df4224ad9d78647c4c15501455b74b3d3936]

#i110617# avoid changes on copy from calc to writer


2010-04-14  Ingrid Halama  <iha@openoffice.org>  [4a19e21c6d9d37dc7f815e82d899a66e2fef14c8]

chartpositioning: #i100778# correct ODF behaviour


2010-04-14  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [9b74756d74d81846b2b27db5b25c4911b39d9adb]

slidecopy: re-implemented the TaskPane's "View" menu in SFX, using the code formerly found in SD


2010-04-14  Thomas Lange [tl]  <tl@openoffice.org>  [c3cc527322caac93bdd7d4a961a19d4366f86987]

cws tl74: merge with DEV300 m76


2010-04-14  Ingrid Halama  <iha@openoffice.org>  [f53e8e0e510f93cb43c1e6808fce0a621bc6663f]

chart45: #i110615# set missing points to NAN (not to zero)


2010-04-13  Philipp Lohmann [pl]  <Philipp.Lohmann@Sun.COM>  [176dd285b2fa232a189f07fe02f7b27ab109671c]

vcl111: #i97017# add yet another recent file list


2010-04-13  Daniel Rentz  <dr@openoffice.org>  [4b10e448228579d885c5fa5f941b8f23c4fcaeae]

npower13_objectmodules: compiler warnings


2010-04-13  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [0ed506eb33d86d4fb6a50f42dfce92a629bb0859]

slidecopy: now that Impress also supports the usual custom tool panel mechanism, add an example for Impress, too


2010-04-13  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [a196e1ad44bb182b1c03d327ba0c72e9c85a3a83]

slidecopy: missing using statement


2010-04-13  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [567e8871328de66544b772410718d73533a8425b]

slidecopy: moved SD's task pane implementation to the new base implementation from SFX. Still not all previous functionality restored.


2010-04-13  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [45ea4c74448bc5f2a15d2825e2a990f94aa470f8]

slidecopy: make compile with GCC


2010-04-12  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [b69204c901926a091621b92df6ff6e27f62ab8d9]

slidecopy: merge


2010-04-12  Christian Lippka  <christian.lippka@sun.com>  [e202f96c9ca5ce65f87e2ff74337ca092562eddd]

fixed merge error


2010-04-12  Philipp Lohmann [pl]  <Philipp.Lohmann@Sun.COM>  [77db27902fe0778512eb4dd4bbbd903a6ac13bb1]

merge with DEV300_m76


2010-04-12  Caolán McNamara  <cmc@openoffice.org>  [8566c1a5edb9f51f2a93b8c0a6af1fdbaa7f3a8c]

sdfindall: merge with DEV300 m76


2010-04-12  Caolán McNamara  <cmc@openoffice.org>  [31a7e20a355967356a14567ba7b8c870d9c2e47a]

cmcfixes74: #i110565 use radio buttons for mutually exclusive options in menus


2010-04-12  Caolán McNamara  <cmc@openoffice.org>  [2c7e9c9550fa8438b99fb9c426e8376492a58307]

cmcfixes74: #i110565 move the radiobuttons work to sdfindall


2010-04-12  sb  <sb@openoffice.org>  [6b2646c3d6811dde593ae1dac859e907bb4cab94]

sb122: #i110083# improve xcsparser.cxx merge function


2010-04-12  sb  <sb@openoffice.org>  [2447a97ad0a882ecd3b1bb006794664f94eb98fe]

sb122: merged in DEV300_m76 via cws/sb121


2010-04-12  Christian Lippka  <christian.lippka@sun.com>  [17ac7df8b05e407ca98c30132333f3b358759202]

impress188: rebase m76


2010-04-12  sb  <sb@openoffice.org>  [45f1f1df9ba88cf19f0942b49faba71af99bc171]

sb121: merged in DEV300_m76


2010-04-12  Carsten Driesner  <cd@openoffice.org>  [9de3f8c3d77e0d6496cae2b34908c71a6192eab2]

nativel: #161976# Remove license dialog from installation wizard


2010-04-14  Mikhail Voytenko  <mav@openoffice.org>  [2af25535e59f27208ae580c464bbbb2294038c76]

fwk140: #i110848# show the warning on saving as well


2010-05-05  Ivo Hinkelmann  <ihi@openoffice.org>  [2de68ed48b0b10140d419a9afa17922731720c6b]

fwk140: #i110815# do not rely on font size to align buttons below new bitmap background


2010-04-27  Carsten Driesner  <cd@openoffice.org>  [e7a24f2e66782cbfd54638ec93e96b1a94a4f68b]

fwk141: insert invalidtes iterator


2010-05-03  Ivo Hinkelmann  <ihi@openoffice.org>  [2ee31114d3989e11118286c75773ba0e2652f295]

CWS-TOOLING: integrate CWS cbosdo05


2010-05-03  Ivo Hinkelmann  <ihi@openoffice.org>  [6074c5f83a6563b23a0f6fb0936440db3c6bf529]

CWS-TOOLING: integrate CWS cloph14


2010-05-03  Ivo Hinkelmann  <ihi@openoffice.org>  [f5e50cd72846132ed5e542adb93feb49b2b68e2c]

CWS-TOOLING: integrate CWS obo47


2010-04-23  Christian Lohmaier  <cloph@openoffice.org>  [5f6d30c5b1f7d539200dacc1e2929b371a5a4ccf]

cloph14: merge with DEV300_m77


2010-04-13  obo  <obo@openoffice.org>  [9fa71b70aff7e91f16bad57993dc7f8614190e6d]

obo47: #i110831# build breaks for wntmsci12 non pro in module shell


2010-04-12  sb  <sb@openoffice.org>  [c3422a79511cd11a3fa5efc5e698a94c0a02dc62]

sb122: merged in cws/sb121


2010-04-12  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [9764f707bb08ec91decdb205de0a46d7a710e139]

slidecopy: default ImageURL to empty string, not <null/>


2010-04-12  sb  <sb@openoffice.org>  [cca943800c3fbb710685aab890fd4c4843712d7b]

sb122: #i110494# make OpenOffice.org-maximal-version dependency work for > 0 micro OOo versions again


2010-04-12  Christian Lippka  <christian.lippka@sun.com>  [3623c7261fbbcb6a7664092a2baa7e47655d4a6e]

renaissance2: rebase m76


2010-04-11  sb  <sb@openoffice.org>  [278bc0d5f8eb281ea2ef784f489b5aa83bb8355e]

sb120: merged in DEV300_m76 via cws/sb118


2010-04-11  sb  <sb@openoffice.org>  [348950e91017a997f14d25503c63dfe4bb5dc7a4]

sb118: merged in DEV300_m76


2010-04-09  ka  <kai.ahrens@sun.com>  [7b97f9be486091b28de32d6bdd0ef1cad2d3509d]

impressbi01: rebased to DEV300_m76


2010-04-09  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [e761f21bb4e09c90a6ccc9d23f8e1cafb2898641]

slidecopy: task pane is initially invisible


2010-04-09  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [1aa6f70b5d5f521020daed7ff8d57246d993d571]

slidecopy: when creating tool panels, pass the XFrame they're going to live in (needed as context information, and mandatory by css.ui.XUIElementFactory documentation)


2010-04-09  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [c3b391a1fd03e82615510938e8c0fb8211aea94c]

slidecopy: moved XToolPanel from css.view to css.ui, now that it is an XUIElement


2010-04-09  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [860f210e09db8e6f42a9aaf348a98f00d98f1ec2]

slidecopy: moved Frame/ResourceURL/Type from css.ui.UIElement to css.ui.XUIElement


2010-04-09  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [ae023c31b902b198d3de931452edf02f947a6971]

slidecopy: separate resource ID number circles for svl and svtools (thanks to MBA for the patch)


2010-04-09  Ingrid Halama  <iha@openoffice.org>  [80eab7d926725f5b55cedad3ad515427856a5b50]

chartpositioning: merge with DEV300_m76


2010-04-09  Caolán McNamara  <cmc@openoffice.org>  [3778aac7624209b7651c6965af9d3d9e01fb23d4]

cmcfixes74: merge with DEV300 m76


2010-04-09  Ingrid Halama  <iha@openoffice.org>  [0669ae3e2bb4c79901f6bb454e09ddc354b9de58]

chart45: merge with DEV300_m76


2010-04-09  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [1955c30b72135397ff095ebf4712cc6db2a2c407]

slidecopy: merge CWS wth MWS-m76


2010-04-09  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [43d04f03e67211de5a8bba2806ded94b2f709e1a]

slidecopy: moved SD's version of DockingWindows (bearing a title bar, and a closer when docked) to SFX, and based the new TaskPane on it


2010-04-09  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [4e25a48c9da82226f6ab0b00371d8d35f0dbc55e]

slidecopy: why is the SvBorder class duplicated in sfx2/viewfrm.hxx, when it is (nearly) exactly the same way declared in tools/svborder.hxx? removed the duplicate


2010-04-08  Caolán McNamara  <cmc@openoffice.org>  [a7d2af7a027bf27e71f0375bd91fa1fe1106d03d]

cmcfixes74: #i110565 consistently set the menus to be checkboxes if the entries are mutually exclusive and one entry is set


2010-04-08  Michael Stahl  <mst@openoffice.org>  [bedbb9da953566d8ae0cb5de7e3490f493db7d39]

dtardon01: #i37275#: SvXMLImport: normalize the "form" namespace


2010-04-08  npower Developer  <npower@openoffice.org>  [2b80fc34f3463f903222bce5d4e39d35222825a7]

npower13_objectmodule: merge heads ( from merge to DEV300_m75 )


2010-04-08  Carsten Driesner  <cd@openoffice.org>  [c4b1e745482387ab4f3827857eebe4483f1d6edb]

fwk139: #i100512# Eliminate flicker when toolbar buttons make themselves invisible


2010-04-08  Caolán McNamara  <cmc@openoffice.org>  [5925210efc313219a21c19e7fb54666aade06617]

cmcfixes74: #i110565 use checkboxes in menus for mutually exclusive options instead of checkboxes


2010-04-08  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [94590feb5af3ea7623401870ed352fe0d5ece7f4]

slidecopy: added SID_TASKPANE to Draw


2010-04-08  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [a81081aa53cf48f6fdee7e8a09305689bf83655d]

slidecopy: oops, the ID for SID_TASKPANE was used already. Did I mention our number circles suck?


2010-04-08  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [f2ff4a149c4de0ba87450fac5e20b016423356ce]

slidecopy: assert when SID_TASKPANE state is requested and we do not know such a child window


2010-04-08  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [8ea3d91b7fc1aeff08c5f5378e7ef8c1b8a39a9a]

slidecopy: add SID_TASKPANE support to Calc, Writer/Web, Writer/Global, Math, Writer/Form, Writer/Report, XMLForm


2010-04-08  Caolán McNamara  <cmc@openoffice.org>  [15122cf4dcd3888b445b9eb358a8b3d6b129d1a8]

sdfindall: merge with DEV300 m75


2010-04-08  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [7da5dd6124e42f4216a170f22e11be371f081838]

slidecopy: build the workbench folder, too


2010-04-08  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [e1f01cc32cb6d3f037efa640db21093bb4a72112]

slidecopy: default WinBits to WB_DIALOGCONTROL


2010-04-08  Carsten Driesner  <cd@openoffice.org>  [52414df3f2fa68fd94985386f4ae4358f0619c02]

fwk127: #i106491# Substitute possible variables inside impl_setPathValue


2010-04-08  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [f56751b142b24ebc51a5cb6d5e07157a03cf09e8]

slidecopy: remember the tool panel's visibility states, and restore the next time


2010-04-08  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [6dee9117047d509b3505a8efd8dae573fd8e948d]

slidecopy: respect the ImageURL property for custom tool panels


2010-04-08  sb  <sb@openoffice.org>  [ff73614d160dd0dd44f149c0981da0c5a440942d]

sb122: #i110467# ...and merge in the backout


2010-04-08  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [00f498f7659892c187b2ccc8d2ce12b7ca54dddd]

slidecopy: A11Y support at XToolPanel


2010-04-08  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [426e6308897d2d5d3ae03f24ef1eb06de5c9740e]

slidecopy: didn't I have this file already?


2010-04-07  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [f61e0685c1a41e284412822fdd8f038f1ecd17af]

slidecopy: fixed encoding/decoding of extension identifiers as part of an URL (thanks SB)


2010-04-07  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [f140e09e24baeb67b25cf0cfc0d7b143f18a78be]

slidecopy: improved the generic TaskPane, now filled from the configuration, including a small sample extension still some way to go .... open items include: - add to all affected applications - respect the ImageURL property of the config data - clarify how this interacts with SD's Drawing Framework, and Impress' TaskPane - re-activate the previously-active tool panel when opening the pane again - obtain the XAccessible from the tool panel - title when docked - proper TAB handling when multiple panel/drawers exist


2010-04-07  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [bbce67504dbb956b19aa84721646fe698e139965]

slidecopy: UIElementType::TOOLPANEL


2010-04-07  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [15775e16b92bebc3ae93b94fe9ff00e2773b560a]

slidecopy: let the dummy/demo panel create a simple XAccessible, too


2010-04-07  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [544d6294fb450d7d60a5d59579e853b37b66e252]

slidecopy: initial, empty ToolPanelDeck in a TaskPane (docking) window


2010-04-07  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [6a8179060873ccfa03a7327ab92aec2f1bade06e]

Automated merge with ssh://hg@hg.services.openoffice.org/cws/slidecopy


2010-04-07  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [fa1eaa4d110d4d8ed610ae582bfef0464b3c39ef]

slidecopy: removed seemingly unused sfx2/win folder, containing some old icons used when we had an own Explorer


2010-04-07  npower Developer  <npower@openoffice.org>  [ebdcaf692cd780bdf0fd0f640e0dbcdd4ad57b7e]

npower13_objectmodule: #i110672# fix Application.ThisWorkbook ( from dr )


2010-04-07  npower Developer  <npower@openoffice.org>  [461c21d66df96f1131d2b20ee89493090ce3335e]

npower13_objectmodule: fold in review comments from ab


2010-04-07  sb  <sb@openoffice.org>  [afd2ead0bfd5b880a0b112d21c5ac2eb31a33c41]

sb122: #i110467# back out dubious change again


2010-04-07  sb  <sb@openoffice.org>  [ca9a39dfe78c12bdf87794da85318cfc7859cc92]

sb120: merged in re/DEV300_next towards DEV300_m76 via cws/sb118


2010-04-07  sb  <sb@openoffice.org>  [a28edb7950d225af13b0107f529efd2cefaad213]

sb118: merged in re/DEV300_next towards DEV300_m76


2010-04-06  David Tardon  <dtardon@openoffice.org>  [9fe6af272757c87de996978323f97572ada8224a]

dtardon01: #i37275# fix build on windows


2010-04-06  sb  <sb@openoffice.org>  [ec2a3c052aba44f58bdf19709766c0b9315d5fd9]

sb122: silently ignore unknown files in Components::parseFileList (the extension manager's file lists can accrue garbage when extension deployment fails mid-way through)


2010-04-06  Joachim Lingner  <jl@openoffice.org>  [f18ca7dc2e4bfa450853e7600fca20c88d8c46c8]

jl152 import 263445 from native0jl:#i77196# supporting extension help


2010-04-06  sb  <sb@openoffice.org>  [fc0c6fe6d2dceef80564e40a6cfeda5ef1f5ac8a]

sb122: #i110548# extension native libraries linking against basis layer; new extension dependency deployment-repositories


2010-04-06  Martin Hollmichel  <mh@openoffice.org>  [034e90fcd72cad5accf2abe5a7319c63dbf7ac05]

nativea: #i110249# chg copyright


2010-04-06  Martin Hollmichel  <mh@openoffice.org>  [9adb28e4d81ed76a88c1cad03bf023d26dcfe28e]

nativea: #i110249# chg copyright


2010-04-06  Ingrid Halama  <iha@openoffice.org>  [c7ce361e6a27a4c549da9d51c512a5c23fbbd2dc]

chartpositioning: #i100778# correct ODF behaviour


2010-04-06  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [fa0ca6890fd396e4109a609a7ac6ce1b316c6ca9]

slidecopy: file is dead, long superseded (it seems) by ./UI/Commands.xcs


2010-04-06  Mikhail Voytenko  <mav@openoffice.org>  [3eb5bf7e64cc093eeb1eb3a90464207d3066d128]

merging


2010-04-01  Ingrid Halama  <iha@openoffice.org>  [45e0d79dbdbfcf20034ad02de5f1d511a01a32c3]

chartpositioning: #i100778# correct ODF behaviour


2010-04-01  Martin Hollmichel  <mh@openoffice.org>  [51d4dae136f639e199dd5acea5e4c06e68339b06]

nativea: #i110249# chg copyright in license


2010-04-01  Mikhail Voytenko  <mav@openoffice.org>  [7ff0a0e93d5b7e04ef1bac1a00459cb7255c7815]

tl78: #i110383# fix typo


2010-04-01  Mikhail Voytenko  <mav@openoffice.org>  [1fae95bfcd561254fb1da162973706421af174f1]

tl78: #i110383# allow to change the hash always for now


2010-04-01  Vladimir Glazunov  <vg@openoffice.org>  [b90b03e6d52d9627a59724125ef705181f57caf8]

#i10000# Fixed missing includes and xProp variable


2010-04-01  Vladimir Glazunov  <vg@openoffice.org>  [3d3f2bfef58542a3ba8a98d1c8fd23be5e7fbcd6]

#i10000# corrected include header


2010-04-01  Gregor Hartmann  <gh@openoffice.org>  [8344464a90c9ecdf4ce8913c1daf4eb144c359cc]

nativea: #i110248# changed Sun Microsystems, Inc. to Oracle


2010-04-01  Carsten Driesner  <cd@openoffice.org>  [76cbcd8c887875eed798fbf1210a5fefc3e28302]

nativea: #161779# Exchange icon for sweb application


2010-04-01  Carsten Driesner  <cd@openoffice.org>  [6658afda7b986e610c77da694e089f3891515049]

nativea: #161787# Ensure that SHELL32 is mapped when accessing via GetModuleHandle


2010-04-01  Carsten Driesner  <cd@openoffice.org>  [049e49785014db9751613ed876b4ee209fdbd3d3]

nativea: #161787# More safe code to retrieve open icon from shell library


2010-03-31  Ingrid Halama  <iha@openoffice.org>  [ec0ed310de07f7a45a078a2b3d2b2bbaca7f38e1]

chartpositioning: #i100778# fixed typo


2010-03-31  Ingrid Halama  <iha@openoffice.org>  [c0a63631f1c971d4b9981f174b2cdda867af6e77]

chartpositioning: #i98398# treat diagram size without title sizes (correct ODF import/export, correct diagram sizing per mouse, correct API for import)


2010-03-31  Carsten Driesner  <cd@openoffice.org>  [5dc0e22084c3ca0782f94e27de4a481822d2bad6]

nativea: #161909# Exchange names and URLs


2010-03-31  Carsten Driesner  <cd@openoffice.org>  [698c2ee417010b1ca7693c71fb734259fc34ddc7]

nativea: #161879# Use correct icon for 'From Template...' menu entry in quickstarter


2010-03-31  Andreas Bregas  <ab@openoffice.org>  [848782a94a6d0aa6fa5c38e4511ccdc0be30b820]

npower14miscfixes: Added dependency scripting to vbahelper


2010-03-31  Vladimir Glazunov  <vg@openoffice.org>  [a39db3bbdbfa3867733328b4e36bd45c23d95b1d]

CWS-TOOLING: integrate CWS mingwport29


2010-03-30  Michael Stahl  <mst@openoffice.org>  [2db43cfe38d62d6595e7041534eccdcc7e3e5ac3]

fwk138: #i97378#: publish DocumentProperties:  publish css.document.{,X}DocumentProperties{,Supplier}.  css.document.OfficeDocument: add XDocumentPropertiesSupplier.  css.document.XDocumentProperties: remove css.uno.Exception from signatures.


2010-03-30  Carsten Driesner  <cd@openoffice.org>  [49f0c639a91966e70a946ca6b1ad73f17a213430]

nativea: #161787# Use folder icon from Windows shell library


2010-03-30  Mikhail Voytenko  <mav@openoffice.org>  [21b7c4d2c4d6eae9274511360b36448834696766]

tl78: #i110383# support password to modify


2010-03-30  Mikhail Voytenko  <mav@openoffice.org>  [dc532ca2b5eb66787eda9b39f25b02aef2b7749f]

tl78: #i110383# support password to modify


2010-03-30  Carsten Driesner  <cd@openoffice.org>  [544f238cc6f28985a934e3edba98b34c65a84767]

nativea: #161787# Exchange folder with application icon


2010-03-30  npower Developer  <npower@openoffice.org>  [2b236e4a73a844f408adddf4c91a589a2ea705dc]

npowermiscfixes: #i109644# fix potential crash when using 'option VBASupport 1' ( regression introduced by new lazy loading for this issue )


2010-03-30  Caolán McNamara  <cmc@openoffice.org>  [f63e8358433b32354a511fa937b63bd9cc10e37a]

linuxaxp01: #i110145# add Linux m68k to this list


2010-03-30  Carsten Driesner  <cd@openoffice.org>  [69472c2c0b627d3bf8aa4a3e19cbd97ea019f8eb]

nativea: #161739# New icons for printer administration application


2010-03-30  Christian Lippka  <christian.lippka@sun.com>  [e7828ad50d2f6a390a71b307d6992451cd62ee97]

fixed compile warnings


2010-03-29  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [933751b26402df56c714b9584e6ae574c2a36241]

Automated merge with ssh://hg@hg.services.openoffice.org/cws/dba33f


2010-03-29  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [6a650012c85b42a528a2c141e980fdbab2688efa]

dba33f: added missing break (thanks to Terence Enger (400guy@openoffice.org))


2010-03-29  Kurt Zenker  <kz@openoffice.org>  [a56651095373914d5bd09cdc25e3073ddc512534]

masterfix: #i110415# makefile adapted due to changing .bmp to .png


2010-03-29  Philipp Lohmann [pl]  <Philipp.Lohmann@Sun.COM>  [92bd29fac787e58b9f0648c3c0aa486f9c327a4d]

nativea: #161883# focus handling


2010-03-29  Philipp Lohmann [pl]  <Philipp.Lohmann@Sun.COM>  [51680950e8666bb97b68f92688b7fcc9ae33b89d]

nativea: #i110344# arrow key focus travelling


2010-03-29  npower Developer  <npower@openoffice.org>  [814b986e29b3839b896e4863b811c871ceb6d6a5]

ab75: #i110417# initial ( untested ) implementation


2010-03-29  sb  <sb@openoffice.org>  [6bc27e8c39598306dd5c74d4b9f0e5839d97c403]

sb121: fix 64 bit non-pro warning


2010-03-26  Michael Stahl  <mst@openoffice.org>  [6daaa8687b3ea4d535e62ec8d6df00f41f48eb09]

sw33bf03: #i107240#: SvXMLMetaExport: export elements without whitespace


2010-03-26  Christian Lohmaier  <cloph@openoffice.org>  [fce3cb9ef649ab0047e28b2f54dcbd87806940c1]

cloph14: #i98632# JDOM comment-validation error because of <!--- instead of <!--


2010-03-26  Christian Lippka  <cl@openoffice.org>  [edbd740460f3599157db49ab2bcba197cae27cf0]

removed unused code


2010-03-26  sb  <sb@openoffice.org>  [0b85e1aa2682f2e896f2f0e802a33ae4f30d1f56]

sb121: #i110203# futher cleanup


2010-03-26  sb  <sb@openoffice.org>  [0be9782bd1802684841f695aeee8ab2df9aa1020]

sb121: #i110203# added configmgr::update::insertModificationXcuFile and adapted old configuration data migration to it; some cleanup


2010-03-26  Mikhail Voytenko  <mav@openoffice.org>  [334005d6914b4c9c0cbdf4c214603f5b6a34283e]

tl78: #i105076# add ENCRYPTION and PASSWORDTOMODIFY filter flags


2010-03-26  Mikhail Voytenko  <mav@openoffice.org>  [5fef00be92b75860c9331222a81f0537f313f9d2]

tl78: #i105076# add ENCRYPTION and PASSWORDTOMODIFY filter flags


2010-03-30  Mikhail Voytenko  <mav@openoffice.org>  [3bc50d85f1aba0deed417f87a2d7b567cf6b9571]

tl78: #i105076# the filter related constants are no more in framework module


2010-03-26  Ocke Janssen [oj]  <Ocke.Janssen@sun.com>  [c9de049e10b098c5f08dcabdcadb5d860cde599a]

dba33f: #110236# use delete []


2010-03-26  Ocke Janssen [oj]  <Ocke.Janssen@sun.com>  [6d8d9930fbb3a1be352c8c4680292d30a1001f3b]

dba33f: #110236# use delete []


2010-03-25  Ivo Hinkelmann  <ihi@openoffice.org>  [122e6f5cd9baebe39bc3b3aad5c23bd1217a040e]

cws l10ntooling18: #i110394# confused assignment


2010-03-25  Ivo Hinkelmann  <ihi@openoffice.org>  [5367368935ab281c7e097c3b80f3a521af8e28f5]

cws l10ntooling18: #i110394# OOO_VENDOR is no longer merged by rsc but by config


2010-03-25  Ivo Hinkelmann  <ihi@openoffice.org>  [191284e42feaa4182d8bf289f73e5b998df254d9]

cws l10ntooling18: #i110394# Introduce the variable %OOOVENDOR


2010-03-25  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [da42dd358c4eb0654aebc291340eeb35c111dc78]

slidecopy: fixed shadow variable


2010-03-25  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [eda3c25d45bdd90c54b53487ed237ac1aeffa17c]

slidecopy: module ucb now depends on module tools (need tools/diagnose_ex.h)


2010-03-25  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [5d4f8cdbe92ce8429b1e0ecf54701c7183484804]

slidecopy: adjusted the Ext-UCP URL scheme so that the ExtensionID is the URL's authority


2010-03-25  Christian Lippka  <cl@openoffice.org>  [290135e2000db3b39d1bd7a6f30f709576741b24]

fixed wrong resource


2010-03-25  Christian Lippka  <cl@openoffice.org>  [920aac0c5eeddec18f82426ae39285dc5ac053fb]

fixed opening wrong controller


2010-03-25  Christian Lippka  <christian.lippka@sun.com>  [c79c80ff5e59aa356a2ac48b775867ebe87c52d2]

merging


2010-03-25  Christian Lippka  <cl@openoffice.org>  [bf5669383d338d555165d02c5dcddc07db4075dc]

reworked ExtrusionDepthContoller to use toolbarmenu again


2010-03-25  Dirk Voelzke  <dv@openoffice.org>  [dfd6881432346b3500e20ad542bcf93a5796dcd3]

jl152 import 263444 from native0jl:#i77196# disable now supported new from extension manager


2010-03-25  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [aefea2293cbd956e01a9652ed588388ce6aee713]

slidecopy: proper en/decoding of extension IDs


2010-03-25  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [6662010db003256b59cc57f20085abb6f1b6b929]

slidecopy: use g:/dev/o_slidecopy/DEV300/ooo/solenv/src/component.map


2010-03-25  Joachim Lingner  <jl@openoffice.org>  [9cc0e10918c5829c54cdfae4cc050eabb394f6d5]

jl152 import 263443 from native0jl:#i77196#  merging


2010-03-25  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [e5245ad436de01a2b08c55eb9e3c1cde81474cef]

slidecopy: use vnd.sun.star.extension URL scheme for the extension UCP


2010-03-25  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [bc9a4c087a359e30c04d51e2b995dcf1a2678f3e]

slidecopy: delegate the request to open a document content to the wrapped content


2010-03-25  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [17903c7a1b6a4f9e5d4e2ae0cc123703e62055e7]

slidecopy: extended the Extensions-UCP so it now allows browsing the complete hierarchy. File access still missing


2010-03-24  sb  <sb@openoffice.org>  [30293607852239cfc135dd5f45220d8732a3137f]

sb121: #i110203# use <it> in Setup.xcu string-list values; pass it through XSLT scripts intact; handle it correctly in configmgr::ValueParser


2010-03-24  Thomas Lange [tl]  <tl@openoffice.org>  [6dcfa302344bfce3c01b5685bbf1539de78d6316]

cws tl78: merge with DEV300_m75


2010-03-24  Ingrid Halama  <iha@openoffice.org>  [c994329d8b635124906d180550a37d8f5e267352]

chart45: #i103911# switch to internal data in case the current data provider cannot provide the requested data on load


2010-03-24  Thomas Lange [tl]  <tl@openoffice.org>  [f97d89327873af552f6d95cdc5108a82f3637c09]

cws tl74: merge with DEV300_m75


2010-03-24  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [3bc7eead5045f1c3b572e5663a000afa9fff9b9c]

slidecopy: initial version of an UCP for browsing the content of the deployed extensions


2010-03-24  tono  <tono@openoffice.org>  [caba70f2ec22dd8da3fb3091679cd20af4a8ca34]

i#110194: Mingw port update fix: use alloca instead of _alloca in shell


2010-03-24  sb  <sb@openoffice.org>  [5912d0a326719951dc186d2d33a039955d44fea4]

sb121: added profiling tracepoints


2010-03-24  Ingrid Halama  <iha@openoffice.org>  [5564dd6a44a57742d70187c2adf3d5e8df201f1a]

chart45: #i110355# ODF: element chart:chart is missing 'type' attribute


2010-03-24  Philipp Lohmann [pl]  <Philipp.Lohmann@Sun.COM>  [98ced9d0c086308f26fd44099313cc47bea52f27]

vcl110: #i87968# optionally embed PDF standard fonts


2010-03-24  sb  <sb@openoffice.org>  [bda38a1c0fb307f69fc7c318f12af95bb3a505bc]

sb121: #i110258# when parsing .xcs, conservatively merge new templates/components into existing instances (to not let extension update fail)


2010-05-25  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [46e902aeed8d2f58406723ac3e4f2aa73cd787a1]

unoawt: don't let undeclared exceptions escape from createDialogImpl (at least not from calling createDialogModelForBasic/createDialogModel)


2010-05-25  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [993d96eee5fc9436e810fdcbc746f488536cad89]

unoawt: onFinish does not need this parameter, it's always called with RET_OK


2010-05-25  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [d60d9d1f1be50999c09f03728f8b3aef07c865db]

unoawt: completely separated the controller functionality of a wizard page from the wizard page itself, by moving the canAdvance method from OWizardPage to the IWizardPage interface, which in this course has been renamed to IWizardPageController. This will later on allow to have implementations where the TabPage is provided by an external component (e.g. as UNO Service), but the controlling of those pages is still intercepted and handled internally.


2010-05-19  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [5b9bb2561422bea06a13b8f435de675b5aef6a31]

unoawt: merge after copying latest changes from CWS slidecopy


2010-05-18  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [5eb1336fa3a4fc30b0abe7bc16a4845ede6d11fb]

unoawt: merge after copying latest changes from CWS slidecopy


2010-05-18  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [001ac55c73ca3333634dc9d7564af2645df7bd92]

unoawt: merge after copying latest changes from CWS slidecopy


2010-03-24  sb  <sb@openoffice.org>  [b087ed1e42192db678b580c9bab92a6dd0c4d7fa]

sb121: #i110258# when parsing .xcs, conservatively merge new templates/components into existing instances (to not let extension update fail)


2010-03-24  Ingrid Halama  <iha@openoffice.org>  [d32f65032142e5f4fcb7eb1f2804e4c1d0b05c2e]

chart 45: #i109879# black axis loose color on copy


2010-03-24  Dirk Voelzke  <dv@openoffice.org>  [228c130781161dfe8faca1ea7f13b49ca48fb8d4]

jl152 import 263442 from native0jl:#i77196# new add, remove and update are now supported from extension manager


2010-03-25  Joachim Lingner  <jl@openoffice.org>  [d4a5fa897abd0ccf62824ffd126f36c2f98db928]

jl152 import 263441 from native0jl:#i77196# add and remove in the same process now works, help backend creates a unique folder for every extension


2010-03-24  tono  <tono@openoffice.org>  [355411f5fbb6eee5c371a56edc9e57a619912d8c]

mingwport29: merge with DEV300 m75


2010-03-23  Ocke Janssen  <oj@openoffice.org>  [469b778db353b52261838a3d10d66ba7f5bbdfbc]

#i109366# remove :* from url


2010-03-22  npower Developer  <npower@openoffice.org>  [48c55dfae785ec9bcc16ba0c1da09589e4398078]

npower14_objectmodules: merge heads


2010-03-22  Uwe Fischer  <ufi@openoffice.org>  [6ed48a59cf65d12799e5db469447487a35f78489]

hcshared25: merge with DEV300_m75


2010-03-22  sb  <sb@openoffice.org>  [2eaf38c8f18f27f99f97b94a99960660a43ab273]

sb121: #i110264# in registrymodifications.xcu, allow localized property values to be described directly as <item><value> (instead of <item><prop><value>)


2010-03-22  Andreas Bregas  <ab@openoffice.org>  [7619711452a0cacde4e7e78da40e247801a56c5f]

npower14miscfixes: Removed warning


2010-03-22  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [da967646412663ce9351a1c4cb73b1ed028e8e23]

slidecopy: merge


2010-03-22  Cédric Bosdonnat  <cedricbosdo@openoffice.org>  [68264d09fc8ad70a81c4add53663dfe4ceff7aeb]

[cbosdo05] Fixed windows build: isblank doesn't exist on windows.


2010-03-22  Andreas Bregas  <ab@openoffice.org>  [6bb6e56db2f7346db83119740cc77bf81a50d4dc]

npower14miscfixes: merge with DEV300_m75


2010-03-22  Andreas Bregas  <ab@openoffice.org>  [9a4d4c99b5068060033d00390d332524e1d2710a]

npower14miscfixes: crlf removed


2010-03-22  Joachim Lingner  <jl@openoffice.org>  [7b534ea291bc1721f78e0949a79a7b2eb2c73a73]

jl152 import 263440 from native0jl:  #i77196# removing of bundled/shared extension (except python, script) works now


2010-03-22  Frank Schoenheit [fs]  <frank.schoenheit@sun.com>  [32404faad1e168b6220666d36da7bd3a7113d331]

slidecopy: allow custom tool panels in the task pane to be implemented as extensions


